import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { MatTableDataSource } from '@angular/material/table';
import { MaterialNestedComponent } from '../MaterialNestedComponent';
import DataGridComponent from 'formiojs/components/datagrid/DataGrid.js';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { MatDialog } from '@angular/material/dialog';
import { CommonService } from '../common.service';
import * as i0 from "@angular/core";
export interface Product {
    productName: string;
    quantity: number;
    price: number;
}
export declare class MaterialDataGridComponent extends MaterialNestedComponent {
    element: ElementRef;
    ref: ChangeDetectorRef;
    private dialog;
    commonService: CommonService;
    constructor(element: ElementRef, ref: ChangeDetectorRef, dialog: MatDialog, commonService: CommonService);
    displayedColumns: string[];
    formColumns: string[];
    columns: any;
    dataSource: MatTableDataSource<unknown>;
    dataSourceNew: Product[];
    displayedColumnsNew: string[];
    showNewProductPicker: boolean;
    showCategory: boolean;
    showSubcategory: boolean;
    showPrice: boolean;
    showQuantity: boolean;
    showSkuNumber: boolean;
    showInventory: boolean;
    hasInitialized: boolean;
    checkSubmissionStatus: boolean;
    showDataGrid: boolean;
    hasValueAndEditMode: boolean;
    dropdownL1: boolean;
    dropdownL2: boolean;
    dropdownL3: boolean;
    dropdownL4: boolean;
    showDialogQuantity: boolean;
    showDialogPrice: boolean;
    showDialogCategory: boolean;
    showDialogSkuNumber: boolean;
    showDialogInventory: boolean;
    showDialogSubCategory: boolean;
    dropdownL1Label: string;
    dropdownL2Label: string;
    dropdownL3Label: string;
    dropdownL4Label: string;
    dealId: any;
    isCustomerCountryFiltered: boolean;
    emptyArray: boolean;
    isPriceDisable: boolean;
    priceTweek: string;
    skuTweek: string;
    costTweek: string;
    showCost: boolean;
    showDialogCost: boolean;
    quantityTweek: string;
    productTweek: string;
    categoryTweek: string;
    subCategoryTweek: string;
    inventoryTweek: string;
    alphanumeric: boolean;
    getColumnLabel(column: any): any;
    getLabelName(newProductPickerFlag: any, attributeName: any): any;
    setInstance(instance: any): void;
    removeColumn(columnName: string): void;
    addAnotherOld(): void;
    addAnother(): void;
    addPriceProperty(selectedProducts: any): any;
    checkRowsNumber(): void;
    removeRow(index: any): void;
    dropTable(event: CdkDragDrop<any>): void;
    renderComponents(): void;
    setValue(value: [] | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MaterialDataGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MaterialDataGridComponent, "mat-formio-datagrid", never, {}, {}, never, never, false>;
}
export { DataGridComponent };
