import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { MaterialComponent } from '../MaterialComponent';
import SelectComponent from 'formiojs/components/select/Select.js';
import { FormControl } from '@angular/forms';
import { Subject } from 'rxjs';
import { MatSelect } from '@angular/material/select';
import { HttpClient } from '@angular/common/http';
import { CommonService } from '../common.service';
import * as i0 from "@angular/core";
export declare class MaterialSelectComponent extends MaterialComponent implements OnInit, AfterViewInit, OnDestroy {
    element: ElementRef;
    ref: ChangeDetectorRef;
    http: HttpClient;
    commonService: CommonService;
    selectOptions: Promise<any[]>;
    filteredOptions: Promise<any[]>;
    filteredOptionsLength: number;
    selectOptionsResolve: any;
    websiteMultiCtrl: FormControl;
    websiteMultiFilterCtrl: FormControl;
    multiSelect: MatSelect;
    protected _onDestroy: Subject<unknown>;
    selectElem: MatSelect;
    pageNumber: number;
    pageSize: number;
    totalPages: number;
    searchQuery: string;
    productsloadingFlag: boolean;
    searching: boolean;
    productList: any[];
    selectedValue: any;
    searchItem: string;
    private currentPanelElement;
    openCounter: number;
    firstDropdownItems: any;
    secondDropdownItems: any;
    storeValue: any;
    storeDependentItems: any;
    executionFlag: boolean;
    private apiCounter;
    checkAttribute: any;
    constructor(element: ElementRef, ref: ChangeDetectorRef, http: HttpClient, commonService: CommonService);
    onInputChange(event: any): void;
    clearProducts(): void;
    registerPanelScrollEvent(selectElem: MatSelect): void;
    addCustomClass(key: any): string;
    onScroll(event: any): void;
    getValueByKey(data: any, key: any): any;
    loadData(pageNumber: any, pageSize: any, searchQuery: any): void;
    transformResponseData(data: Array<{
        text: any;
        value: any;
        date: any;
    }> | null | undefined): Array<{
        label: string;
        value: number;
        date: string;
    }>;
    filterWebsiteMulti(): void;
    ngOnDestroy(): void;
    setInstance(instance: any): void;
    onClearAll(): void;
    updateSecondDropdown(value: any): void;
    ngAfterViewInit(): void;
    removePanelScrollEvent(): void;
    ngOnInit(): void;
    onSelectionChange(event: any, submitData: any, attributes: any): void;
    checkVendorRefItems(instance: any): boolean;
    getVendorRefList(instance: any): boolean;
    isError(): boolean;
    getErrorMessage(): any;
    compareObjects(o1: any, o2: any): boolean;
    isFilterProductBasedOnCustomerCountryValid(data: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MaterialSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MaterialSelectComponent, "mat-formio-select", never, {}, {}, never, never, false>;
}
export { SelectComponent };
