import * as i0 from '@angular/core';
import { Injectable, Component, Input, ViewChild, ViewContainerRef, ViewChildren, EventEmitter, Output, forwardRef, Directive, Inject, Optional, NgModule } from '@angular/core';
import * as i1$2 from '@angular/common/http';
import { HttpHeaders, HttpClientModule } from '@angular/common/http';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/forms';
import { FormControl, NG_VALUE_ACCESSOR, Validators, FormGroup, FormsModule, ReactiveFormsModule } from '@angular/forms';
import * as i4$2 from '@angular/material/input';
import { MAT_INPUT_VALUE_ACCESSOR, MatInputModule } from '@angular/material/input';
import * as i3$2 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i3 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import * as i4$5 from '@angular/material/checkbox';
import { MatCheckboxModule } from '@angular/material/checkbox';
import * as i4$6 from '@angular/material/radio';
import { MatRadioModule } from '@angular/material/radio';
import * as i4$3 from '@angular/material/select';
import { MatSelectModule } from '@angular/material/select';
import { MatListModule } from '@angular/material/list';
import * as i4$4 from '@angular/material/chips';
import { MatChipsModule } from '@angular/material/chips';
import * as i2$1 from '@angular/material/expansion';
import { MatExpansionModule } from '@angular/material/expansion';
import * as i4 from '@angular/material/card';
import { MatCardModule } from '@angular/material/card';
import * as i2$2 from '@angular/material/tabs';
import { MatTabsModule } from '@angular/material/tabs';
import * as i10$1 from '@angular/material/table';
import { MatTableDataSource, MatTableModule } from '@angular/material/table';
import * as i5$2 from '@angular/material/datepicker';
import { MatDatepickerModule } from '@angular/material/datepicker';
import * as i11 from '@angular/material/progress-spinner';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import * as i4$1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i5$1 from '@angular/material/core';
import { MatNativeDateModule } from '@angular/material/core';
import * as i1$1 from '@angular/material/dialog';
import { MAT_DIALOG_DATA, MatDialogModule } from '@angular/material/dialog';
import * as i14 from '@angular/material/autocomplete';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import Webform from 'formiojs/Webform.js';
import FormioComponent$2 from 'formiojs/components/_classes/component/Component.js';
import TextFieldComponent from 'formiojs/components/textfield/TextField.js';
import Validator from 'formiojs/validator/Validator.js';
import unescape from 'lodash/unescape';
import get from 'lodash/get';
import * as i5 from '@angular/flex-layout/flex';
import * as i6 from '@angular/flex-layout/extended';
import * as i3$1 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import PasswordComponent from 'formiojs/components/password/Password.js';
import EmailComponent from 'formiojs/components/email/Email.js';
import UrlComponent from 'formiojs/components/url/Url.js';
import PhoneNumberComponent from 'formiojs/components/phonenumber/PhoneNumber.js';
import NumberComponent from 'formiojs/components/number/Number.js';
import _, { get as get$1 } from 'lodash';
import CurrencyComponent from 'formiojs/components/currency/Currency.js';
import DayComponent from 'formiojs/components/day/Day.js';
import { momentDate } from 'formiojs/utils/utils.js';
import HiddenComponent from 'formiojs/components/hidden/Hidden.js';
import HtmlComponent from 'formiojs/components/html/HTML.js';
import { ENTER, COMMA } from '@angular/cdk/keycodes';
import TagsComponent from 'formiojs/components/tags/Tags.js';
import ButtonComponent from 'formiojs/components/button/Button.js';
import TextAreaComponent from 'formiojs/components/textarea/TextArea.js';
import isNil from 'lodash/isNil';
import PanelComponent from 'formiojs/components/panel/Panel.js';
import ColumnsComponent from 'formiojs/components/columns/Columns.js';
import ContainerComponent from 'formiojs/components/container/Container.js';
import TabsComponent from 'formiojs/components/tabs/Tabs.js';
import DateTimeComponent from 'formiojs/components/datetime/DateTime.js';
import TimeComponent from 'formiojs/components/time/Time.js';
import * as moment_ from 'moment';
import CheckboxComponent from 'formiojs/components/checkbox/Checkbox.js';
import FieldsetComponent from 'formiojs/components/fieldset/Fieldset.js';
import ContentComponent from 'formiojs/components/content/Content.js';
import SignatureComponent from 'formiojs/components/signature/Signature.js';
import SurveyComponent from 'formiojs/components/survey/Survey.js';
import RadioComponent from 'formiojs/components/radio/Radio.js';
import SelectBoxesComponent from 'formiojs/components/selectboxes/SelectBoxes.js';
import { __awaiter } from 'tslib';
import SelectComponent from 'formiojs/components/select/Select.js';
import { BehaviorSubject, Subject } from 'rxjs';
import { debounceTime, distinctUntilChanged, takeUntil, startWith, map } from 'rxjs/operators';
import { isNullOrUndefined } from 'util';
import * as CryptoJS from 'crypto-js';
import * as i10 from 'ngx-mat-select-search';
import { NgxMatSelectSearchModule } from 'ngx-mat-select-search';
import WellComponent from 'formiojs/components/well/Well.js';
import DataGridComponent from 'formiojs/components/datagrid/DataGrid.js';
import * as i9 from '@angular/cdk/drag-drop';
import { moveItemInArray, DragDropModule } from '@angular/cdk/drag-drop';
import { SelectionModel } from '@angular/cdk/collections';
import { trigger, state, style, transition, animate } from '@angular/animations';
import EditGridComponent from 'formiojs/components/editgrid/EditGrid.js';
import Components$2 from 'formiojs/components/Components';
import isString from 'lodash/isString';
import TableComponent from 'formiojs/components/table/Table.js';
import Wizard from 'formiojs/Wizard';
import Displays from 'formiojs/displays/Displays';
import * as i3$3 from '@angular/material/stepper';
import { MatStepperModule } from '@angular/material/stepper';
import * as i1$3 from '@formio/angular';
import { FormioBaseComponent } from '@formio/angular';
import { FlexLayoutModule } from '@angular/flex-layout';
import { ScrollingModule } from '@angular/cdk/scrolling';

class NgxRenderMaterialFormsService {
    constructor() { }
}
NgxRenderMaterialFormsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
NgxRenderMaterialFormsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class NgxRenderMaterialFormsComponent {
    constructor() { }
    ngOnInit() {
    }
}
NgxRenderMaterialFormsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NgxRenderMaterialFormsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: NgxRenderMaterialFormsComponent, selector: "NgxMat-NgxRenderMaterialForms", ngImport: i0, template: `
    <p>
      ngx-render-material-forms works!
    </p>
  `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'NgxMat-NgxRenderMaterialForms', template: `
    <p>
      ngx-render-material-forms works!
    </p>
  ` }]
        }], ctorParameters: function () { return []; } });

Webform.prototype.redraw = function () {
    return this.render();
};
Webform.prototype.clear = function () {
    const viewContainer = this.viewContainer ? this.viewContainer() : null;
    if (viewContainer) {
        viewContainer.clear();
    }
};
Webform.prototype.render = function () {
    if (this.viewContainer && this.viewContainer()) {
        this.clear();
        this.renderComponents();
        this.setValue(this._submission);
    }
};

var FormioComponent$1 = (() => {
    const beforeSubmit = FormioComponent$2.prototype.beforeSubmit;
    FormioComponent$2.prototype.beforeSubmit = function (...args) {
        if (this.materialComponent) {
            this.materialComponent.beforeSubmit();
        }
        return beforeSubmit.call(this, ...args);
    };
    Object.defineProperty(FormioComponent$2.prototype, 'disabled', {
        set(disabled) {
            this._disabled = disabled;
            if (this.materialComponent) {
                this.materialComponent.setDisabled(disabled);
            }
        }
    });
    Object.defineProperty(FormioComponent$2.prototype, 'visible', {
        set(visible) {
            if (this._visible !== visible) {
                this._visible = visible;
                this.clearOnHide();
                this.redraw();
            }
            if (this.materialComponent) {
                this.materialComponent.setVisible(visible);
            }
        }
    });
    return FormioComponent$2;
})();

// @dynamic
class FormioControl extends FormControl {
    constructor(...args) {
        super(args[0], [], [FormioControl.customValidator.bind(FormioControl)]);
    }
    static customValidator(control) {
        return new Promise((resolve) => {
            if (control.instance) {
                control.instance.validateResolve = resolve;
            }
            else {
                resolve(null);
            }
        });
    }
    setInstance(instance) {
        this.instance = instance;
        const setCustomValidity = instance.setCustomValidity;
        instance.setCustomValidity = (message, dirty, external, isWarning = false) => {
            let decodedMessage = message;
            if (Array.isArray(message)) {
                decodedMessage = message.map(msg => Object.assign(msg, { message: unescape(msg.message) }));
            }
            else if (message) {
                decodedMessage = unescape(message);
            }
            setCustomValidity.call(instance, decodedMessage, dirty, external, isWarning);
            if (instance.validateResolve) {
                instance.validateResolve(decodedMessage ? { custom: true } : null);
            }
        };
    }
}

class MaterialComponent {
    constructor(element, ref) {
        this.element = element;
        this.ref = ref;
        this.control = new FormioControl();
    }
    setInstance(instance) {
        this.control.setInstance(instance);
        instance.materialComponent = this;
        this.instance = instance;
        this.instance.disabled = this.instance.shouldDisabled;
        this.setVisible(this.instance.visible);
        this.renderComponents();
    }
    ngOnInit() {
        if (this.instance) {
            if (this.shouldValidateOnInit()) {
                this.storeFormData();
                this.validateOnInit();
            }
            this.instance.component.defaultValue ? this.setValue(this.instance.component.defaultValue) : '';
        }
    }
    validateOnInit() {
        const { key } = this.instance.component;
        const validationValue = this.getFormValue(this.instance.path);
        if (validationValue === null) {
            return;
        }
        this.instance.setPristine(false);
        const validationResult = Validator.checkComponent(this.instance, { [key]: validationValue }, { [key]: validationValue });
        if (validationResult.length) {
            this.instance.setCustomValidity(validationResult, false);
            if (!!validationValue) {
                this.control.markAsTouched();
            }
            this.ref.detectChanges();
        }
    }
    storeFormData() {
        if (this.instance.parent && this.instance.parent.submission && this.instance.parent.submission.data) {
            sessionStorage.setItem('formData', JSON.stringify(this.instance.parent.submission.data));
        }
    }
    getFormValue(path) {
        const formData = JSON.parse(sessionStorage.getItem('formData'));
        if (!formData) {
            return null;
        }
        return get(formData, path);
    }
    renderComponents() { }
    onChange(keepInputRaw) {
        let value = this.getValue();
        if (value === undefined || value === null) {
            value = this.instance.emptyValue;
        }
        if (this.input && this.input.nativeElement.mask && value && !keepInputRaw) {
            this.input.nativeElement.mask.textMaskInputElement.update(value);
            this.control.setValue(this.input.nativeElement.value);
            value = this.getValue();
        }
        this.instance.updateValue(value, { modified: true });
    }
    getValue() {
        return this.control.value;
    }
    setValue(value) {
        this.control.setValue(value);
    }
    beforeSubmit() {
        this.control.markAsTouched();
    }
    hasError() {
        return !!this.instance && !!this.instance.error;
    }
    shouldValidateOnInit() {
        if (!this.instance) {
            return;
        }
        return this.instance.options.validateOnInit
            || this.instance.parent.options.validateOnInit;
    }
    setDisabled(disabled) {
        if (disabled) {
            this.control.disable();
        }
        else {
            this.control.enable();
        }
    }
    setVisible(visible) {
        if (this.element && this.element.nativeElement) {
            if (visible) {
                this.element.nativeElement.removeAttribute('hidden');
                this.element.nativeElement.style.visibility = 'visible';
                this.element.nativeElement.style.position = 'relative';
            }
            else {
                this.element.nativeElement.setAttribute('hidden', true);
                this.element.nativeElement.style.visibility = 'hidden';
                this.element.nativeElement.style.position = 'absolute';
            }
        }
    }
    ngAfterViewInit() {
        if (this.element && this.element.nativeElement && this.instance) {
            // Add custom classes to elements.
            if (this.instance.component.customClass) {
                this.element.nativeElement.classList.add(this.instance.component.customClass);
            }
        }
        if (this.input) {
            // Set the input masks.
            this.instance.setInputMask(this.input.nativeElement);
            this.instance.addFocusBlurEvents(this.input.nativeElement);
        }
    }
}
MaterialComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialComponent, deps: [{ token: i0.ElementRef }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
MaterialComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialComponent, selector: "mat-formio-comp", inputs: { instance: "instance", control: "control" }, viewQueries: [{ propertyName: "input", first: true, predicate: ["input"], descendants: true }], ngImport: i0, template: '<mat-card>Unknown Component: {{ instance.component.type }}</mat-card>', isInline: true, dependencies: [{ kind: "component", type: i4.MatCard, selector: "mat-card", exportAs: ["matCard"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-comp',
                    template: '<mat-card>Unknown Component: {{ instance.component.type }}</mat-card>'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { instance: [{
                type: Input
            }], input: [{
                type: ViewChild,
                args: ['input']
            }], control: [{
                type: Input
            }] } });
FormioComponent$1.MaterialComponent = MaterialComponent;

var LabelPositions;
(function (LabelPositions) {
    LabelPositions["RIGHT_RIGHT"] = "right-right";
    LabelPositions["RIGHT_LEFT"] = "right-left";
    LabelPositions["LEFT_LEFT"] = "left-left";
    LabelPositions["LEFT_RIGHT"] = "left-right";
    LabelPositions["BOTTOM"] = "bottom";
    LabelPositions["TOP"] = "top";
})(LabelPositions || (LabelPositions = {}));

class LabelComponent {
}
LabelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: LabelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
LabelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: LabelComponent, selector: "span[matFormioLabel]", inputs: { instance: "instance" }, ngImport: i0, template: "<ng-container *ngIf=\"instance\">\r\n  {{ instance.component.label }}<span class=\"required-star\" *ngIf=\"instance.component.validate.required\">*</span>\r\n  <mat-icon *ngIf=\"instance.component.tooltip\" style=\"font-size: 1rem;\"\r\n            matTooltip=\"{{ instance.component.tooltip }}\" matSuffix\r\n  >\r\n    info\r\n  </mat-icon>\r\n</ng-container>\r\n", styles: [":host{pointer-events:all;display:block}.required-star{margin-left:.2rem;color:red;font-size:.8rem;vertical-align:top}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i3$1.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: LabelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'span[matFormioLabel]', template: "<ng-container *ngIf=\"instance\">\r\n  {{ instance.component.label }}<span class=\"required-star\" *ngIf=\"instance.component.validate.required\">*</span>\r\n  <mat-icon *ngIf=\"instance.component.tooltip\" style=\"font-size: 1rem;\"\r\n            matTooltip=\"{{ instance.component.tooltip }}\" matSuffix\r\n  >\r\n    info\r\n  </mat-icon>\r\n</ng-container>\r\n", styles: [":host{pointer-events:all;display:block}.required-star{margin-left:.2rem;color:red;font-size:.8rem;vertical-align:top}\n"] }]
        }], propDecorators: { instance: [{
                type: Input
            }] } });

class FormioFormFieldComponent {
    constructor() {
        this.labelPositions = LabelPositions;
        this.renderTopLabel = false;
        this.showDescription = true;
        this.renderElementOnly = false;
    }
    set instance(instance) {
        this._instance = instance;
        if (instance) {
            this.componentTemplateContext = { $implicit: this.hasLabel(['top']) };
        }
    }
    get instance() {
        return this._instance;
    }
    hasLabel(labelPositions) {
        const { component } = this.instance;
        const hasNoLabel = !component.label || component.hideLabel;
        const labelPositionIsNotSpecified = !labelPositions ||
            !labelPositions.length ||
            !component.labelPosition;
        if (hasNoLabel || labelPositionIsNotSpecified || this.renderElementOnly) {
            return false;
        }
        if (labelPositions.includes(component.labelPosition)) {
            return true;
        }
    }
}
FormioFormFieldComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: FormioFormFieldComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
FormioFormFieldComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: { labelTemplate: "labelTemplate", renderTopLabel: "renderTopLabel", showDescription: "showDescription", renderElementOnly: "renderElementOnly", instance: "instance", componentTemplate: "componentTemplate" }, ngImport: i0, template: "<div class=\"mat-formio-component-wrapper\" *ngIf=\"instance && !renderElementOnly\"\r\n     [ngClass]=\"{\r\n        'mat-formio-label-right': hasLabel([labelPositions.RIGHT_RIGHT, labelPositions.RIGHT_LEFT]),\r\n        'mat-formio-label-left': hasLabel([labelPositions.LEFT_LEFT, labelPositions.LEFT_RIGHT])\r\n     }\"\r\n>\r\n  <span *ngIf=\"renderTopLabel && hasLabel([labelPositions.TOP])\"\r\n        class=\"mat-formio-label\"\r\n        [ngClass]=\"{\r\n          'mat-formio-label-align-right': hasLabel([labelPositions.LEFT_RIGHT, labelPositions.RIGHT_RIGHT]),\r\n          'mat-formio-label-align-left': hasLabel([labelPositions.LEFT_LEFT, labelPositions.RIGHT_LEFT])\r\n        }\"\r\n  >\r\n    <ng-container *ngTemplateOutlet=\"labelTemplate || defaultLabel\"></ng-container>\r\n  </span>\r\n\r\n  <div class=\"mat-formio-component\" *ngTemplateOutlet=\"componentTemplate; context: componentTemplateContext\"></div>\r\n\r\n  <span *ngIf=\"hasLabel([\r\n                          labelPositions.BOTTOM,\r\n                          labelPositions.RIGHT_RIGHT,\r\n                          labelPositions.RIGHT_LEFT,\r\n                          labelPositions.LEFT_LEFT,\r\n                          labelPositions.LEFT_RIGHT\r\n                        ])\"\r\n        class=\"mat-formio-label\"\r\n        [ngClass]=\"{\r\n          'mat-formio-label-align-right': hasLabel([labelPositions.LEFT_RIGHT, labelPositions.RIGHT_RIGHT]),\r\n          'mat-formio-label-align-left': hasLabel([labelPositions.LEFT_LEFT, labelPositions.RIGHT_LEFT])\r\n        }\"\r\n  >\r\n    <ng-container *ngTemplateOutlet=\"labelTemplate || defaultLabel\"></ng-container>\r\n  </span>\r\n\r\n  <mat-hint *ngIf=\"showDescription && instance.component.description\" class=\"mat-formio-component-description\">\r\n    {{ instance.component.description }}\r\n  </mat-hint>\r\n</div>\r\n\r\n<div class=\"mat-formio-component-wrapper\" *ngIf=\"renderElementOnly\">\r\n  <div class=\"mat-formio-component\" *ngTemplateOutlet=\"componentTemplate; context: componentTemplateContext\"></div>\r\n</div>\r\n\r\n<ng-template #defaultLabel>\r\n  <mat-label>\r\n    <span style=\"display: block;\"\r\n          [instance]=\"instance\" matFormioLabel>\r\n    </span>\r\n  </mat-label>\r\n</ng-template>\r\n", styles: [".mat-formio-component-description{display:block;grid-area:description}.mat-formio-component{grid-area:component}.mat-formio-label{grid-area:label}.mat-formio-label.mat-formio-label-align-right{margin-left:auto}.mat-formio-label.mat-formio-label-align-left{margin-right:auto}.mat-formio-component-wrapper.mat-formio-label-left,.mat-formio-component-wrapper.mat-formio-label-right{display:grid;grid-template-columns:auto auto;grid-column-gap:1em}.mat-formio-component-wrapper.mat-formio-label-right{grid-template-areas:\"component label\" \"description label\"}.mat-formio-component-wrapper.mat-formio-label-left{grid-template-areas:\"label component\" \"label description\"}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: FormioFormFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-form-field', template: "<div class=\"mat-formio-component-wrapper\" *ngIf=\"instance && !renderElementOnly\"\r\n     [ngClass]=\"{\r\n        'mat-formio-label-right': hasLabel([labelPositions.RIGHT_RIGHT, labelPositions.RIGHT_LEFT]),\r\n        'mat-formio-label-left': hasLabel([labelPositions.LEFT_LEFT, labelPositions.LEFT_RIGHT])\r\n     }\"\r\n>\r\n  <span *ngIf=\"renderTopLabel && hasLabel([labelPositions.TOP])\"\r\n        class=\"mat-formio-label\"\r\n        [ngClass]=\"{\r\n          'mat-formio-label-align-right': hasLabel([labelPositions.LEFT_RIGHT, labelPositions.RIGHT_RIGHT]),\r\n          'mat-formio-label-align-left': hasLabel([labelPositions.LEFT_LEFT, labelPositions.RIGHT_LEFT])\r\n        }\"\r\n  >\r\n    <ng-container *ngTemplateOutlet=\"labelTemplate || defaultLabel\"></ng-container>\r\n  </span>\r\n\r\n  <div class=\"mat-formio-component\" *ngTemplateOutlet=\"componentTemplate; context: componentTemplateContext\"></div>\r\n\r\n  <span *ngIf=\"hasLabel([\r\n                          labelPositions.BOTTOM,\r\n                          labelPositions.RIGHT_RIGHT,\r\n                          labelPositions.RIGHT_LEFT,\r\n                          labelPositions.LEFT_LEFT,\r\n                          labelPositions.LEFT_RIGHT\r\n                        ])\"\r\n        class=\"mat-formio-label\"\r\n        [ngClass]=\"{\r\n          'mat-formio-label-align-right': hasLabel([labelPositions.LEFT_RIGHT, labelPositions.RIGHT_RIGHT]),\r\n          'mat-formio-label-align-left': hasLabel([labelPositions.LEFT_LEFT, labelPositions.RIGHT_LEFT])\r\n        }\"\r\n  >\r\n    <ng-container *ngTemplateOutlet=\"labelTemplate || defaultLabel\"></ng-container>\r\n  </span>\r\n\r\n  <mat-hint *ngIf=\"showDescription && instance.component.description\" class=\"mat-formio-component-description\">\r\n    {{ instance.component.description }}\r\n  </mat-hint>\r\n</div>\r\n\r\n<div class=\"mat-formio-component-wrapper\" *ngIf=\"renderElementOnly\">\r\n  <div class=\"mat-formio-component\" *ngTemplateOutlet=\"componentTemplate; context: componentTemplateContext\"></div>\r\n</div>\r\n\r\n<ng-template #defaultLabel>\r\n  <mat-label>\r\n    <span style=\"display: block;\"\r\n          [instance]=\"instance\" matFormioLabel>\r\n    </span>\r\n  </mat-label>\r\n</ng-template>\r\n", styles: [".mat-formio-component-description{display:block;grid-area:description}.mat-formio-component{grid-area:component}.mat-formio-label{grid-area:label}.mat-formio-label.mat-formio-label-align-right{margin-left:auto}.mat-formio-label.mat-formio-label-align-left{margin-right:auto}.mat-formio-component-wrapper.mat-formio-label-left,.mat-formio-component-wrapper.mat-formio-label-right{display:grid;grid-template-columns:auto auto;grid-column-gap:1em}.mat-formio-component-wrapper.mat-formio-label-right{grid-template-areas:\"component label\" \"description label\"}.mat-formio-component-wrapper.mat-formio-label-left{grid-template-areas:\"label component\" \"label description\"}\n"] }]
        }], propDecorators: { labelTemplate: [{
                type: Input
            }], renderTopLabel: [{
                type: Input
            }], showDescription: [{
                type: Input
            }], renderElementOnly: [{
                type: Input
            }], instance: [{
                type: Input,
                args: ['instance']
            }], componentTemplate: [{
                type: Input
            }] } });

const TEXTFIELD_TEMPLATE = `
  <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
  <ng-template #componentTemplate let-hasLabel>
    <mat-form-field [appearance]="getFormFieldAppearance()" fxFill>

      <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
      </mat-label>

      <span *ngIf="instance.component.prefix && instance.type !== 'currency'"
            matPrefix
      >
        {{ instance.component.prefix }}&nbsp;
      </span>
      <input matInput
            type="{{ inputType }}"
            [formControl]="control"
            [placeholder]="instance.component.placeholder"
            (input)="onChange()" #input
            [ngClass]="{ 'show-invalid': inputType=='email' }"
      >
      <span *ngIf="instance.component.suffix" matSuffix>{{ instance.component.suffix }}</span>

      <mat-hint *ngIf="instance.component.showWordCount || instance.component.showCharCount">
        {{ getHint() }}
      </mat-hint>

      <br/>
      <mat-error *ngIf="isError()" >{{ getErrorMessage() }}</mat-error>
    </mat-form-field>
  </ng-template>
`;
class MaterialTextfieldComponent extends MaterialComponent {
    constructor() {
        super(...arguments);
        this.inputType = 'text';
    }
    ngAfterContentInit() {
        if (this.instance && this.control && this.instance.component.disabled) {
            this.control.disable();
        }
    }
    getHint() {
        if (!this.instance || !this.control || !this.control.value) {
            return '';
        }
        const { showWordCount, showCharCount } = this.instance.component;
        if (showWordCount && showCharCount) {
            return `${this.getWordsCount()} words, ${this.control.value.length} characters`;
        }
        else if (showWordCount) {
            return `${this.getWordsCount()} words`;
        }
        else {
            return `${this.control.value.length} characters`;
        }
    }
    getWordsCount() {
        const matches = this.control.value ? this.control.value.match(/[\w\d’'-]+/gi) : [];
        return matches ? matches.length : 0;
    }
    getFormFieldAppearance() {
        const appearances = ['legacy', 'standard', 'fill', 'outline'];
        const appearance = this.instance.component.appearance ? this.instance.component.appearance.toLowerCase() : '';
        return appearances.includes(appearance) ? appearance : undefined;
    }
    isError() {
        if (this.instance.error) {
            this.control.setErrors(this.instance.component.validate);
            return true;
        }
        else {
            return false;
        }
    }
    getErrorMessage() {
        if (this.instance.error && this.instance.error.messages) {
            const { messages } = this.instance.error;
            if (messages.length) {
                for (const msg of messages) {
                    //this.control.hasError(msg.context.validator)
                    if (this.instance.type == 'phoneNumber' || this.instance.type == 'email') {
                        this.controlHasError = true;
                    }
                    else {
                        this.controlHasError = this.control.hasError(msg.context.validator);
                    }
                    if (msg.context && this.controlHasError) {
                        if (this.instance && this.instance.parent && this.instance.parent._data) {
                            if (this.instance.parent._data.submit) {
                                this.control.markAllAsTouched();
                            }
                        }
                        return this.instance.error ? this.instance.error.message : '';
                    }
                }
            }
        }
    }
}
MaterialTextfieldComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTextfieldComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialTextfieldComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialTextfieldComponent, selector: "mat-formio-textfield", usesInheritance: true, ngImport: i0, template: "\n  <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\"></mat-formio-form-field>\n  <ng-template #componentTemplate let-hasLabel>\n    <mat-form-field [appearance]=\"getFormFieldAppearance()\" fxFill>\n\n      <mat-label *ngIf=\"hasLabel\">\n          <span [instance]=\"instance\" matFormioLabel></span>\n      </mat-label>\n\n      <span *ngIf=\"instance.component.prefix && instance.type !== 'currency'\"\n            matPrefix\n      >\n        {{ instance.component.prefix }}&nbsp;\n      </span>\n      <input matInput\n            type=\"{{ inputType }}\"\n            [formControl]=\"control\"\n            [placeholder]=\"instance.component.placeholder\"\n            (input)=\"onChange()\" #input\n            [ngClass]=\"{ 'show-invalid': inputType=='email' }\"\n      >\n      <span *ngIf=\"instance.component.suffix\" matSuffix>{{ instance.component.suffix }}</span>\n\n      <mat-hint *ngIf=\"instance.component.showWordCount || instance.component.showCharCount\">\n        {{ getHint() }}\n      </mat-hint>\n\n      <br/>\n      <mat-error *ngIf=\"isError()\" >{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </ng-template>\n", isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTextfieldComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-textfield',
                    template: TEXTFIELD_TEMPLATE
                }]
        }] });
TextFieldComponent.MaterialComponent = MaterialTextfieldComponent;

class MaterialPasswordComponent extends MaterialTextfieldComponent {
    constructor() {
        super(...arguments);
        this.inputType = 'password';
    }
}
MaterialPasswordComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialPasswordComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialPasswordComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialPasswordComponent, selector: "mat-formio-password", usesInheritance: true, ngImport: i0, template: "\n  <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\"></mat-formio-form-field>\n  <ng-template #componentTemplate let-hasLabel>\n    <mat-form-field [appearance]=\"getFormFieldAppearance()\" fxFill>\n\n      <mat-label *ngIf=\"hasLabel\">\n          <span [instance]=\"instance\" matFormioLabel></span>\n      </mat-label>\n\n      <span *ngIf=\"instance.component.prefix && instance.type !== 'currency'\"\n            matPrefix\n      >\n        {{ instance.component.prefix }}&nbsp;\n      </span>\n      <input matInput\n            type=\"{{ inputType }}\"\n            [formControl]=\"control\"\n            [placeholder]=\"instance.component.placeholder\"\n            (input)=\"onChange()\" #input\n            [ngClass]=\"{ 'show-invalid': inputType=='email' }\"\n      >\n      <span *ngIf=\"instance.component.suffix\" matSuffix>{{ instance.component.suffix }}</span>\n\n      <mat-hint *ngIf=\"instance.component.showWordCount || instance.component.showCharCount\">\n        {{ getHint() }}\n      </mat-hint>\n\n      <br/>\n      <mat-error *ngIf=\"isError()\" >{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </ng-template>\n", isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialPasswordComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-password',
                    template: TEXTFIELD_TEMPLATE
                }]
        }] });
PasswordComponent.MaterialComponent = MaterialPasswordComponent;

class MaterialEmailComponent extends MaterialTextfieldComponent {
    constructor() {
        super(...arguments);
        this.inputType = 'email';
    }
}
MaterialEmailComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialEmailComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialEmailComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialEmailComponent, selector: "mat-formio-email", usesInheritance: true, ngImport: i0, template: "\n  <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\"></mat-formio-form-field>\n  <ng-template #componentTemplate let-hasLabel>\n    <mat-form-field [appearance]=\"getFormFieldAppearance()\" fxFill>\n\n      <mat-label *ngIf=\"hasLabel\">\n          <span [instance]=\"instance\" matFormioLabel></span>\n      </mat-label>\n\n      <span *ngIf=\"instance.component.prefix && instance.type !== 'currency'\"\n            matPrefix\n      >\n        {{ instance.component.prefix }}&nbsp;\n      </span>\n      <input matInput\n            type=\"{{ inputType }}\"\n            [formControl]=\"control\"\n            [placeholder]=\"instance.component.placeholder\"\n            (input)=\"onChange()\" #input\n            [ngClass]=\"{ 'show-invalid': inputType=='email' }\"\n      >\n      <span *ngIf=\"instance.component.suffix\" matSuffix>{{ instance.component.suffix }}</span>\n\n      <mat-hint *ngIf=\"instance.component.showWordCount || instance.component.showCharCount\">\n        {{ getHint() }}\n      </mat-hint>\n\n      <br/>\n      <mat-error *ngIf=\"isError()\" >{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </ng-template>\n", isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialEmailComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-email',
                    template: TEXTFIELD_TEMPLATE
                }]
        }] });
EmailComponent.MaterialComponent = MaterialEmailComponent;

class MaterialUrlComponent extends MaterialTextfieldComponent {
    constructor() {
        super(...arguments);
        this.inputType = 'url';
    }
}
MaterialUrlComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialUrlComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialUrlComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialUrlComponent, selector: "mat-formio-url", usesInheritance: true, ngImport: i0, template: "\n  <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\"></mat-formio-form-field>\n  <ng-template #componentTemplate let-hasLabel>\n    <mat-form-field [appearance]=\"getFormFieldAppearance()\" fxFill>\n\n      <mat-label *ngIf=\"hasLabel\">\n          <span [instance]=\"instance\" matFormioLabel></span>\n      </mat-label>\n\n      <span *ngIf=\"instance.component.prefix && instance.type !== 'currency'\"\n            matPrefix\n      >\n        {{ instance.component.prefix }}&nbsp;\n      </span>\n      <input matInput\n            type=\"{{ inputType }}\"\n            [formControl]=\"control\"\n            [placeholder]=\"instance.component.placeholder\"\n            (input)=\"onChange()\" #input\n            [ngClass]=\"{ 'show-invalid': inputType=='email' }\"\n      >\n      <span *ngIf=\"instance.component.suffix\" matSuffix>{{ instance.component.suffix }}</span>\n\n      <mat-hint *ngIf=\"instance.component.showWordCount || instance.component.showCharCount\">\n        {{ getHint() }}\n      </mat-hint>\n\n      <br/>\n      <mat-error *ngIf=\"isError()\" >{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </ng-template>\n", isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialUrlComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-url',
                    template: TEXTFIELD_TEMPLATE
                }]
        }] });
UrlComponent.MaterialComponent = MaterialUrlComponent;

class MaterialPhoneNumberComponent extends MaterialTextfieldComponent {
    constructor() {
        super(...arguments);
        this.inputType = 'text';
    }
}
MaterialPhoneNumberComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialPhoneNumberComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialPhoneNumberComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialPhoneNumberComponent, selector: "mat-formio-phonenumber", usesInheritance: true, ngImport: i0, template: "\n  <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\"></mat-formio-form-field>\n  <ng-template #componentTemplate let-hasLabel>\n    <mat-form-field [appearance]=\"getFormFieldAppearance()\" fxFill>\n\n      <mat-label *ngIf=\"hasLabel\">\n          <span [instance]=\"instance\" matFormioLabel></span>\n      </mat-label>\n\n      <span *ngIf=\"instance.component.prefix && instance.type !== 'currency'\"\n            matPrefix\n      >\n        {{ instance.component.prefix }}&nbsp;\n      </span>\n      <input matInput\n            type=\"{{ inputType }}\"\n            [formControl]=\"control\"\n            [placeholder]=\"instance.component.placeholder\"\n            (input)=\"onChange()\" #input\n            [ngClass]=\"{ 'show-invalid': inputType=='email' }\"\n      >\n      <span *ngIf=\"instance.component.suffix\" matSuffix>{{ instance.component.suffix }}</span>\n\n      <mat-hint *ngIf=\"instance.component.showWordCount || instance.component.showCharCount\">\n        {{ getHint() }}\n      </mat-hint>\n\n      <br/>\n      <mat-error *ngIf=\"isError()\" >{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </ng-template>\n", isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialPhoneNumberComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-phonenumber',
                    template: TEXTFIELD_TEMPLATE
                }]
        }] });
PhoneNumberComponent.MaterialComponent = MaterialPhoneNumberComponent;

class MaterialNumberComponent extends MaterialTextfieldComponent {
    constructor(element, ref, renderer) {
        super(element, ref);
        this.element = element;
        this.ref = ref;
        this.renderer = renderer;
        this.inputType = 'text';
    }
    ngAfterViewInit() {
        super.ngAfterViewInit();
        if (this.instance) {
            const { instance } = this;
            this.renderer.listen(this.input.nativeElement, 'blur', () => {
                let value = instance.parseValue(this.control.value);
                value = instance.formatValue(value);
                value = instance.getValueAsString(value);
                this.control.setValue(value);
            });
        }
    }
    getValue() {
        let value = this.control.value;
        if (value && this.instance) {
            value = value.replace(this.instance.prefix, '');
            return !_.isNil(value) && value !== '' ? this.instance.parseNumber(value) : value;
        }
        return value;
    }
    setValue(value) {
        if (this.instance) {
            const { instance } = this;
            value = instance.formatValue(instance.parseValue(value));
        }
        else {
            value = value.toString();
        }
        return super.setValue(value);
    }
    onChange() {
        super.onChange(true);
    }
}
MaterialNumberComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialNumberComponent, deps: [{ token: i0.ElementRef }, { token: i0.ChangeDetectorRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
MaterialNumberComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialNumberComponent, selector: "mat-formio-number", usesInheritance: true, ngImport: i0, template: "\n  <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\"></mat-formio-form-field>\n  <ng-template #componentTemplate let-hasLabel>\n    <mat-form-field [appearance]=\"getFormFieldAppearance()\" fxFill>\n\n      <mat-label *ngIf=\"hasLabel\">\n          <span [instance]=\"instance\" matFormioLabel></span>\n      </mat-label>\n\n      <span *ngIf=\"instance.component.prefix && instance.type !== 'currency'\"\n            matPrefix\n      >\n        {{ instance.component.prefix }}&nbsp;\n      </span>\n      <input matInput\n            type=\"{{ inputType }}\"\n            [formControl]=\"control\"\n            [placeholder]=\"instance.component.placeholder\"\n            (input)=\"onChange()\" #input\n            [ngClass]=\"{ 'show-invalid': inputType=='email' }\"\n      >\n      <span *ngIf=\"instance.component.suffix\" matSuffix>{{ instance.component.suffix }}</span>\n\n      <mat-hint *ngIf=\"instance.component.showWordCount || instance.component.showCharCount\">\n        {{ getHint() }}\n      </mat-hint>\n\n      <br/>\n      <mat-error *ngIf=\"isError()\" >{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </ng-template>\n", isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialNumberComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-number',
                    template: TEXTFIELD_TEMPLATE
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.ChangeDetectorRef }, { type: i0.Renderer2 }]; } });
NumberComponent.MaterialComponent = MaterialNumberComponent;

class MaterialCurrencyComponent extends MaterialNumberComponent {
    constructor() {
        super(...arguments);
        this.inputType = 'text';
    }
    onChange() {
        let newValue;
        newValue = _.isNil(this.getValue()) ? '' : this.getValue();
        if (!(Number.isNaN(newValue))) {
            this.instance.updateValue(newValue, { modified: true });
        }
        else {
            newValue = '';
            this.instance.updateValue(newValue, { modified: true });
        }
    }
}
MaterialCurrencyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialCurrencyComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialCurrencyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialCurrencyComponent, selector: "mat-formio-currency", usesInheritance: true, ngImport: i0, template: "\n  <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\"></mat-formio-form-field>\n  <ng-template #componentTemplate let-hasLabel>\n    <mat-form-field [appearance]=\"getFormFieldAppearance()\" fxFill>\n\n      <mat-label *ngIf=\"hasLabel\">\n          <span [instance]=\"instance\" matFormioLabel></span>\n      </mat-label>\n\n      <span *ngIf=\"instance.component.prefix && instance.type !== 'currency'\"\n            matPrefix\n      >\n        {{ instance.component.prefix }}&nbsp;\n      </span>\n      <input matInput\n            type=\"{{ inputType }}\"\n            [formControl]=\"control\"\n            [placeholder]=\"instance.component.placeholder\"\n            (input)=\"onChange()\" #input\n            [ngClass]=\"{ 'show-invalid': inputType=='email' }\"\n      >\n      <span *ngIf=\"instance.component.suffix\" matSuffix>{{ instance.component.suffix }}</span>\n\n      <mat-hint *ngIf=\"instance.component.showWordCount || instance.component.showCharCount\">\n        {{ getHint() }}\n      </mat-hint>\n\n      <br/>\n      <mat-error *ngIf=\"isError()\" >{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </ng-template>\n", isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialCurrencyComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-currency',
                    template: TEXTFIELD_TEMPLATE
                }]
        }] });
CurrencyComponent.MaterialComponent = MaterialCurrencyComponent;

DayComponent.prototype.getFieldValue = function (name) {
    return this.refs[name] ? this.refs[name].value : '';
};
class MaterialDayComponent extends MaterialComponent {
    constructor() {
        super(...arguments);
        this.dayControl = new FormControl();
        this.monthControl = new FormControl();
        this.yearControl = new FormControl();
    }
    setInstance(instance) {
        // Add stub methods to match dom elements.
        this.dayControl.setAttribute = () => { };
        this.dayControl.removeAttribute = () => { };
        this.monthControl.setAttribute = () => { };
        this.monthControl.removeAttribute = () => { };
        this.yearControl.setAttribute = () => { };
        this.yearControl.removeAttribute = () => { };
        instance.refs = {
            day: this.dayControl,
            month: this.monthControl,
            year: this.yearControl
        };
        return super.setInstance(instance);
    }
    setDisabled(disabled) {
        if (disabled) {
            this.dayControl.disable();
            this.monthControl.disable();
            this.yearControl.disable();
        }
        else {
            this.dayControl.enable();
            this.monthControl.enable();
            this.yearControl.enable();
        }
    }
    getValue() {
        return this.instance.getDate();
    }
    setValue(value) {
        if (value) {
            this.dayControl.setValue(parseInt(momentDate(value).format('D')));
            this.monthControl.setValue(parseInt(momentDate(value).format('M')));
            this.yearControl.setValue(parseInt(momentDate(value).format('YYYY')));
        }
        this.instance.setValueAt(0, value);
    }
}
MaterialDayComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialDayComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialDayComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialDayComponent, selector: "mat-formio-day", usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-label *ngIf="hasLabel">
        <span [instance]="instance" matFormioLabel></span>
      </mat-label>
      <mat-form-field *ngIf="instance.dayFirst && instance.showDay">
        <mat-label *ngIf="!instance.component.hideInputLabels">Day</mat-label>
        <mat-select [formControl]="dayControl" (selectionChange)="onChange()" [required]="instance.dayRequired">
          <mat-option *ngFor="let day of instance.days" [value]="day.value">
            {{day.label}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field *ngIf="instance.showMonth">
        <mat-label *ngIf="!instance.component.hideInputLabels">Month</mat-label>
        <mat-select [formControl]="monthControl" (selectionChange)="onChange()" [required]="instance.monthRequired">
          <mat-option *ngFor="let month of instance.months" [value]="month.value">
            {{month.label}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field *ngIf="!instance.dayFirst && instance.showDay">
        <mat-label *ngIf="!instance.component.hideInputLabels">Day</mat-label>
        <mat-select [formControl]="dayControl" (selectionChange)="onChange()" [required]="instance.dayRequired">
          <mat-option *ngFor="let day of instance.days" [value]="day.value">
            {{day.label}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field *ngIf="instance.showYear">
        <mat-label *ngIf="!instance.component.hideInputLabels">Year</mat-label>
        <mat-select [formControl]="yearControl" (selectionChange)="onChange()" [required]="instance.yearRequired">
          <mat-option *ngFor="let year of instance.years" [value]="year.value">
            {{year.label}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
    </ng-template>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "component", type: i4$3.MatSelect, selector: "mat-select", inputs: ["disabled", "disableRipple", "tabIndex"], exportAs: ["matSelect"] }, { kind: "component", type: i5$1.MatOption, selector: "mat-option", exportAs: ["matOption"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialDayComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-day',
                    template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-label *ngIf="hasLabel">
        <span [instance]="instance" matFormioLabel></span>
      </mat-label>
      <mat-form-field *ngIf="instance.dayFirst && instance.showDay">
        <mat-label *ngIf="!instance.component.hideInputLabels">Day</mat-label>
        <mat-select [formControl]="dayControl" (selectionChange)="onChange()" [required]="instance.dayRequired">
          <mat-option *ngFor="let day of instance.days" [value]="day.value">
            {{day.label}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field *ngIf="instance.showMonth">
        <mat-label *ngIf="!instance.component.hideInputLabels">Month</mat-label>
        <mat-select [formControl]="monthControl" (selectionChange)="onChange()" [required]="instance.monthRequired">
          <mat-option *ngFor="let month of instance.months" [value]="month.value">
            {{month.label}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field *ngIf="!instance.dayFirst && instance.showDay">
        <mat-label *ngIf="!instance.component.hideInputLabels">Day</mat-label>
        <mat-select [formControl]="dayControl" (selectionChange)="onChange()" [required]="instance.dayRequired">
          <mat-option *ngFor="let day of instance.days" [value]="day.value">
            {{day.label}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field *ngIf="instance.showYear">
        <mat-label *ngIf="!instance.component.hideInputLabels">Year</mat-label>
        <mat-select [formControl]="yearControl" (selectionChange)="onChange()" [required]="instance.yearRequired">
          <mat-option *ngFor="let year of instance.years" [value]="year.value">
            {{year.label}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
    </ng-template>
  `
                }]
        }] });
DayComponent.MaterialComponent = MaterialDayComponent;

class MaterialHiddenComponent extends MaterialComponent {
}
MaterialHiddenComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialHiddenComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialHiddenComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialHiddenComponent, selector: "mat-formio-hidden", usesInheritance: true, ngImport: i0, template: `<input matInput type="hidden" [formControl]="control" #input>`, isInline: true, dependencies: [{ kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialHiddenComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-hidden',
                    template: `<input matInput type="hidden" [formControl]="control" #input>`
                }]
        }] });
HiddenComponent.MaterialComponent = MaterialHiddenComponent;

class MaterialHtmlComponent extends MaterialComponent {
    ngAfterViewInit() {
        super.ngAfterViewInit();
        if (this.instance.component.refreshOnChange) {
            this.instance.checkRefreshOn = () => {
                this.htmlBody.nativeElement.innerHTML = this.instance.renderContent();
            };
        }
    }
}
MaterialHtmlComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialHtmlComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialHtmlComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialHtmlComponent, selector: "mat-formio-html", viewQueries: [{ propertyName: "htmlBody", first: true, predicate: ["htmlBody"], descendants: true }], usesInheritance: true, ngImport: i0, template: `<div #htmlBody></div>`, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialHtmlComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-html',
                    template: `<div #htmlBody></div>`
                }]
        }], propDecorators: { htmlBody: [{
                type: ViewChild,
                args: ['htmlBody']
            }] } });
HtmlComponent.MaterialComponent = MaterialHtmlComponent;

class MaterialTagsComponent extends MaterialComponent {
    constructor() {
        super(...arguments);
        this.separatorKeysCodes = [ENTER, COMMA];
        this.tags = [];
    }
    add(event) {
        const input = event.input;
        const value = event.value;
        if ((value || '').trim()) {
            this.tags.push(value.trim());
        }
        if (input) {
            input.value = '';
        }
        this.onChange();
    }
    remove(index) {
        if (index >= 0 && index < this.tags.length) {
            this.tags.splice(index, 1);
        }
        this.onChange();
    }
    getValue() {
        return (this.instance.component.storeas === 'string') ? this.tags.join(this.instance.delimiter) : this.tags;
    }
    setValue(value) {
        if (typeof value === 'string') {
            value = value.split(this.instance.delimiter);
        }
        if (value && !Array.isArray(value)) {
            value = [value];
        }
        this.tags = value;
    }
}
MaterialTagsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTagsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialTagsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialTagsComponent, selector: "mat-formio-tags", usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-form-field class="example-chip-list" fxFill>

        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>

        <mat-chip-list #chipList [attr.aria-label]="instance.component.label">
          <mat-chip *ngFor="let tag of tags; index as i;"
                    [selectable]="true"
                    [removable]="true"
                    (removed)="remove(i)"
          >
            {{tag}}
            <mat-icon matChipRemove>cancel</mat-icon>
          </mat-chip>

          <input [formControl]="control"
                 [matChipInputFor]="chipList"
                 [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                 [matChipInputAddOnBlur]="true"
                 (matChipInputTokenEnd)="add($event)"
          >
        </mat-chip-list>
      </mat-form-field>
    </ng-template>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "component", type: i4$4.MatChipList, selector: "mat-chip-list", inputs: ["role", "aria-describedby", "errorStateMatcher", "multiple", "compareWith", "value", "required", "placeholder", "disabled", "aria-orientation", "selectable", "tabIndex"], outputs: ["change", "valueChange"], exportAs: ["matChipList"] }, { kind: "directive", type: i4$4.MatChip, selector: "mat-basic-chip, [mat-basic-chip], mat-chip, [mat-chip]", inputs: ["color", "disableRipple", "tabIndex", "role", "selected", "value", "selectable", "disabled", "removable"], outputs: ["selectionChange", "destroyed", "removed"], exportAs: ["matChip"] }, { kind: "directive", type: i4$4.MatChipInput, selector: "input[matChipInputFor]", inputs: ["matChipInputFor", "matChipInputAddOnBlur", "matChipInputSeparatorKeyCodes", "placeholder", "id", "disabled"], outputs: ["matChipInputTokenEnd"], exportAs: ["matChipInput", "matChipInputFor"] }, { kind: "directive", type: i4$4.MatChipRemove, selector: "[matChipRemove]" }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTagsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-tags',
                    template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-form-field class="example-chip-list" fxFill>

        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>

        <mat-chip-list #chipList [attr.aria-label]="instance.component.label">
          <mat-chip *ngFor="let tag of tags; index as i;"
                    [selectable]="true"
                    [removable]="true"
                    (removed)="remove(i)"
          >
            {{tag}}
            <mat-icon matChipRemove>cancel</mat-icon>
          </mat-chip>

          <input [formControl]="control"
                 [matChipInputFor]="chipList"
                 [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                 [matChipInputAddOnBlur]="true"
                 (matChipInputTokenEnd)="add($event)"
          >
        </mat-chip-list>
      </mat-form-field>
    </ng-template>
  `
                }]
        }] });
TagsComponent.MaterialComponent = MaterialTagsComponent;

var ButtonsThemes;
(function (ButtonsThemes) {
    ButtonsThemes["PRIMARY"] = "primary";
    ButtonsThemes["SECONDARY"] = "secondary";
    ButtonsThemes["INFO"] = "info";
    ButtonsThemes["WARNING"] = "warning";
    ButtonsThemes["DANGER"] = "danger";
    ButtonsThemes["SUCCESS"] = "success";
})(ButtonsThemes || (ButtonsThemes = {}));
var AngularButtonsThemes;
(function (AngularButtonsThemes) {
    AngularButtonsThemes["WARN"] = "warn";
    AngularButtonsThemes["PRIMARY"] = "primary";
    AngularButtonsThemes["BASIC"] = "basic";
    AngularButtonsThemes["ACCENT"] = "accent";
})(AngularButtonsThemes || (AngularButtonsThemes = {}));

class MaterialButtonComponent extends MaterialComponent {
    constructor(element, ref, dialog) {
        super(element, ref);
        this.element = element;
        this.ref = ref;
        this.dialog = dialog;
        this.loading = false;
        this.done = false;
        this.error = false;
        this.disabled = false;
        this.clicked = false;
        this.walkmeClass = '';
    }
    get color() {
        if (this.error) {
            return AngularButtonsThemes.WARN;
        }
        const theme = this.angularButtonTheme;
        return theme || AngularButtonsThemes.PRIMARY;
    }
    get angularButtonTheme() {
        switch (this.instance.component.theme) {
            case ButtonsThemes.PRIMARY:
                return AngularButtonsThemes.PRIMARY;
            case ButtonsThemes.WARNING:
                return AngularButtonsThemes.ACCENT;
            case ButtonsThemes.DANGER:
                return AngularButtonsThemes.WARN;
            case ButtonsThemes.SECONDARY:
                return AngularButtonsThemes.BASIC;
            default:
                return '';
        }
    }
    get buttonClass() {
        var _a, _b;
        let className = this.instance.component.block ? 'mat-formio-button-block' : '';
        className += this.instance.component.size ? ` mat-formio-button-${this.instance.component.size}` : '';
        className += !this.angularButtonTheme ? ` mat-formio-theme-${this.instance.component.theme}` : '';
        const attributes = (_b = (_a = this.instance) === null || _a === void 0 ? void 0 : _a.component) === null || _b === void 0 ? void 0 : _b.attributes;
        if (attributes) {
            const buttonType = attributes.buttonType || '';
            const programName = attributes.programName || '';
            this.walkmeClass = `walkme-${buttonType}-${programName}`.toLowerCase();
        }
        return className;
    }
    onClick(event) {
        this.clicked = true;
        this.instance.onClick(event);
    }
    getValue() {
        return this.clicked;
    }
    setState(loading, error, done) {
        this.loading = loading;
        this.done = done;
        this.error = error;
    }
    getIconFontSet(icon) {
        const fontSet = icon.split(' ')[0];
        return fontSet;
    }
    getIconName(icon) {
        return icon.replace(this.getIconFontSet(icon), '');
    }
    setInstance(instance) {
        const retVal = super.setInstance(instance);
        this.disabled = instance.shouldDisabled;
        instance.on('submitButton', () => this.setState(true, false, false));
        instance.on('submitDone', () => this.setState(false, false, true));
        instance.on('submitError', () => this.setState(false, true, false));
        instance.on('requestButton', () => this.setState(true, false, false));
        instance.on('requestDone', () => this.setState(false, false, true));
        instance.on('change', (event) => {
            this.disabled = this.instance.shouldDisabled || (this.instance.component.disableOnInvalid && !event.isValid);
            if (event.isValid) {
                this.loading = false;
                this.error = false;
            }
        });
        return retVal;
    }
}
MaterialButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialButtonComponent, deps: [{ token: i0.ElementRef }, { token: i0.ChangeDetectorRef }, { token: i1$1.MatDialog }], target: i0.ɵɵFactoryTarget.Component });
MaterialButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialButtonComponent, selector: "mat-formio-button", usesInheritance: true, ngImport: i0, template: "<button *ngIf=\"instance && instance.component.label != 'Click to add Products'\"\r\n        [ngClass]=\"[buttonClass, walkmeClass]\"\r\n        type=\"{{ instance.component.action }}\"\r\n        mat-raised-button [color]=\"color\"\r\n        [disabled]=\"disabled\"\r\n        (click)=\"instance.onClick($event)\"\r\n>\r\n\r\n\r\n  <mat-icon *ngIf=\"instance.component.leftIcon\">{{instance.component.leftIcon}}</mat-icon>\r\n  <mat-icon *ngIf=\"done\">done</mat-icon>\r\n  <mat-icon *ngIf=\"error\">close</mat-icon>\r\n  <mat-icon class=\"mat-icon-spin\" *ngIf=\"loading\">autorenew</mat-icon>\r\n  {{ instance.component.label }}\r\n  <mat-icon *ngIf=\"instance.component.rightIcon\">{{instance.component.rightIcon}}</mat-icon>\r\n</button>\r\n", styles: ["@-webkit-keyframes spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}@keyframes spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}:host .mat-icon-spin{-webkit-animation-name:spin;animation-name:spin;-webkit-animation-duration:1s;animation-duration:1s;-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite;-webkit-animation-timing-function:linear;animation-timing-function:linear}.mat-formio-theme-success{background-color:#63d644!important}.mat-formio-theme-info{background-color:#49d9f4!important}.mat-formio-button-sm{font-size:14px;padding:8px 12px}.mat-formio-button-xs{font-size:14px;padding:4px 6px}.mat-formio-button-md{font-size:15px;padding:8px 12px}.mat-formio-button-lg{font-size:19px;padding:16px 20px}.mat-formio-button-block{display:block;width:100%}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3$2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-button', template: "<button *ngIf=\"instance && instance.component.label != 'Click to add Products'\"\r\n        [ngClass]=\"[buttonClass, walkmeClass]\"\r\n        type=\"{{ instance.component.action }}\"\r\n        mat-raised-button [color]=\"color\"\r\n        [disabled]=\"disabled\"\r\n        (click)=\"instance.onClick($event)\"\r\n>\r\n\r\n\r\n  <mat-icon *ngIf=\"instance.component.leftIcon\">{{instance.component.leftIcon}}</mat-icon>\r\n  <mat-icon *ngIf=\"done\">done</mat-icon>\r\n  <mat-icon *ngIf=\"error\">close</mat-icon>\r\n  <mat-icon class=\"mat-icon-spin\" *ngIf=\"loading\">autorenew</mat-icon>\r\n  {{ instance.component.label }}\r\n  <mat-icon *ngIf=\"instance.component.rightIcon\">{{instance.component.rightIcon}}</mat-icon>\r\n</button>\r\n", styles: ["@-webkit-keyframes spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}@keyframes spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}:host .mat-icon-spin{-webkit-animation-name:spin;animation-name:spin;-webkit-animation-duration:1s;animation-duration:1s;-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite;-webkit-animation-timing-function:linear;animation-timing-function:linear}.mat-formio-theme-success{background-color:#63d644!important}.mat-formio-theme-info{background-color:#49d9f4!important}.mat-formio-button-sm{font-size:14px;padding:8px 12px}.mat-formio-button-xs{font-size:14px;padding:4px 6px}.mat-formio-button-md{font-size:15px;padding:8px 12px}.mat-formio-button-lg{font-size:19px;padding:16px 20px}.mat-formio-button-block{display:block;width:100%}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.ChangeDetectorRef }, { type: i1$1.MatDialog }]; } });
ButtonComponent.MaterialComponent = MaterialButtonComponent;

class MaterialTextareaComponent extends MaterialComponent {
    ngAfterViewInit() {
        if (this.element && this.element.nativeElement && this.instance) {
            // Add custom classes to elements.
            if (this.instance.component.customClass) {
                this.element.nativeElement.classList.add(this.instance.component.customClass);
            }
        }
        // Attach the element so the wysiwyg will work.
        this.instance.attachElement(this.textarea.nativeElement);
    }
    getErrorMessage() {
        // Check if instance and necessary properties exist
        if (this.instance && this.instance.parent && this.instance.parent._data) {
            if (this.instance.parent._data.submit) {
                this.control.markAllAsTouched();
            }
        }
        // Return the error message if it exists
        return this.instance.error ? this.instance.error.message : '';
    }
    getValue() {
        return isNil(this.control.value) ? '' : this.control.value;
    }
}
MaterialTextareaComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTextareaComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialTextareaComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialTextareaComponent, selector: "mat-formio-textarea", viewQueries: [{ propertyName: "textarea", first: true, predicate: ["textarea"], descendants: true }], usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-form-field class="mat-formio-textarea"
                      [ngClass]="{'editor-enabled': !!instance.component.editor}"
                      fxFill
                      fxFlexAlign="center"
      >
        <mat-label fxFill *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>
        <span *ngIf="instance.component.prefix" matPrefix>{{ instance.component.prefix }}&nbsp;</span>
        <textarea matInput
                  [placeholder]="instance.component.placeholder"
                  [formControl]="control"
                  [rows]="(instance.component.rows || 3)"
                  (input)="onChange()"
                   #textarea
        >
        </textarea>
        <span *ngIf="instance.component.suffix" matSuffix>{{ instance.component.suffix }}</span>
        <mat-error *ngIf="instance.error">{{ getErrorMessage() }}</mat-error>
      </mat-form-field>
    </ng-template>
  `, isInline: true, styles: [".mat-input-element{min-height:16px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i5.DefaultFlexAlignDirective, selector: "  [fxFlexAlign], [fxFlexAlign.xs], [fxFlexAlign.sm], [fxFlexAlign.md],  [fxFlexAlign.lg], [fxFlexAlign.xl], [fxFlexAlign.lt-sm], [fxFlexAlign.lt-md],  [fxFlexAlign.lt-lg], [fxFlexAlign.lt-xl], [fxFlexAlign.gt-xs], [fxFlexAlign.gt-sm],  [fxFlexAlign.gt-md], [fxFlexAlign.gt-lg]", inputs: ["fxFlexAlign", "fxFlexAlign.xs", "fxFlexAlign.sm", "fxFlexAlign.md", "fxFlexAlign.lg", "fxFlexAlign.xl", "fxFlexAlign.lt-sm", "fxFlexAlign.lt-md", "fxFlexAlign.lt-lg", "fxFlexAlign.lt-xl", "fxFlexAlign.gt-xs", "fxFlexAlign.gt-sm", "fxFlexAlign.gt-md", "fxFlexAlign.gt-lg"] }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTextareaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-textarea', template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-form-field class="mat-formio-textarea"
                      [ngClass]="{'editor-enabled': !!instance.component.editor}"
                      fxFill
                      fxFlexAlign="center"
      >
        <mat-label fxFill *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>
        <span *ngIf="instance.component.prefix" matPrefix>{{ instance.component.prefix }}&nbsp;</span>
        <textarea matInput
                  [placeholder]="instance.component.placeholder"
                  [formControl]="control"
                  [rows]="(instance.component.rows || 3)"
                  (input)="onChange()"
                   #textarea
        >
        </textarea>
        <span *ngIf="instance.component.suffix" matSuffix>{{ instance.component.suffix }}</span>
        <mat-error *ngIf="instance.error">{{ getErrorMessage() }}</mat-error>
      </mat-form-field>
    </ng-template>
  `, styles: [".mat-input-element{min-height:16px}\n"] }]
        }], propDecorators: { textarea: [{
                type: ViewChild,
                args: ['textarea']
            }] } });
TextAreaComponent.MaterialComponent = MaterialTextareaComponent;

class MaterialNestedComponent extends MaterialComponent {
    setInstance(instance) {
        instance.viewContainer = () => {
            return this.viewContainers ? this.viewContainers[0] : null;
        };
        super.setInstance(instance);
    }
    renderComponents() {
        if (this.instance.renderComponents) {
            this.instance.renderComponents();
        }
    }
    render() {
        this.viewContainers = this.components.toArray();
        this.renderComponents();
        this.ref.detectChanges();
    }
    ngAfterViewInit() {
        this.components.changes.subscribe(() => this.render());
        this.render();
    }
}
MaterialNestedComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialNestedComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialNestedComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialNestedComponent, selector: "mat-formio-nested", viewQueries: [{ propertyName: "components", predicate: ["components"], descendants: true, read: ViewContainerRef }], usesInheritance: true, ngImport: i0, template: '<ng-template #components></ng-template>', isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialNestedComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-nested',
                    template: '<ng-template #components></ng-template>'
                }]
        }], propDecorators: { components: [{
                type: ViewChildren,
                args: ['components', { read: ViewContainerRef }]
            }] } });

class MaterialPanelComponent extends MaterialNestedComponent {
}
MaterialPanelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialPanelComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialPanelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialPanelComponent, selector: "mat-formio-panel", usesInheritance: true, ngImport: i0, template: `
    <mat-card *ngIf="!instance.component.collapsible">
      <mat-card-title *ngIf="instance?.component?.title">
        {{ instance.component.title }}
      </mat-card-title>
      <mat-card-content fxLayout="column" fxLayoutGap="1em">
        <ng-template #components></ng-template>
      </mat-card-content>
    </mat-card>
    <mat-expansion-panel *ngIf="instance.component.collapsible"
                         [expanded]="!instance.component.collapsed"
    >
      <mat-expansion-panel-header *ngIf="instance?.component?.title">
        <mat-panel-title>
          {{ instance.component.title }}
        </mat-panel-title>
      </mat-expansion-panel-header>
      <ng-template #components></ng-template>
    </mat-expansion-panel>
  `, isInline: true, styles: [":host{margin-bottom:1em}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2$1.MatExpansionPanel, selector: "mat-expansion-panel", inputs: ["disabled", "expanded", "hideToggle", "togglePosition"], outputs: ["opened", "closed", "expandedChange", "afterExpand", "afterCollapse"], exportAs: ["matExpansionPanel"] }, { kind: "component", type: i2$1.MatExpansionPanelHeader, selector: "mat-expansion-panel-header", inputs: ["tabIndex", "expandedHeight", "collapsedHeight"] }, { kind: "directive", type: i2$1.MatExpansionPanelTitle, selector: "mat-panel-title" }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "component", type: i4.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "directive", type: i4.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { kind: "directive", type: i4.MatCardTitle, selector: "mat-card-title, [mat-card-title], [matCardTitle]" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialPanelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-panel', template: `
    <mat-card *ngIf="!instance.component.collapsible">
      <mat-card-title *ngIf="instance?.component?.title">
        {{ instance.component.title }}
      </mat-card-title>
      <mat-card-content fxLayout="column" fxLayoutGap="1em">
        <ng-template #components></ng-template>
      </mat-card-content>
    </mat-card>
    <mat-expansion-panel *ngIf="instance.component.collapsible"
                         [expanded]="!instance.component.collapsed"
    >
      <mat-expansion-panel-header *ngIf="instance?.component?.title">
        <mat-panel-title>
          {{ instance.component.title }}
        </mat-panel-title>
      </mat-expansion-panel-header>
      <ng-template #components></ng-template>
    </mat-expansion-panel>
  `, styles: [":host{margin-bottom:1em}\n"] }]
        }] });
PanelComponent.MaterialComponent = MaterialPanelComponent;

class MaterialColumnsComponent extends MaterialNestedComponent {
    constructor() {
        super(...arguments);
        this.flexGap = 0.5;
        this.totalSpace = 0;
    }
    setInstance(instance) {
        this.totalSpace = 100 - ((instance.component.columns.length - 1) * this.flexGap);
        super.setInstance(instance);
        instance.viewContainer = (component) => {
            return this.viewContainers ? this.viewContainers[component.column] : null;
        };
    }
    flexWidth(column, index) {
        if (index >= (this.instance.component.columns.length - 1)) {
            return Math.ceil(((parseFloat(column.width) / 12) * this.totalSpace)) + '%';
        }
        else {
            return Math.floor(((parseFloat(column.width) / 12) * this.totalSpace)) + '%';
        }
    }
}
MaterialColumnsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialColumnsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialColumnsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialColumnsComponent, selector: "mat-formio-columns", usesInheritance: true, ngImport: i0, template: `
    <div class="container"
         fxLayout="row"
         fxLayout.xs="column"
         fxLayoutWrap
         fxLayoutGap="{{ flexGap }}%"
         fxLayoutAlign="center"
    >
      <div
        *ngFor="let column of instance.component.columns; let i = index"
        [fxFlex]="flexWidth(column, i)"
        fxLayout="column"
        fxLayoutGap="1em">
        <ng-template #components></ng-template>
      </div>
    </div>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i5.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialColumnsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-columns', template: `
    <div class="container"
         fxLayout="row"
         fxLayout.xs="column"
         fxLayoutWrap
         fxLayoutGap="{{ flexGap }}%"
         fxLayoutAlign="center"
    >
      <div
        *ngFor="let column of instance.component.columns; let i = index"
        [fxFlex]="flexWidth(column, i)"
        fxLayout="column"
        fxLayoutGap="1em">
        <ng-template #components></ng-template>
      </div>
    </div>
  ` }]
        }] });
ColumnsComponent.MaterialComponent = MaterialColumnsComponent;

class MaterialContainerComponent extends MaterialNestedComponent {
}
MaterialContainerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialContainerComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialContainerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialContainerComponent, selector: "mat-formio-container", usesInheritance: true, ngImport: i0, template: `
    <div fxLayout="column" fxLayoutGap="1em">
      <ng-template #components></ng-template>
    </div>`, isInline: true, dependencies: [{ kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialContainerComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-container',
                    template: `
    <div fxLayout="column" fxLayoutGap="1em">
      <ng-template #components></ng-template>
    </div>`
                }]
        }] });
ContainerComponent.MaterialComponent = MaterialContainerComponent;

class MaterialTabsComponent extends MaterialNestedComponent {
    setInstance(instance) {
        super.setInstance(instance);
        instance.viewContainer = (component) => {
            return this.viewContainers ? this.viewContainers[component.tab] : null;
        };
    }
}
MaterialTabsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTabsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialTabsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialTabsComponent, selector: "mat-formio-tabs", usesInheritance: true, ngImport: i0, template: `
    <mat-tab-group>
      <mat-tab *ngFor="let tab of instance.component.components" [label]="tab.label">
        <div fxLayout="column" fxLayoutGap="1em" style="border: 1px dotted rgba(0, 0, 0, 0.125)">
          <ng-template #components></ng-template>
        </div>
      </mat-tab>
    </mat-tab-group>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i2$2.MatTabGroup, selector: "mat-tab-group", inputs: ["color", "disableRipple"], exportAs: ["matTabGroup"] }, { kind: "component", type: i2$2.MatTab, selector: "mat-tab", inputs: ["disabled", "label", "aria-label", "aria-labelledby", "labelClass", "bodyClass"], exportAs: ["matTab"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTabsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-tabs',
                    template: `
    <mat-tab-group>
      <mat-tab *ngFor="let tab of instance.component.components" [label]="tab.label">
        <div fxLayout="column" fxLayoutGap="1em" style="border: 1px dotted rgba(0, 0, 0, 0.125)">
          <ng-template #components></ng-template>
        </div>
      </mat-tab>
    </mat-tab-group>
  `
                }]
        }] });
TabsComponent.MaterialComponent = MaterialTabsComponent;

class MaterialTimeComponent extends MaterialComponent {
    constructor() {
        super(...arguments);
        this.disabled = false;
        this.period = 'AM';
        this.hourControl = new FormControl();
        this.minuteControl = new FormControl();
        this.secondControl = new FormControl();
        this.selectedEvent = new EventEmitter();
        this.hourStep = 1;
        this.minuteStep = 1;
        this.secondStep = 1;
        this.renderElementOnly = false;
    }
    setDisabled(disabled) {
        if (disabled) {
            this.hourControl.disable();
            this.minuteControl.disable();
            this.secondControl.disable();
        }
    }
    get dataFormat() {
        let format = this.instance.component.dataFormat;
        format = format ? format : 'HH:mm';
        return format;
    }
    setInstance(instance) {
        super.setInstance(instance);
        // this.control.setValue('00:00:00');
        this.onChange();
    }
    onChange() {
        const hours = this.hourControl.value;
        const minutes = this.minuteControl.value || '00';
        const seconds = this.secondControl.value || '';
        const rawValue = `${hours || '00'}:${minutes}${seconds ? ':' + seconds : ''} ${this.period}`;
        let value = this.getTwentyFourHourTime(rawValue);
        if (!hours) {
            value = this.instance.emptyValue;
        }
        this.control.setValue(value);
        if (this.instance) {
            super.onChange();
        }
        this.selectedEvent.emit(this.control);
    }
    setValue(value) {
        if (!value) {
            return;
        }
        super.setValue(value);
        const [hourValue, minuteValue, period] = value.split(':');
        this.hourControl.setValue(hourValue);
        this.minuteControl.setValue(minuteValue);
        // fix for default value with seconds instead of period
        this.period = period === ('AM' || 'PM') ? period : this.period;
    }
    getTwentyFourHourTime(amPmString) {
        const moment = moment_;
        return moment(amPmString, ['h:mm:ss A']).format(this.dataFormat);
    }
    changePeriod() {
        this.period = this.period === 'AM' ? 'PM' : 'AM';
        this.onChange();
    }
}
MaterialTimeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTimeComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialTimeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialTimeComponent, selector: "mat-formio-time", inputs: { hourStep: "hourStep", minuteStep: "minuteStep", secondStep: "secondStep", renderElementOnly: "renderElementOnly" }, outputs: { selectedEvent: "selectedEvent" }, usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field
      [instance]="instance"
      [componentTemplate]="componentTemplate"
      [renderElementOnly]="renderElementOnly"
    ></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-label fxFill *ngIf="hasLabel">
        <span [instance]="instance" matFormioLabel></span>
      </mat-label>

      <div style="display: block">
        <div fxLayout="row" fxLayoutGap="5%">
          <input
            [formControl]="hourControl"
            [step]="hourStep"
            [min]="0"
            [max]="12"
            type="number"
            fxFlex="25%"
            (input)="onChange()"
          >
          <input
            [formControl]="minuteControl"
            [step]="minuteStep"
            [min]="0"
            [max]="59"
            type="number"
            fxFlex="25%"
            (input)="onChange()"
          >
          <input
            [formControl]="secondControl"
            [step]="secondStep"
            [min]="0"
            [max]="59"
            type="number"
            fxFlex="25%"
            (input)="onChange()"
            *ngIf="instance?.component?.dataFormat === 'HH:mm:ss' ||
             instance?.component?.dataFormat === 'HH:mm:ss.SSS'"
          >
          <button
            [disabled]="instance?.component?.disabled"
            fxFlex="25%"
            (click)="changePeriod()"
          >
            {{period}}
          </button>
        </div>
        <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
      </div>
    </ng-template>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i2.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i5.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTimeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-time',
                    template: `
    <mat-formio-form-field
      [instance]="instance"
      [componentTemplate]="componentTemplate"
      [renderElementOnly]="renderElementOnly"
    ></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-label fxFill *ngIf="hasLabel">
        <span [instance]="instance" matFormioLabel></span>
      </mat-label>

      <div style="display: block">
        <div fxLayout="row" fxLayoutGap="5%">
          <input
            [formControl]="hourControl"
            [step]="hourStep"
            [min]="0"
            [max]="12"
            type="number"
            fxFlex="25%"
            (input)="onChange()"
          >
          <input
            [formControl]="minuteControl"
            [step]="minuteStep"
            [min]="0"
            [max]="59"
            type="number"
            fxFlex="25%"
            (input)="onChange()"
          >
          <input
            [formControl]="secondControl"
            [step]="secondStep"
            [min]="0"
            [max]="59"
            type="number"
            fxFlex="25%"
            (input)="onChange()"
            *ngIf="instance?.component?.dataFormat === 'HH:mm:ss' ||
             instance?.component?.dataFormat === 'HH:mm:ss.SSS'"
          >
          <button
            [disabled]="instance?.component?.disabled"
            fxFlex="25%"
            (click)="changePeriod()"
          >
            {{period}}
          </button>
        </div>
        <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
      </div>
    </ng-template>
  `
                }]
        }], propDecorators: { selectedEvent: [{
                type: Output
            }], hourStep: [{
                type: Input
            }], minuteStep: [{
                type: Input
            }], secondStep: [{
                type: Input
            }], renderElementOnly: [{
                type: Input
            }] } });
TimeComponent.MaterialComponent = MaterialTimeComponent;

class MaterialCalendarComponent extends MaterialComponent {
    constructor() {
        super(...arguments);
        this.timeSelectEvent = new EventEmitter();
        this.dateSelectEvent = new EventEmitter();
    }
    setInstance(instance) {
        super.setInstance(instance);
    }
    setExistedDate(value) {
        this.selectedDate = value;
    }
    setExistedTime(value, forTime) {
        this.selectedTime = value;
        this.time.setValue(forTime);
    }
    onDate(event) {
        this.selectedDate = event;
        this.dateSelectEvent.emit(this.selectedDate);
    }
    onTime(event) {
        this.selectedTime = event.value;
        this.timeSelectEvent.emit(this.selectedTime);
    }
    getPopupStyles() {
        return {
            position: 'absolute',
            zIndex: '1000',
            display: 'flex',
            maxWidth: '100%',
            maxHeight: '100%',
            top: '90px',
            left: '30px'
        };
    }
}
MaterialCalendarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialCalendarComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialCalendarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialCalendarComponent, selector: "mat-formio-calendar", inputs: { enableDate: "enableDate", enableTime: "enableTime", minDate: "minDate", maxDate: "maxDate", dateFilter: "dateFilter", hourStep: "hourStep", minuteStep: "minuteStep" }, outputs: { timeSelectEvent: "timeSelectEvent", dateSelectEvent: "dateSelectEvent" }, viewQueries: [{ propertyName: "time", first: true, predicate: ["time"], descendants: true }], usesInheritance: true, ngImport: i0, template: `
    <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutGap="0.5%">
      <div [ngStyle]="getPopupStyles()">
        <mat-card style="padding: 0;">
          <mat-calendar
                  [dateFilter]="dateFilter"
                  [maxDate]="maxDate"
                  [minDate]="minDate"
                  [selected]="selectedDate"
                  (selectedChange)="onDate($event)"
                  class="calendar"
                  *ngIf="enableDate !== false"
          >
          </mat-calendar>
          <mat-formio-time
                  #time
                  [hourStep]="hourStep"
                  [instance]="instance"
                  [renderElementOnly]="true"
                  [minuteStep]="minuteStep"
                  (selectedEvent)="onTime($event)"
                  class="ml-3 formio-time"
                  *ngIf="enableTime"
          >
          </mat-formio-time>
        </mat-card>
      </div>
    </div>
  `, isInline: true, styles: [".calendar,.formio-time{padding:16px;background-color:#fff;box-shadow:0 2px 1px -1px #0003,0 1px 1px #00000024,0 1px 3px #0000001f}.formio-time{display:flex}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: i5$2.MatCalendar, selector: "mat-calendar", inputs: ["headerComponent", "startAt", "startView", "selected", "minDate", "maxDate", "dateFilter", "dateClass", "comparisonStart", "comparisonEnd"], outputs: ["selectedChange", "yearSelected", "monthSelected", "viewChanged", "_userSelection"], exportAs: ["matCalendar"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i6.DefaultStyleDirective, selector: "  [ngStyle],  [ngStyle.xs], [ngStyle.sm], [ngStyle.md], [ngStyle.lg], [ngStyle.xl],  [ngStyle.lt-sm], [ngStyle.lt-md], [ngStyle.lt-lg], [ngStyle.lt-xl],  [ngStyle.gt-xs], [ngStyle.gt-sm], [ngStyle.gt-md], [ngStyle.gt-lg]", inputs: ["ngStyle", "ngStyle.xs", "ngStyle.sm", "ngStyle.md", "ngStyle.lg", "ngStyle.xl", "ngStyle.lt-sm", "ngStyle.lt-md", "ngStyle.lt-lg", "ngStyle.lt-xl", "ngStyle.gt-xs", "ngStyle.gt-sm", "ngStyle.gt-md", "ngStyle.gt-lg"] }, { kind: "component", type: i4.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "component", type: MaterialTimeComponent, selector: "mat-formio-time", inputs: ["hourStep", "minuteStep", "secondStep", "renderElementOnly"], outputs: ["selectedEvent"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialCalendarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-calendar', template: `
    <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutGap="0.5%">
      <div [ngStyle]="getPopupStyles()">
        <mat-card style="padding: 0;">
          <mat-calendar
                  [dateFilter]="dateFilter"
                  [maxDate]="maxDate"
                  [minDate]="minDate"
                  [selected]="selectedDate"
                  (selectedChange)="onDate($event)"
                  class="calendar"
                  *ngIf="enableDate !== false"
          >
          </mat-calendar>
          <mat-formio-time
                  #time
                  [hourStep]="hourStep"
                  [instance]="instance"
                  [renderElementOnly]="true"
                  [minuteStep]="minuteStep"
                  (selectedEvent)="onTime($event)"
                  class="ml-3 formio-time"
                  *ngIf="enableTime"
          >
          </mat-formio-time>
        </mat-card>
      </div>
    </div>
  `, styles: [".calendar,.formio-time{padding:16px;background-color:#fff;box-shadow:0 2px 1px -1px #0003,0 1px 1px #00000024,0 1px 3px #0000001f}.formio-time{display:flex}\n"] }]
        }], propDecorators: { time: [{
                type: ViewChild,
                args: ['time']
            }], enableDate: [{
                type: Input
            }], enableTime: [{
                type: Input
            }], minDate: [{
                type: Input
            }], maxDate: [{
                type: Input
            }], dateFilter: [{
                type: Input
            }], hourStep: [{
                type: Input
            }], minuteStep: [{
                type: Input
            }], timeSelectEvent: [{
                type: Output
            }], dateSelectEvent: [{
                type: Output
            }] } });

class MaskDirective {
    constructor(elementRef) {
        this.elementRef = elementRef;
    }
    get value() {
        return this._value;
    }
    set value(value) {
        this._value = value;
        this.formatValue(value);
    }
    formatValue(value) {
        if (value !== null) {
            this.elementRef.nativeElement.value = this.format(value);
        }
        else {
            this.elementRef.nativeElement.value = '';
        }
    }
    _onChange(value) {
    }
    writeValue(value) {
        this._value = value;
        this.formatValue(this._value); // format Value
    }
    registerOnChange(fn) {
        this._onChange = fn;
    }
    registerOnTouched() {
    }
}
MaskDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaskDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
MaskDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.1.3", type: MaskDirective, selector: "input[matMask]", inputs: { format: ["matMask", "format"], value: "value" }, providers: [
        { provide: MAT_INPUT_VALUE_ACCESSOR, useExisting: MaskDirective },
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => MaskDirective),
            multi: true,
        }
    ], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaskDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'input[matMask]',
                    providers: [
                        { provide: MAT_INPUT_VALUE_ACCESSOR, useExisting: MaskDirective },
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => MaskDirective),
                            multi: true,
                        }
                    ]
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { format: [{
                type: Input,
                args: ['matMask']
            }], value: [{
                type: Input,
                args: ['value']
            }] } });

class MaterialDateComponent extends MaterialComponent {
    constructor() {
        super(...arguments);
        this.timeControl = new FormControl();
        this.displayControl = new FormControl();
        this.selectedTime = '00:00';
        this.allowManualInput = true;
        this.formatTime = (value) => {
            if (!value) {
                return this.instance.emptyValue;
            }
            return momentDate(value).format(this.instance.component.format);
        };
        this.dateFilter = (d) => {
            const isValid = this.instance.component.datePicker.disableWeekends ? this.disableWeekends(d) : true;
            return this.instance.component.widget.disabledDates && isValid ?
                this.disableDates(this.instance.component.widget.disabledDates.split(','), d) : isValid;
        };
    }
    get enableDate() {
        return this.instance && this.instance.component.enableDate !== false;
    }
    get enableTime() {
        return this.instance && this.instance.component.enableTime === true;
    }
    setDisplayControlValue(value = null) {
        const format = `YYYY-MM-DD${this.enableTime ? 'THH:mm' : ''}`;
        value = value || this.getDateTimeValue();
        if (value) {
            this.displayControl.setValue(momentDate(value).format(format));
        }
        else {
            this.displayControl.setValue('');
        }
    }
    onChangeDate(event) {
        this.selectedDate = momentDate(event).utc().format();
        this.control.setValue(this.selectedDate);
        this.setDateTime();
    }
    onChangeTime(time) {
        this.selectedTime = time;
        if (this.selectedDate || (this.enableTime && !this.enableDate)) {
            this.setDateTime();
        }
    }
    onChangeInput() {
        const value = this.dateFilter(this.displayControl.value) &&
            this.checkMinMax(this.displayControl.value) ? this.displayControl.value : '';
        this.control.setValue(value);
        this.onChange();
    }
    getDateTimeValue() {
        let newDate = '';
        let isSelectedTime = false;
        if (this.calendar && this.calendar.selectedTime) {
            const { selectedTime } = this.calendar;
            isSelectedTime = true;
            if (this.selectedTime !== selectedTime) {
                this.selectedTime = selectedTime;
            }
        }
        if (this.enableTime && this.enableDate) {
            const [hours, minutes] = this.selectedTime.split(':');
            newDate = isSelectedTime
                ? momentDate(this.selectedDate)
                    .hours(Number.parseInt(hours))
                    .minutes(Number.parseInt(minutes))
                    .utc()
                : this.selectedDate;
        }
        if (!this.enableTime && this.enableDate) {
            newDate = this.selectedDate;
        }
        if (this.enableTime && !this.enableDate) {
            const [hours, minutes] = this.selectedTime.split(':');
            newDate = momentDate(new Date())
                .hours(Number.parseInt(hours))
                .minutes(Number.parseInt(minutes))
                .seconds(0)
                .utc();
        }
        return newDate;
    }
    setDateTime() {
        this.control.setValue(this.getDateTimeValue());
        this.onChange();
    }
    setInstance(instance) {
        super.setInstance(instance);
        this.isDisabled() ? this.control.disable() : this.control.enable();
        this.isDisabled() ? this.displayControl.disable() : this.displayControl.enable();
        if (this.instance) {
            this.allowManualInput = this.instance.component.allowInput === false ? false : true;
            if (this.instance.component && this.instance.component.datePicker) {
                const { minDate: min, maxDate: max } = this.instance.component.datePicker;
                // It improves the date to the full format if the customer set only a year. Otherwise we will have conflicts into the moment.js.
                const { minDate, maxDate } = this.improveMinMaxDate(min, max);
                this.instance.component.datePicker.minDate = minDate;
                this.instance.component.datePicker.maxDate = maxDate;
            }
        }
    }
    toggleCalendar(event) {
        if (!this.isDisabled()) {
            if (!this.isPickerOpened) {
                const date = this.getValue();
                if (date && this.checkMinMax(date)) {
                    if (this.enableDate && this.calendar && !this.calendar.selectedDate) {
                        this.calendar.setExistedDate(momentDate(date).toDate());
                    }
                    if (this.enableTime && this.calendar && !this.calendar.selectedTime) {
                        const time = momentDate(date);
                        this.calendar.setExistedTime(time.format('HH:mm'), time.format('h:mm:A'));
                    }
                }
            }
            this.isPickerOpened = !this.isPickerOpened;
            event.stopPropagation();
        }
    }
    isDisabled() {
        const { readonly, disabled } = this.instance.component;
        return readonly || disabled || this.instance.root.options.readOnly;
    }
    setValue(value) {
        if (this.dateFilter(value) && this.checkMinMax(value)) {
            this.setDisplayControlValue(value);
            super.setValue(value);
        }
    }
    onChange() {
        const value = this.dateFilter(this.getValue()) && this.checkMinMax(this.getValue()) ? this.getValue() : '';
        this.setDisplayControlValue(value);
    }
    beforeSubmit() {
        this.onChange();
        super.beforeSubmit();
    }
    checkMinMax(value) {
        let isValid = true;
        const { minDate: min, maxDate: max } = this.instance.component.datePicker;
        const { minDate, maxDate } = this.improveMinMaxDate(min, max);
        if (minDate) {
            isValid = momentDate(value).isSameOrAfter(minDate);
        }
        if (maxDate && isValid) {
            isValid = momentDate(value).isSameOrBefore(maxDate);
        }
        return isValid;
    }
    disableWeekends(d) {
        if (d && d.getDay) {
            const day = d.getDay();
            return day !== 0 && day !== 6;
        }
        return true;
    }
    disableDates(dates, d) {
        const formattedDates = dates.map((date) => momentDate(date).format('YYYY-MM-DD'));
        return !formattedDates.includes(momentDate(d).format('YYYY-MM-DD'));
    }
    clickOutside(event) {
        if (this.isPickerOpened && (event.target.classList.value == "mat-calendar-body-cell-content mat-focus-indicator mat-calendar-body-today" || event.target.classList.value == "mat-calendar-body" || event.target.classList.value == "mat-calendar-body-cell mat-calendar-body-active" || event.target.classList.value == '' || event.target.classList.value == "mat-calendar-body-label" || event.target.classList.value == "mat-calendar-table-header-divider" || event.target.classList.value == "mat-calendar-controls" || event.target.classList.value == "mat-button-wrapper" || event.target.classList.value == "mat-calendar-header" || event.target.classList.value == "mat-calendar-arrow mat-calendar-invert" || event.target.classList.value == "mat-calendar-content cdk-focused cdk-mouse-focused" || event.target.classList.value == "mat-calendar calendar ng-star-inserted" || event.target.classList.value == "mat-focus-indicator mat-calendar-period-button mat-button mat-button-base cdk-focused cdk-mouse-focused" || event.target.classList.value == 'mat-calendar-body-cell-content mat-focus-indicator' || event.target.classList.value == "mat-focus-indicator mat-calendar-next-button mat-icon-button mat-button-base cdk-focused cdk-mouse-focused" || event.target.classList.value == "mat-focus-indicator mat-calendar-previous-button mat-icon-button mat-button-base cdk-focused cdk-mouse-focused")) {
            this.isPickerOpened = true;
        }
        else {
            if (event.target.classList.value == 'mat-calendar-body-cell-content mat-focus-indicator mat-calendar-body-selected' && this.isPickerOpened) {
                this.toggleCalendar(event);
            }
            else {
                this.isPickerOpened = false;
            }
        }
        // if (event.target.classList.contains('mat-calendar-body-selected') && this.isPickerOpened) {
        //   this.toggleCalendar(event);
        // }
    }
    improveMinMaxDate(minDate, maxDate) {
        if (minDate && minDate.length === 4) {
            minDate = momentDate(`${minDate}-01-01`).format('YYYY-MM-DD');
        }
        if (maxDate && maxDate.length === 4) {
            maxDate = momentDate(`${maxDate}-01-01`).subtract(1, 'day').format('YYYY-MM-DD');
        }
        return { minDate, maxDate };
    }
}
MaterialDateComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialDateComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialDateComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialDateComponent, selector: "mat-formio-date", host: { listeners: { "document:click": "clickOutside($event)" } }, viewQueries: [{ propertyName: "calendar", first: true, predicate: ["calendar"], descendants: true }], usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-label *ngIf="hasLabel" fxFill>
        <span [instance]="instance" matFormioLabel></span>
      </mat-label>

      <form class="example-form">
        <mat-datepicker-toggle [disabled]="isDisabled()" (click)="toggleCalendar($event)">
          <mat-icon matDatepickerToggleIcon *ngIf="enableTime && !enableDate">schedule</mat-icon>
        </mat-datepicker-toggle>
        <mat-form-field class="example-full-width">
          <input
            *ngIf="enableTime && enableDate"
            matInput
            type="datetime-local"
            [placeholder]="instance.component.placeholder"
            [formControl]="displayControl"
            (input)="onChangeInput()"
            [readonly]="!allowManualInput"
          >
          <input
            *ngIf="enableTime && !enableDate"
            matInput
            [placeholder]="instance.component.placeholder"
            [formControl]="displayControl"
            [matMask]="formatTime"
            (input)="onChangeInput()"
            [readonly]="!allowManualInput"
          >
          <input
            *ngIf="!enableTime && enableDate"
            matInput
            [placeholder]="instance.component.placeholder"
            [formControl]="displayControl"
            (input)="onChangeInput()"
            [readonly]="!allowManualInput"
          >
        </mat-form-field>

        <mat-formio-calendar
          #calendar
          [minDate]="instance.component.datePicker.minDate || ''"
          [maxDate]="instance.component.datePicker.maxDate || ''"
          [dateFilter]="dateFilter"
          [hidden]="!isPickerOpened"
          (dateSelectEvent)="onChangeDate($event)"
          (timeSelectEvent)="onChangeTime($event)"
          [enableDate]="enableDate"
          [enableTime]="enableTime"
          [hourStep]="instance.component.timePicker.hourStep"
          [minuteStep]="instance.component.timePicker.minuteStep"
          [instance]="instance"
        ></mat-formio-calendar>
        <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
      </form>
    </ng-template>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i5$2.MatDatepickerToggle, selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "directive", type: i5$2.MatDatepickerToggleIcon, selector: "[matDatepickerToggleIcon]" }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "component", type: MaterialCalendarComponent, selector: "mat-formio-calendar", inputs: ["enableDate", "enableTime", "minDate", "maxDate", "dateFilter", "hourStep", "minuteStep"], outputs: ["timeSelectEvent", "dateSelectEvent"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }, { kind: "directive", type: MaskDirective, selector: "input[matMask]", inputs: ["matMask", "value"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialDateComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-date',
                    host: {
                        '(document:click)': 'clickOutside($event)',
                    },
                    template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-label *ngIf="hasLabel" fxFill>
        <span [instance]="instance" matFormioLabel></span>
      </mat-label>

      <form class="example-form">
        <mat-datepicker-toggle [disabled]="isDisabled()" (click)="toggleCalendar($event)">
          <mat-icon matDatepickerToggleIcon *ngIf="enableTime && !enableDate">schedule</mat-icon>
        </mat-datepicker-toggle>
        <mat-form-field class="example-full-width">
          <input
            *ngIf="enableTime && enableDate"
            matInput
            type="datetime-local"
            [placeholder]="instance.component.placeholder"
            [formControl]="displayControl"
            (input)="onChangeInput()"
            [readonly]="!allowManualInput"
          >
          <input
            *ngIf="enableTime && !enableDate"
            matInput
            [placeholder]="instance.component.placeholder"
            [formControl]="displayControl"
            [matMask]="formatTime"
            (input)="onChangeInput()"
            [readonly]="!allowManualInput"
          >
          <input
            *ngIf="!enableTime && enableDate"
            matInput
            [placeholder]="instance.component.placeholder"
            [formControl]="displayControl"
            (input)="onChangeInput()"
            [readonly]="!allowManualInput"
          >
        </mat-form-field>

        <mat-formio-calendar
          #calendar
          [minDate]="instance.component.datePicker.minDate || ''"
          [maxDate]="instance.component.datePicker.maxDate || ''"
          [dateFilter]="dateFilter"
          [hidden]="!isPickerOpened"
          (dateSelectEvent)="onChangeDate($event)"
          (timeSelectEvent)="onChangeTime($event)"
          [enableDate]="enableDate"
          [enableTime]="enableTime"
          [hourStep]="instance.component.timePicker.hourStep"
          [minuteStep]="instance.component.timePicker.minuteStep"
          [instance]="instance"
        ></mat-formio-calendar>
        <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
      </form>
    </ng-template>
  `
                }]
        }], propDecorators: { calendar: [{
                type: ViewChild,
                args: ['calendar']
            }] } });
DateTimeComponent.MaterialComponent = MaterialDateComponent;

class MaterialCheckboxComponent extends MaterialComponent {
    getValue() {
        return _.isNil(this.control.value) ? '' : this.control.value;
    }
}
MaterialCheckboxComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialCheckboxComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialCheckboxComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialCheckboxComponent, selector: "mat-formio-checkbox", usesInheritance: true, ngImport: i0, template: `
    <mat-checkbox (change)="onChange()" [ngClass]="{'validation-error' : !!instance.error}"
                  [formControl]="control"
    >
      <span matFormioLabel [instance]="instance"></span>
      <mat-icon *ngIf="instance.component.tooltip" matSuffix
                matTooltip="{{ instance.component.tooltip }}" style="font-size: 1rem;">info
      </mat-icon>
    </mat-checkbox>
    <mat-hint>
      {{ instance.component.description  }}
    </mat-hint>
    <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
  `, isInline: true, styles: ["::ng-deep .mat-checkbox.validation-error .mat-checkbox-frame{border-color:red}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "component", type: i4$5.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "directive", type: i3$1.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-checkbox', template: `
    <mat-checkbox (change)="onChange()" [ngClass]="{'validation-error' : !!instance.error}"
                  [formControl]="control"
    >
      <span matFormioLabel [instance]="instance"></span>
      <mat-icon *ngIf="instance.component.tooltip" matSuffix
                matTooltip="{{ instance.component.tooltip }}" style="font-size: 1rem;">info
      </mat-icon>
    </mat-checkbox>
    <mat-hint>
      {{ instance.component.description  }}
    </mat-hint>
    <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
  `, styles: ["::ng-deep .mat-checkbox.validation-error .mat-checkbox-frame{border-color:red}\n"] }]
        }] });
CheckboxComponent.MaterialComponent = MaterialCheckboxComponent;

class MaterialFieldsetComponent extends MaterialNestedComponent {
}
MaterialFieldsetComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialFieldsetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialFieldsetComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialFieldsetComponent, selector: "mat-formio-fieldset", usesInheritance: true, ngImport: i0, template: `
    <fieldset>
      <legend [attr.ref]="'header'">
        {{ instance.component.legend }}
        <mat-icon *ngIf="instance.component.tooltip"
                  matSuffix
                  matTooltip="{{ instance.component.tooltip }}"
        >
          info
        </mat-icon>
      </legend>
      <div class="fieldset-body" [attr.ref]="instance.component.key" fxLayout="column" fxLayoutGap="1em">
        <ng-template #components></ng-template>
      </div>
    </fieldset>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i3$1.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialFieldsetComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-fieldset', template: `
    <fieldset>
      <legend [attr.ref]="'header'">
        {{ instance.component.legend }}
        <mat-icon *ngIf="instance.component.tooltip"
                  matSuffix
                  matTooltip="{{ instance.component.tooltip }}"
        >
          info
        </mat-icon>
      </legend>
      <div class="fieldset-body" [attr.ref]="instance.component.key" fxLayout="column" fxLayoutGap="1em">
        <ng-template #components></ng-template>
      </div>
    </fieldset>
  ` }]
        }] });
FieldsetComponent.MaterialComponent = MaterialFieldsetComponent;

class MaterialContentComponent extends MaterialComponent {
}
MaterialContentComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialContentComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialContentComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialContentComponent, selector: "mat-formio-content", usesInheritance: true, ngImport: i0, template: `<div [innerHTML]="instance.content"></div>`, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialContentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-content',
                    template: `<div [innerHTML]="instance.content"></div>`
                }]
        }] });
ContentComponent.MaterialComponent = MaterialContentComponent;

class MaterialSignatureComponent extends MaterialComponent {
    renderComponents() {
        if (this.signatureElement) {
            this.instance.attach(this.signatureElement.nativeElement);
        }
    }
    ngAfterViewInit() {
        this.renderComponents();
    }
}
MaterialSignatureComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialSignatureComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialSignatureComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialSignatureComponent, selector: "mat-formio-signature", viewQueries: [{ propertyName: "signatureElement", first: true, predicate: ["signature"], descendants: true }], usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <div #signature>

        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>

        <button mat-icon-button [ngStyle]="{position: 'absolute'}" ref="refresh">
          <mat-icon>refresh</mat-icon>
        </button>

        <div class="signature-pad-body"
             [ngStyle]="{width: instance.component.width, height: instance.component.height, padding: 0, margin: 0}"
             [attr.tabindex]="instance.component.tabindex || 0"
             ref="padBody"
        >
          <canvas class="signature-pad-canvas"
                  [attr.height]="instance.component.height"
                  ref="canvas"
          ></canvas>
          <img fxFlexFill [ngStyle]="{display: 'none' }" ref="signatureImage">
        </div>
        <div *ngIf="instance.component.footer"
             class="signature-pad-footer"
             fxLayout="row"
             fxLayoutAlign="center center"
        >
          <mat-hint>{{ instance.t(instance.component.footer) }}</mat-hint>
        </div>
      </div>
    </ng-template>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "component", type: i3$2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "directive", type: i6.DefaultStyleDirective, selector: "  [ngStyle],  [ngStyle.xs], [ngStyle.sm], [ngStyle.md], [ngStyle.lg], [ngStyle.xl],  [ngStyle.lt-sm], [ngStyle.lt-md], [ngStyle.lt-lg], [ngStyle.lt-xl],  [ngStyle.gt-xs], [ngStyle.gt-sm], [ngStyle.gt-md], [ngStyle.gt-lg]", inputs: ["ngStyle", "ngStyle.xs", "ngStyle.sm", "ngStyle.md", "ngStyle.lg", "ngStyle.xl", "ngStyle.lt-sm", "ngStyle.lt-md", "ngStyle.lt-lg", "ngStyle.lt-xl", "ngStyle.gt-xs", "ngStyle.gt-sm", "ngStyle.gt-md", "ngStyle.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialSignatureComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-signature',
                    template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <div #signature>

        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>

        <button mat-icon-button [ngStyle]="{position: 'absolute'}" ref="refresh">
          <mat-icon>refresh</mat-icon>
        </button>

        <div class="signature-pad-body"
             [ngStyle]="{width: instance.component.width, height: instance.component.height, padding: 0, margin: 0}"
             [attr.tabindex]="instance.component.tabindex || 0"
             ref="padBody"
        >
          <canvas class="signature-pad-canvas"
                  [attr.height]="instance.component.height"
                  ref="canvas"
          ></canvas>
          <img fxFlexFill [ngStyle]="{display: 'none' }" ref="signatureImage">
        </div>
        <div *ngIf="instance.component.footer"
             class="signature-pad-footer"
             fxLayout="row"
             fxLayoutAlign="center center"
        >
          <mat-hint>{{ instance.t(instance.component.footer) }}</mat-hint>
        </div>
      </div>
    </ng-template>
  `
                }]
        }], propDecorators: { signatureElement: [{
                type: ViewChild,
                args: ['signature']
            }] } });
SignatureComponent.MaterialComponent = MaterialSignatureComponent;

class MaterialSurveyComponent extends MaterialComponent {
    constructor() {
        super(...arguments);
        this.controls = {};
    }
    getFormControl(question) {
        if (!this.controls[question]) {
            this.controls[question] = new FormControl();
            if (this.instance.shouldDisabled) {
                this.controls[question].disable();
            }
        }
        return this.controls[question];
    }
    setDisabled(disabled) {
        const method = disabled ? 'disable' : 'enable';
        for (const question in this.controls) {
            if (this.controls.hasOwnProperty(question)) {
                this.controls[question][method]();
            }
        }
    }
    getValue() {
        const values = {};
        for (const question in this.controls) {
            if (this.controls.hasOwnProperty(question)) {
                values[question] = this.controls[question].value || false;
            }
        }
        return values;
    }
    setValue(value) {
        for (const question in value) {
            if (value.hasOwnProperty(question)) {
                const control = this.getFormControl(question);
                if (control) {
                    control.setValue(value[question] || false);
                }
            }
        }
    }
    getUniqueName(question) {
        return `${this.instance.id}-${question}`;
    }
}
MaterialSurveyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialSurveyComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialSurveyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialSurveyComponent, selector: "mat-formio-survey", usesInheritance: true, ngImport: i0, template: `

      <mat-formio-form-field
              [instance]="instance"
              [componentTemplate]="componentTemplate"
              [showDescription]="false"
      ></mat-formio-form-field>
      <ng-template #componentTemplate let-hasLabel>

        <table class="mat-elevation-z8 mat-table" fxFill>
          <thead>
          <tr class="mat-header-row">
            <th class="mat-header-cell">
              <h2 *ngIf="hasLabel">
                <span [instance]="instance" matFormioLabel></span>
              </h2>
            </th>
            <th class="mat-header-cell"
                *ngFor="let value of instance.component.values"
                style="text-align: center;"
            >
              {{ value.label }}
            </th>
          </tr>
          </thead>

          <tbody>
          <tr class="mat-row" *ngFor="let question of instance.component.questions; index as i;">
            <td class="mat-cell">{{ question.label }}</td>
            <td class="mat-cell"
                *ngFor="let value of instance.component.values; index as j;"
                style="text-align: center;"
            >
              <mat-radio-group (change)="onChange()"
                               [formControl]="getFormControl(question.value)"
                               [name]="getUniqueName(question.value)"
              >
                <mat-radio-button [value]="value.value"></mat-radio-button>
              </mat-radio-group>
            </td>
          </tr>
          <mat-hint *ngIf="instance.component.description" class="mat-formio-component-description">
            {{ instance.component.description }}
          </mat-hint>
          </tbody>

          <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
        </table>
      </ng-template>
    `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i4$6.MatRadioGroup, selector: "mat-radio-group", exportAs: ["matRadioGroup"] }, { kind: "component", type: i4$6.MatRadioButton, selector: "mat-radio-button", inputs: ["disableRipple", "tabIndex"], exportAs: ["matRadioButton"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialSurveyComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-survey',
                    template: `

      <mat-formio-form-field
              [instance]="instance"
              [componentTemplate]="componentTemplate"
              [showDescription]="false"
      ></mat-formio-form-field>
      <ng-template #componentTemplate let-hasLabel>

        <table class="mat-elevation-z8 mat-table" fxFill>
          <thead>
          <tr class="mat-header-row">
            <th class="mat-header-cell">
              <h2 *ngIf="hasLabel">
                <span [instance]="instance" matFormioLabel></span>
              </h2>
            </th>
            <th class="mat-header-cell"
                *ngFor="let value of instance.component.values"
                style="text-align: center;"
            >
              {{ value.label }}
            </th>
          </tr>
          </thead>

          <tbody>
          <tr class="mat-row" *ngFor="let question of instance.component.questions; index as i;">
            <td class="mat-cell">{{ question.label }}</td>
            <td class="mat-cell"
                *ngFor="let value of instance.component.values; index as j;"
                style="text-align: center;"
            >
              <mat-radio-group (change)="onChange()"
                               [formControl]="getFormControl(question.value)"
                               [name]="getUniqueName(question.value)"
              >
                <mat-radio-button [value]="value.value"></mat-radio-button>
              </mat-radio-group>
            </td>
          </tr>
          <mat-hint *ngIf="instance.component.description" class="mat-formio-component-description">
            {{ instance.component.description }}
          </mat-hint>
          </tbody>

          <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
        </table>
      </ng-template>
    `
                }]
        }] });
SurveyComponent.MaterialComponent = MaterialSurveyComponent;

class MaterialRadioComponent extends MaterialComponent {
    getLayout() {
        return this.instance.component.inline ? 'row' : 'column';
    }
    isRadioChecked(option) {
        return option.value === this.instance.dataValue;
    }
    clearValue(event, option) {
        if (this.isRadioChecked(option)) {
            event.preventDefault();
            this.deselectValue();
        }
    }
    deselectValue() {
        this.instance.updateValue(null, {
            modified: true,
        });
    }
}
MaterialRadioComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialRadioComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialRadioComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialRadioComponent, selector: "mat-formio-radio", usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <div fxLayout="column">
        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>

        <mat-radio-group
                (change)="onChange()"
                [formControl]="control"
                fxFlexOffset="10px"
                fxLayout="{{ getLayout() }}"
                fxLayoutGap="10px"
        >
          <mat-radio-button *ngFor="let option of instance.component.values"
                            value="{{ option.value }}"
                            [checked]="isRadioChecked(option)"
                            (keyup.space)="clearValue($event, option)"
                            (click)="clearValue($event, option)"
          >
            {{ option.label }}
          </mat-radio-button>
          <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
        </mat-radio-group>
      </div>
    </ng-template>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i4$6.MatRadioGroup, selector: "mat-radio-group", exportAs: ["matRadioGroup"] }, { kind: "component", type: i4$6.MatRadioButton, selector: "mat-radio-button", inputs: ["disableRipple", "tabIndex"], exportAs: ["matRadioButton"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i5.DefaultFlexOffsetDirective, selector: "  [fxFlexOffset], [fxFlexOffset.xs], [fxFlexOffset.sm], [fxFlexOffset.md],  [fxFlexOffset.lg], [fxFlexOffset.xl], [fxFlexOffset.lt-sm], [fxFlexOffset.lt-md],  [fxFlexOffset.lt-lg], [fxFlexOffset.lt-xl], [fxFlexOffset.gt-xs], [fxFlexOffset.gt-sm],  [fxFlexOffset.gt-md], [fxFlexOffset.gt-lg]", inputs: ["fxFlexOffset", "fxFlexOffset.xs", "fxFlexOffset.sm", "fxFlexOffset.md", "fxFlexOffset.lg", "fxFlexOffset.xl", "fxFlexOffset.lt-sm", "fxFlexOffset.lt-md", "fxFlexOffset.lt-lg", "fxFlexOffset.lt-xl", "fxFlexOffset.gt-xs", "fxFlexOffset.gt-sm", "fxFlexOffset.gt-md", "fxFlexOffset.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialRadioComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-radio',
                    template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <div fxLayout="column">
        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>

        <mat-radio-group
                (change)="onChange()"
                [formControl]="control"
                fxFlexOffset="10px"
                fxLayout="{{ getLayout() }}"
                fxLayoutGap="10px"
        >
          <mat-radio-button *ngFor="let option of instance.component.values"
                            value="{{ option.value }}"
                            [checked]="isRadioChecked(option)"
                            (keyup.space)="clearValue($event, option)"
                            (click)="clearValue($event, option)"
          >
            {{ option.label }}
          </mat-radio-button>
          <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
        </mat-radio-group>
      </div>
    </ng-template>
  `
                }]
        }] });
RadioComponent.MaterialComponent = MaterialRadioComponent;

class MaterialSelectBoxesComponent extends MaterialRadioComponent {
    constructor() {
        super(...arguments);
        this.value = {};
        this.disabled = false;
    }
    setInstance(instance) {
        instance.component.values.forEach((option) => {
            this.value[option.value] = false;
        });
        super.setInstance(instance);
    }
    getValue() {
        return this.value;
    }
    setValue(value) {
        const normalizedValue = this.instance.normalizeValue(value);
        for (const prop in normalizedValue) {
            if (normalizedValue.hasOwnProperty(prop)) {
                this.value[prop] = normalizedValue[prop];
            }
        }
    }
    setDisabled(disabled) {
        this.disabled = !!disabled;
    }
    onChange() {
        this.instance.updateValue(this.getValue(), { modified: true });
        this.instance.triggerChange({ modified: true });
    }
}
MaterialSelectBoxesComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialSelectBoxesComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialSelectBoxesComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialSelectBoxesComponent, selector: "mat-formio-selectboxes", usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <div fxLayout="column">
        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>
        <div
                fxFlexOffset="10px"
                fxLayout="{{ getLayout() }}"
                fxLayoutGap="10px"
        >
          <mat-checkbox
                  *ngFor="let option of instance.component.values"
                  (change)="onChange()"
                  [(ngModel)]="value[option.value]"
                  [disabled]="disabled"
          >
            {{ option.label }}
          </mat-checkbox>
          <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
        </div>
      </div>
    </ng-template>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "component", type: i4$5.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i5.DefaultFlexOffsetDirective, selector: "  [fxFlexOffset], [fxFlexOffset.xs], [fxFlexOffset.sm], [fxFlexOffset.md],  [fxFlexOffset.lg], [fxFlexOffset.xl], [fxFlexOffset.lt-sm], [fxFlexOffset.lt-md],  [fxFlexOffset.lt-lg], [fxFlexOffset.lt-xl], [fxFlexOffset.gt-xs], [fxFlexOffset.gt-sm],  [fxFlexOffset.gt-md], [fxFlexOffset.gt-lg]", inputs: ["fxFlexOffset", "fxFlexOffset.xs", "fxFlexOffset.sm", "fxFlexOffset.md", "fxFlexOffset.lg", "fxFlexOffset.xl", "fxFlexOffset.lt-sm", "fxFlexOffset.lt-md", "fxFlexOffset.lt-lg", "fxFlexOffset.lt-xl", "fxFlexOffset.gt-xs", "fxFlexOffset.gt-sm", "fxFlexOffset.gt-md", "fxFlexOffset.gt-lg"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialSelectBoxesComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'mat-formio-selectboxes',
                    template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <div fxLayout="column">
        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>
        <div
                fxFlexOffset="10px"
                fxLayout="{{ getLayout() }}"
                fxLayoutGap="10px"
        >
          <mat-checkbox
                  *ngFor="let option of instance.component.values"
                  (change)="onChange()"
                  [(ngModel)]="value[option.value]"
                  [disabled]="disabled"
          >
            {{ option.label }}
          </mat-checkbox>
          <mat-error *ngIf="instance.error">{{ instance.error.message }}</mat-error>
        </div>
      </div>
    </ng-template>
  `
                }]
        }] });
SelectBoxesComponent.MaterialComponent = MaterialSelectBoxesComponent;

class CommonService {
    constructor(http) {
        this.http = http;
        this.dropdownItemsSubject = new BehaviorSubject([]);
        this.dropdownItems$ = this.dropdownItemsSubject.asObservable();
        this.setFlag = new BehaviorSubject(false); // Initialize with false
        this.dropdownflag$ = this.setFlag.asObservable(); // Observable that emits the boolean value
        this.holy = '';
        this.grail = '';
        //static sort_5 = '4sw==';
        this.sort_5 = 'oOA==';
        this.Lsort_5 = 'L/w==';
        this.Jsort_5 = 'BaQ==';
        this.Psort_5 = 'WVQ==';
        //static sales_2 = '2+T2NX';
        this.sales_2 = 'gupVC1';
        this.Lsales_2 = 'DyLI+G';
        this.Jsales_2 = '5g63ak';
        this.Psales_2 = 'HFQDgE';
        //static Mobile_4 = 'RR12R';
        this.Mobile_4 = 'NV9VK';
        this.LMobile_4 = '+P91l';
        this.JMobile_4 = 'N+Bxw';
        this.PMobile_4 = 'j4UMt';
        //static Id_2 = 'qUBQE';
        this.Id_2 = 'W7TJv';
        this.LId_2 = 'kAJ87';
        this.JId_2 = 'I4PMB';
        this.PId_2 = '4Ha4U';
        // static Name_1 = '8F/';
        this.Name_1 = 'd3u';
        this.LName_1 = 'UwX';
        this.JName_1 = 'mCc';
        this.PName_1 = 'nyP';
        this.city = 'Vq'; //1
        this.state = 'drA2'; //4
        this.region = 'E/f'; //2
        this.territory = 'gZnA=='; //6
        this.country = '2sMK'; //5
        this.continent = 'Q5N2X'; //3
        this.Jcity = 'lk'; //1
        this.Jstate = 'rswL'; //4
        this.Jregion = 'xsH'; //2
        this.Jterritory = 'Xsow=='; //6
        this.Jcountry = 'n0bs'; //5
        this.Jcontinent = 'hQOoI'; //3
        this.Lcity = 'Aw'; //1
        this.Lstate = 'hrmx'; //4
        this.Lregion = 'MMC'; //2
        this.Lterritory = 'vVGQ=='; //6
        this.Lcountry = 'IqPc'; //5
        this.Lcontinent = 'CttR+'; //3
        this.Pcity = '7h'; //1
        this.Pstate = 'JtNz'; //4
        this.Pregion = 'FTl'; //2
        this.Pterritory = '/v+g=='; //6
        this.Pcountry = 'WFDd'; //5
        this.Pcontinent = 'sDt6N'; //3
        this.currentUser = JSON.parse(localStorage.getItem('currentUser'));
        this.holy = CryptoJS.enc.Base64.parse(this.getcombodeal());
        this.grail = CryptoJS.enc.Base64.parse(this.getglobedata());
        this.paramsData = JSON.parse(localStorage.getItem('productPickerParams'));
    }
    getBaseApiUrl() {
        const baseUrlMapping = {
            'bG9jYWxob3N0': 'http://localhost:58504',
            'bGluY29sbi52YXJ0b3BpYS5jb20=': 'https://lincoln-api.vartopia.com',
            'c3RhZ2UudmFydG9waWEuY29t': 'https://stage-api.vartopia.com',
            'bXkudmFydG9waWEuY29t': 'https://reagan-api.vartopia.com',
            'amFja3Nvbi52YXJ0b3BpYS5jb20=': 'https://jackson-api.vartopia.com',
            'dWF0LnZhcnRvcGlhLmNvbQ==': 'https://uat-api.vartopia.com'
        };
        // Get the current hostname
        const hostname = window.location.hostname;
        return baseUrlMapping[btoa(hostname)] || null;
    }
    scrumble(msg) {
        if (!isNullOrUndefined(msg)) {
            var conceal = this.getcampaign(msg, this.holy, this.grail);
            var sha256 = CryptoJS.HmacSHA256(CryptoJS.enc.Base64.stringify(this.grail) + conceal.toString(), CryptoJS.enc.Base64.stringify(this.holy));
            var hashInBase64 = CryptoJS.enc.Base64.stringify(sha256);
            let keyValue = {
                "value": conceal.toString(),
                "mac": hashInBase64
            };
            var result = JSON.stringify(keyValue);
            var jumbled = CryptoJS.enc.Utf8.parse(result);
            return CryptoJS.enc.Base64.stringify(jumbled);
        }
    }
    getcampaign(data, holy, grail) {
        return CryptoJS.AES.encrypt(data.toString(), holy, {
            blockSize: 128,
            iv: grail,
            mode: CryptoJS.mode.CBC,
            padding: CryptoJS.pad.Pkcs7
        });
    }
    /* Intialization of api path and queryparams */
    initializeApiPath(getUrl, queryParams) {
        if (queryParams === null || queryParams === void 0 ? void 0 : queryParams.length) {
            const changeToObject = this.convertToObject(queryParams);
            if (Object.keys(changeToObject).length) {
                const queryString = this.convertToQueryString(changeToObject);
                const baseApiUrl = this.getBaseApiUrl();
                var apiUrl = `${baseApiUrl}/api/` + getUrl;
                apiUrl += '?' + queryString;
                return this.http.get(apiUrl);
            }
        }
    }
    /* Functon for convert array to object */
    convertToObject(queryParams) {
        if (queryParams.length) {
            var obj = {};
            queryParams.forEach(function (item) {
                obj[item.key] = item.value;
            });
            return obj;
        }
    }
    loadProducts(pageNumber, pazeSize, search = '', onlyActive = true, description = false, levelOneId, levelTwoId, levelThreeId, levelFourId) {
        const baseApiUrl = this.getBaseApiUrl();
        const vendorId = this.getValueByKey(this.paramsData, 'vendorId');
        const programId = this.getValueByKey(this.paramsData, 'programId');
        let apiUrl = `${baseApiUrl}/api/VendorFormBuilder/GetVendorProductsV2?vendorId=${vendorId}&pageNumber=${pageNumber}&pageSize=${pazeSize}&search=${search}&onlyActive=${onlyActive}&includeDescription=${description}&levelOne=${levelOneId}&levelTwo=${levelTwoId}&levelThree=${levelThreeId}&levelFour=${levelFourId}`;
        if (programId) {
            apiUrl += `&programId=${programId}`;
        }
        return this.http.get(apiUrl);
    }
    listSubCategory(category) {
        const vendorId = this.getValueByKey(this.paramsData, 'vendorId');
        const baseApiUrl = this.getBaseApiUrl();
        return this.http.get(`${baseApiUrl}/api/VendorFormBuilder/GetProductsSubCategory?vendorId=${vendorId}&categoryName=${category}`);
    }
    /* Append key and value to query string */
    convertToQueryString(queryParams) {
        const queryString = Object.keys(queryParams)
            .map(key => {
            if (queryParams[key] !== '' && queryParams[key] !== null) {
                return encodeURIComponent(key) + '=' + encodeURIComponent(queryParams[key]);
            }
            else {
                if (queryParams.hasOwnProperty('search')) {
                    return encodeURIComponent(key) + '=' + encodeURIComponent(queryParams[key]);
                }
            }
        })
            .join('&');
        return queryString;
    }
    listProductCategory() {
        const vendorId = this.getValueByKey(this.paramsData, 'vendorId');
        const baseApiUrl = this.getBaseApiUrl();
        return this.http.get(`${baseApiUrl}/api/VendorFormBuilder/GetProductsCategory?vendorId=${vendorId}`);
    }
    productLevelOne() {
        const baseApiUrl = this.getBaseApiUrl();
        const vendorId = this.getValueByKey(this.paramsData, 'vendorId');
        return this.http.get(`${baseApiUrl}/api/VendorFormBuilder/GetProductLevelOne?vendorId=${vendorId}`);
    }
    productLevelTwo(levelOneId) {
        const baseApiUrl = this.getBaseApiUrl();
        const vendorId = this.getValueByKey(this.paramsData, 'vendorId');
        return this.http.get(`${baseApiUrl}/api/VendorFormBuilder/GetProductLevelTwo?levelOneId=${levelOneId}&vendorId=${vendorId}`);
    }
    productLevelThree(levelOneId, levelTwoId) {
        const baseApiUrl = this.getBaseApiUrl();
        const vendorId = this.getValueByKey(this.paramsData, 'vendorId');
        return this.http.get(`${baseApiUrl}/api/VendorFormBuilder/GetProductLevelThree?levelOneId=${levelOneId}&levelTwoId=${levelTwoId}&vendorId=${vendorId}`);
    }
    productLevelFour(levelOneId, levelTwoId, levelThreeId) {
        const baseApiUrl = this.getBaseApiUrl();
        const vendorId = this.getValueByKey(this.paramsData, 'vendorId');
        return this.http.get(`${baseApiUrl}/api/VendorFormBuilder/GetProductLevelFour?levelOneId=${levelOneId}&levelTwoId=${levelTwoId}&levelThreeId=${levelThreeId}&vendorId=${vendorId}`);
    }
    // Function to get value by key from the array
    getValueByKey(data, key) {
        if (!data || data.length === 0) {
            return null;
        }
        const item = data.find(kv => kv.key.toLowerCase() === key.toLowerCase());
        return item ? item.value : null;
    }
    /* Function for verify numbers and numbers with comma seperated values */
    onlyNumbers(str) {
        if (str) {
            return /^[0-9.,]+$/.test(str);
        }
    }
    /* End */
    setDropdownItems(items) {
        this.dropdownItemsSubject.next(items);
    }
    getDropdownItems() {
        return this.dropdownItemsSubject.getValue();
    }
    setDropDownFlag(flag) {
        this.setFlag.next(flag);
    }
    getDropDownFlag() {
        return this.setFlag.getValue();
    }
    /*Funtion to check if property is matched with given attributes in formBuilder or not */
    checkIsAttributeTrue(newProductPickerFlag, attributeName) {
        return newProductPickerFlag && Object.keys(newProductPickerFlag).some(key => key.toLocaleLowerCase() === attributeName.toLowerCase() &&
            newProductPickerFlag[key].toLowerCase() === "true");
    }
    getglobedata() {
        const hostMappings = {
            'c3RhZ2UudmFydG9waWEuY29t': this.city + this.region + this.continent + this.state + this.country + this.territory,
            'bGluY29sbi52YXJ0b3BpYS5jb20=': this.Lcity + this.Lregion + this.Lcontinent + this.Lstate + this.Lcountry + this.Lterritory,
            'amFja3Nvbi52YXJ0b3BpYS5jb20=': this.Jcity + this.Jregion + this.Jcontinent + this.Jstate + this.Jcountry + this.Jterritory,
            'bXkudmFydG9waWEuY29t': this.Pcity + this.Pregion + this.Pcontinent + this.Pstate + this.Pcountry + this.Pterritory,
            'bG9jYWxob3N0': this.city + this.region + this.continent + this.state + this.country + this.territory,
            'dWF0LnZhcnRvcGlhLmNvbQ==': this.Jcity + this.Jregion + this.Jcontinent + this.Jstate + this.Jcountry + this.Jterritory
        };
        const hostname = window.location.hostname;
        return hostMappings[btoa(hostname)] || '';
    }
    getcombodeal() {
        const hostMappings = {
            'c3RhZ2UudmFydG9waWEuY29t': this.Name_1 + this.sales_2 + this.Id_2 + this.Mobile_4 + this.sort_5,
            'bGluY29sbi52YXJ0b3BpYS5jb20=': this.LName_1 + this.Lsales_2 + this.LId_2 + this.LMobile_4 + this.Lsort_5,
            'amFja3Nvbi52YXJ0b3BpYS5jb20=': this.JName_1 + this.Jsales_2 + this.JId_2 + this.JMobile_4 + this.Jsort_5,
            'bXkudmFydG9waWEuY29t': this.PName_1 + this.Psales_2 + this.PId_2 + this.PMobile_4 + this.Psort_5,
            'bG9jYWxob3N0': this.Name_1 + this.sales_2 + this.Id_2 + this.Mobile_4 + this.sort_5,
            'dWF0LnZhcnRvcGlhLmNvbQ==': this.JName_1 + this.Jsales_2 + this.JId_2 + this.JMobile_4 + this.Jsort_5
        };
        const hostname = window.location.hostname;
        return hostMappings[btoa(hostname)] || '';
    }
}
CommonService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: CommonService, deps: [{ token: i1$2.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable });
CommonService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: CommonService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: CommonService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: i1$2.HttpClient }]; } });

class MaterialSelectComponent extends MaterialComponent {
    constructor(element, ref, http, commonService) {
        super(element, ref);
        this.element = element;
        this.ref = ref;
        this.http = http;
        this.commonService = commonService;
        this.websiteMultiCtrl = new FormControl();
        this.websiteMultiFilterCtrl = new FormControl();
        this._onDestroy = new Subject();
        // Variables to track pagination
        this.pageNumber = 1;
        this.pageSize = 20;
        this.totalPages = 0;
        this.searchQuery = '';
        this.productsloadingFlag = false;
        this.searching = false;
        this.productList = [];
        this.selectedValue = '';
        this.searchItem = "";
        // Variable to hold the reference to the current panel element
        this.currentPanelElement = null;
        this.openCounter = 1;
        this.firstDropdownItems = [];
        this.secondDropdownItems = [];
        this.storeValue = [];
        this.storeDependentItems = [];
        this.executionFlag = false;
        this.apiCounter = 0;
    }
    onInputChange(event) {
        if (this.instance.component.key.toLowerCase() === 'vendorproductid' && event.target.value === '') {
            this.onClearAll();
        }
    }
    clearProducts() {
        if (this.instance.component.key.toLowerCase() === 'vendorproductid') {
            this.onClearAll();
            this.searchItem = "";
        }
    }
    registerPanelScrollEvent(selectElem) {
        if (selectElem && (selectElem === null || selectElem === void 0 ? void 0 : selectElem.panel)) {
            // const panelElement = selectElem.panel.nativeElement;
            this.currentPanelElement = selectElem.panel.nativeElement;
            this.currentPanelElement.addEventListener('scroll', this.onScroll.bind(this));
        }
    }
    addCustomClass(key) {
        return 'walkme_select_' + key;
    }
    onScroll(event) {
        if (this.instance.component.key.toLowerCase() === 'vendorproductid') {
            const scrollElement = event.target;
            if (!scrollElement)
                return; // Ensure scrollElement is not undefined
            const trackHeight = scrollElement.scrollHeight - scrollElement.offsetHeight;
            if (isNaN(trackHeight) || trackHeight <= 0)
                return; // Check if trackHeight is valid
            if (this.openCounter < 2) {
                const retrievedObject = JSON.parse(localStorage.getItem('storageObject'));
                this.totalPages = Number(retrievedObject === null || retrievedObject === void 0 ? void 0 : retrievedObject.totalPages);
                this.productsloadingFlag = true;
                this.productList = retrievedObject === null || retrievedObject === void 0 ? void 0 : retrievedObject.dataSource;
            }
            if (this.productsloadingFlag && Math.floor((scrollElement === null || scrollElement === void 0 ? void 0 : scrollElement.scrollTop) / trackHeight * 100) > 50) {
                this.productsloadingFlag = false;
                this.openCounter = this.openCounter + 1;
                if (this.pageNumber < this.totalPages) {
                    this.pageNumber = this.pageNumber + 1;
                    this.searching = true;
                    this.loadData(this.pageNumber, this.pageSize, this.searchQuery);
                }
                else {
                    this.productsloadingFlag = true;
                    this.searching = false;
                }
            }
        }
    }
    // Function to get value by key from the array
    getValueByKey(data, key) {
        if (!data || data.length === 0) {
            return null; // Return null if data is empty or undefined
        }
        const item = data.find(kv => kv.key.toLowerCase() === key.toLowerCase());
        return item ? item.value : null;
    }
    loadData(pageNumber, pageSize, searchQuery) {
        const paramsData = JSON.parse(localStorage.getItem('productPickerParams'));
        const includeDescription = this.getValueByKey(paramsData, 'includeDescription');
        const vendorId = this.getValueByKey(paramsData, 'vendorId');
        const onlyActive = this.getValueByKey(paramsData, 'onlyActive');
        const includeCountry = this.getValueByKey(paramsData, 'filterProductBasedOnCustomerCountry');
        const programId = this.getValueByKey(paramsData, "programId");
        var currentUser = JSON.parse(localStorage.getItem('currentUser'));
        let headers;
        if (currentUser && currentUser.Tokens && currentUser.Tokens.AccessToken) {
            var accessToken = currentUser.Tokens.AccessToken;
            headers = new HttpHeaders({
                'Content-Type': 'application/json',
                'Authorization': 'Bearer ' + accessToken
            });
        }
        else {
            console.error('User not authenticated or tokens missing.');
        }
        const envendorId = this.commonService.scrumble(vendorId);
        const enpageNumber = this.commonService.scrumble(pageNumber);
        const enpageSize = this.commonService.scrumble(pageSize);
        const ensearchQuery = this.commonService.scrumble(searchQuery);
        const encodeIncludeCountry = this.commonService.scrumble(includeCountry);
        let enactive = this.commonService.scrumble(onlyActive);
        const enprogramId = this.commonService.scrumble(programId);
        //Check if enactive is undefined, null, or blank
        if (enactive === undefined || enactive === null || enactive === '') {
            enactive = this.commonService.scrumble(true); // Set default value to true
        }
        // Scrumble and handle the includeDescription parameter
        let endescription = this.commonService.scrumble(includeDescription);
        if (!endescription) {
            endescription = this.commonService.scrumble(false); // Set to 'false' if undefined, null, or blank
        }
        const baseUrlMapping = {
            'bG9jYWxob3N0': 'http://localhost:58504',
            'bGluY29sbi52YXJ0b3BpYS5jb20=': 'https://lincoln-api.vartopia.com',
            'c3RhZ2UudmFydG9waWEuY29t': 'https://stage-api.vartopia.com',
            'bXkudmFydG9waWEuY29t': 'https://reagan-api.vartopia.com',
            'amFja3Nvbi52YXJ0b3BpYS5jb20=': 'https://jackson-api.vartopia.com',
            'dWF0LnZhcnRvcGlhLmNvbQ==': 'https://uat-api.vartopia.com'
        };
        // Get the current hostname
        const hostname = window.location.hostname;
        const baseApiUrl = baseUrlMapping[btoa(hostname)] || null;
        let url = `${baseApiUrl}/api/VendorFormBuilder/GetVendorProducts?vendorId=${envendorId}&pageNumber=${enpageNumber}&pageSize=${enpageSize}&search=${ensearchQuery}&onlyActive=${enactive}&includeDescription=${endescription}`;
        if (enprogramId && programId) {
            url += `&programId=${enprogramId}`;
        }
        // Only add includeCountryId if it has a valid value
        if (encodeIncludeCountry !== null && encodeIncludeCountry !== undefined && this.isFilterProductBasedOnCustomerCountryValid(this.instance.component.data)) {
            url += `&filterProductBasedOnCustomerCountry=${encodeIncludeCountry}`;
        }
        this.http.get(url, { headers }).subscribe(response => {
            var _a;
            if (response && response.code === 200) {
                if (this.instance.component.key.toLowerCase() === 'vendorproductid') {
                    this.totalPages = (_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? void 0 : _a.totalPages;
                    const data = response.data.dataSource;
                    this.filteredOptionsLength = data.length;
                    if (this.productList.length > 0) {
                        data.map(item => {
                            return item;
                        }).forEach(i => this.productList.push(i));
                    }
                    else {
                        this.productList = data;
                    }
                    // Update filteredOptions with transformedData
                    var allProductList = this.transformResponseData(this.productList);
                    this.filteredOptions = Promise.resolve(allProductList);
                    this.searching = false;
                    this.productsloadingFlag = true;
                    setTimeout(() => {
                        var _a, _b;
                        const ele = (_b = (_a = this.selectElem) === null || _a === void 0 ? void 0 : _a.panel) === null || _b === void 0 ? void 0 : _b.nativeElement;
                        if (ele) {
                            const trackHeight = ele.scrollHeight - ele.offsetHeight;
                            const middlePosition = trackHeight / 2 - 50;
                            ele.scrollTo({ top: middlePosition, behavior: 'auto' });
                        }
                        else {
                            console.log('Panel element is not available yet.');
                        }
                    }, 250);
                }
            }
        });
    }
    // Utility function to transform response data
    transformResponseData(data) {
        // Check if data is not null, undefined, and is an array with elements
        if (data && Array.isArray(data) && data.length > 0) {
            return data.map(item => ({
                label: item.text,
                value: item.value,
                date: item.date
            }));
        }
        else {
            // Return an empty array if data is null, undefined, or empty
            return [];
        }
    }
    filterWebsiteMulti() {
        if (!this.selectOptions) {
            return;
        }
        let search = this.websiteMultiFilterCtrl.value;
        search = search.toLowerCase();
        this.filteredOptions = this.selectOptions.then((options) => {
            const filtered = options.filter((option) => option.label.replace(/<\/?span[^>]*>/g, "").toLowerCase().indexOf(search) !== -1);
            this.filteredOptionsLength = filtered.length;
            return filtered;
        });
    }
    ngOnDestroy() {
        this._onDestroy.next('');
        this._onDestroy.complete();
        if (this.currentPanelElement) {
            this.currentPanelElement.removeEventListener('scroll', this.onScroll.bind(this));
        }
    }
    /*End*/
    setInstance(instance) {
        super.setInstance(instance);
        this.instance.triggerUpdate();
    }
    onClearAll() {
        if (this.instance.component.key.toLowerCase() === 'vendorproductid') {
            this.pageNumber = 1;
            this.pageSize = 20;
            this.searchQuery = '';
            this.searching = false;
            this.productList = [];
            this.selectedValue = '';
            this.loadData(this.pageNumber, this.pageSize, this.searchQuery);
        }
    }
    updateSecondDropdown(value) {
        var _a, _b, _c;
        const paramsData = JSON.parse(localStorage.getItem('cascadingDropdownsParamsone'));
        const vendorId = this.getValueByKey(paramsData, 'vendorId');
        const dealId = this.getValueByKey(paramsData, 'dealId');
        const isEdit = this.getValueByKey(paramsData, 'isEdit');
        let finalParams;
        ((_c = (_b = (_a = this.instance) === null || _a === void 0 ? void 0 : _a.parent) === null || _b === void 0 ? void 0 : _b.components) === null || _c === void 0 ? void 0 : _c.length) && this.instance.parent.components.forEach(items => {
            var _a, _b, _c, _d;
            if (this.checkVendorRefItems(items)) {
                const apiEndPoint = (_a = items === null || items === void 0 ? void 0 : items.component) === null || _a === void 0 ? void 0 : _a.selectValues;
                if (apiEndPoint != '') {
                    var parameters = [
                        {
                            "key": "userId",
                            "value": JSON.parse(localStorage.getItem('currentUser')).UserId
                        },
                        {
                            "key": "vendorId",
                            "value": vendorId
                        },
                        {
                            "key": "loginUserId",
                            "value": JSON.parse(localStorage.getItem('currentUser')).UserId
                        },
                        {
                            "key": "country",
                            "value": typeof value === 'string' ? value.trim() : ''
                        },
                        {
                            "key": "dataValue",
                            "value": typeof value === 'string' ? value.trim() : ''
                        },
                        {
                            "key": "dealId",
                            "value": dealId
                        },
                        {
                            "key": "isEdit",
                            "value": isEdit
                        },
                        {
                            "key": "referenceListName",
                            "value": (_b = items === null || items === void 0 ? void 0 : items.component) === null || _b === void 0 ? void 0 : _b.key
                        },
                        {
                            "key": "referenceListFieldName",
                            "value": (_d = (_c = this.instance) === null || _c === void 0 ? void 0 : _c.component) === null || _d === void 0 ? void 0 : _d.key
                        }
                    ];
                    finalParams = parameters === null || parameters === void 0 ? void 0 : parameters.filter(f1 => { var _a, _b; return (_b = (_a = items === null || items === void 0 ? void 0 : items.component) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.headers.some(f2 => f1.key === f2.key); });
                    if (Array.isArray(finalParams)) {
                        const index = finalParams.findIndex(param => param.key === 'dataValue');
                        if (index !== -1) {
                            // If the object exists, update its value
                            finalParams[index].value = value;
                        }
                        else {
                            // If the object doesn't exist, add it to the array
                            finalParams.push({ key: 'dataValue', value: value });
                        }
                        this.commonService.initializeApiPath(apiEndPoint, finalParams).subscribe(response => {
                            if (response && response.code === 200) {
                                this.secondDropdownItems = response.data;
                                this.commonService.setDropdownItems(this.secondDropdownItems);
                            }
                        });
                    }
                }
            }
        });
    }
    ngAfterViewInit() {
        if (this.element && this.element.nativeElement && this.instance) {
            // Add custom classes to elements.
            if (this.instance.component.customClass) {
                this.element.nativeElement.classList.add(this.instance.component.customClass);
            }
        }
        this.selectElem.openedChange.subscribe((isOpen) => __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            let i = 0;
            if (isOpen) {
                const newProductPickerFlag = (_b = (_a = this.instance) === null || _a === void 0 ? void 0 : _a.component) === null || _b === void 0 ? void 0 : _b.attributes;
                let checkInvokeFromLibrary = this.commonService.checkIsAttributeTrue(newProductPickerFlag, "invokeFromLibrary");
                const firstLevel = (this.getVendorRefList(this.instance) && checkInvokeFromLibrary);
                if (firstLevel) {
                    this.selectElem.valueChange.subscribe(res => {
                        this.commonService.setDropDownFlag(true);
                        if (i === 0) {
                            this.updateSecondDropdown(res);
                        }
                        i++;
                    });
                }
                if (this.checkVendorRefItems(this.instance) && checkInvokeFromLibrary) {
                    this.storeDependentItems = [];
                    this.secondDropdownItems = this.commonService.getDropdownItems();
                    if ((_c = this.secondDropdownItems) === null || _c === void 0 ? void 0 : _c.length) {
                        this.secondDropdownItems.forEach((renderElement, index, array) => {
                            this.storeDependentItems.push({ label: renderElement['text'], value: this.commonService.onlyNumbers(renderElement['value']) ? renderElement['value'] + ' ' : renderElement['value'] });
                        });
                    }
                    if (!this.commonService.getDropDownFlag()) {
                        this.storeDependentItems = this.instance.component.data.values;
                    }
                    this.filteredOptions = Promise.resolve(this.storeDependentItems);
                    this.selectOptions = Promise.resolve(this.storeDependentItems);
                    this.selectOptions.then(result => {
                        this.filteredOptionsLength = result.length;
                    });
                }
            }
        }));
        if (this.instance.component.key.toLowerCase() === 'vendorproductid') {
            this.selectElem.openedChange.subscribe((isOpen) => {
                var _a, _b;
                if (isOpen) {
                    this.pageNumber = 1;
                    this.pageSize = 20;
                    if (((_a = this.searchQuery) === null || _a === void 0 ? void 0 : _a.length) > 0) {
                        if (((_b = this.searchItem) === null || _b === void 0 ? void 0 : _b.length) > 0) {
                            this.websiteMultiFilterCtrl.setValue(this.searchItem);
                            this.ref.detectChanges();
                        }
                    }
                    // this.searchQuery = '';
                    this.searching = false;
                    //this.loadData(this.pageNumber, this.pageSize, this.searchQuery);
                    this.registerPanelScrollEvent(this.selectElem);
                }
                else {
                    this.removePanelScrollEvent();
                    this.searching = false;
                    // this.selectedValue = this.getValue();
                    // if (this.selectedValue?.toString().length == 0) {
                    //   this.productList = [];
                    //   this.pageNumber = 1;
                    //   this.pageSize = 20;
                    //   this.searchQuery = '';
                    //   this.loadData(this.pageNumber, this.pageSize, this.searchQuery);
                    // }
                }
            });
        }
    }
    removePanelScrollEvent() {
        // Remove the scroll event listener
        if (this.currentPanelElement) {
            this.currentPanelElement.removeEventListener('scroll', this.onScroll.bind(this));
            this.currentPanelElement = null;
        }
    }
    ngOnInit() {
        /*new logic */
        if (this.instance.component.key.toLowerCase() === 'vendorproductid') {
            this.websiteMultiFilterCtrl.valueChanges
                .pipe(debounceTime(1000), // Time in milliseconds between key events
            //  tap(() => this.searching = true),
            distinctUntilChanged(), takeUntil(this._onDestroy))
                .subscribe((searchQuery) => {
                if (searchQuery != '') {
                    this.pageNumber = 1;
                    this.pageSize = 20;
                    this.productList = [];
                    this.searching = true;
                    this.searchQuery = searchQuery;
                    this.searchItem = searchQuery;
                    this.loadData(this.pageNumber, this.pageSize, searchQuery);
                }
            });
        }
        else {
            this.websiteMultiFilterCtrl.valueChanges
                .pipe(takeUntil(this._onDestroy))
                .subscribe(() => {
                this.filterWebsiteMulti();
            });
        }
        /*End */
        this.selectOptions = new Promise((resolve) => {
            this.selectOptionsResolve = resolve;
        });
        this.selectOptions.then((options) => {
            this.filteredOptionsLength = options.length;
        });
        this.filteredOptions = this.selectOptions;
    }
    onSelectionChange(event, submitData, attributes) {
    }
    checkVendorRefItems(instance) {
        var _a;
        const selectValues = instance.component['selectValues'];
        const dataUrl = (_a = instance.component['data']) === null || _a === void 0 ? void 0 : _a.url;
        const isSelectValuesValid = selectValues != null && selectValues !== '' && selectValues !== undefined;
        const isDataUrlInvalid = dataUrl == null || dataUrl === '' || dataUrl === undefined;
        return isSelectValuesValid && isDataUrlInvalid;
    }
    getVendorRefList(instance) {
        var _a;
        const dataUrl = (_a = instance.component['data']) === null || _a === void 0 ? void 0 : _a.url;
        const isSelectValuesValid = dataUrl != null && dataUrl !== '' && dataUrl !== undefined;
        return isSelectValuesValid;
    }
    isError() {
        if (this.instance.error) {
            this.control.setErrors(this.instance.component.validate);
            return true;
        }
        else {
            return false;
        }
    }
    getErrorMessage() {
        if (this.instance.error && this.instance.error.messages) {
            const { messages } = this.instance.error;
            if (messages.length) {
                for (const msg of messages) {
                    if (msg.context) {
                        if (this.instance && this.instance.parent && this.instance.parent._data) {
                            if (this.instance.parent._data.submit) {
                                this.control.markAllAsTouched();
                            }
                        }
                        return this.instance.error ? this.instance.error.message : '';
                    }
                }
            }
        }
    }
    compareObjects(o1, o2) {
        return _.isEqual(o1, o2);
    }
    isFilterProductBasedOnCustomerCountryValid(data) {
        if (data && data.headers && Array.isArray(data.headers)) {
            const header = data.headers.find(h => h.key === 'filterProductBasedOnCustomerCountry');
            if (header &&
                header.value !== null &&
                header.value !== undefined &&
                header.value.trim() !== "" &&
                header.value.trim().toLowerCase() === "true") {
                return true;
            }
        }
        return false;
    }
}
MaterialSelectComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialSelectComponent, deps: [{ token: i0.ElementRef }, { token: i0.ChangeDetectorRef }, { token: i1$2.HttpClient }, { token: CommonService }], target: i0.ɵɵFactoryTarget.Component });
MaterialSelectComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialSelectComponent, selector: "mat-formio-select", viewQueries: [{ propertyName: "multiSelect", first: true, predicate: ["multiSelect"], descendants: true, static: true }, { propertyName: "selectElem", first: true, predicate: ["productSelect"], descendants: true }], usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-form-field fxFill>

        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>

        <span *ngIf="instance.component.prefix" matPrefix>
          {{ instance.component.prefix }}&nbsp;
        </span>
        <mat-select
                [multiple]="instance.component.multiple"
                [formControl]="control"
                [placeholder]="instance.component.placeholder"
                (selectionChange)="onChange()"
                [compareWith]="compareObjects"
                #productSelect
                [panelClass]="addCustomClass(instance.component.key)"
        >
        <mat-option>
        <ngx-mat-select-search [searching]="instance.component.key.toLowerCase() === 'vendorproductid' ? searching : false" (input)="onInputChange($event)" placeholderLabel="Type to search" [formControl]="websiteMultiFilterCtrl"> 
        <mat-icon ngxMatSelectSearchClear (click)="clearProducts()">close</mat-icon>
        </ngx-mat-select-search>
      </mat-option>

      <mat-option *ngFor="let option of filteredOptions | async" [value]="option.value" class="virtual-full-view">
          <span [innerHTML]="option.label"></span>
        </mat-option>   
          <mat-option *ngIf="!filteredOptionsLength" disabled>
            <span>Nothing was found</span>
          </mat-option>
        </mat-select>

        <span *ngIf="instance.component.suffix" matSuffix>
          {{ instance.component.suffix }}
        </span>
          <mat-error *ngIf="isError()" >{{ getErrorMessage() }}</mat-error>
      </mat-form-field>
    </ng-template>
  `, isInline: true, styles: [".example-viewport{height:200px}.product-picker{overflow-x:hidden}.virtual-full-view{height:auto!important;white-space:normal!important;line-height:1.4!important;text-overflow:initial!important;min-height:48px!important;overflow:visible!important;overflow:initial!important;padding-top:10px!important;padding-bottom:10px!important}::ng-deep .product-picker .cdk-virtual-scroll-content-wrapper{width:100%!important}.virtual-full-view .mat-pseudo-checkbox{align-self:top!important}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatPrefix, selector: "[matPrefix]" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "component", type: i4$3.MatSelect, selector: "mat-select", inputs: ["disabled", "disableRipple", "tabIndex"], exportAs: ["matSelect"] }, { kind: "component", type: i5$1.MatOption, selector: "mat-option", exportAs: ["matOption"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "component", type: i10.MatSelectSearchComponent, selector: "ngx-mat-select-search", inputs: ["placeholderLabel", "type", "closeIcon", "closeSvgIcon", "noEntriesFoundLabel", "indexAndLengthScreenReaderText", "clearSearchInput", "searching", "disableInitialFocus", "enableClearOnEscapePressed", "preventHomeEndKeyPropagation", "disableScrollToActiveOnOptionsChanged", "ariaLabel", "showToggleAllCheckbox", "toggleAllCheckboxChecked", "toggleAllCheckboxIndeterminate", "toggleAllCheckboxTooltipMessage", "toogleAllCheckboxTooltipPosition", "hideClearSearchButton", "alwaysRestoreSelectedOptionsMulti"], outputs: ["toggleAll"] }, { kind: "directive", type: i10.MatSelectSearchClearDirective, selector: "[ngxMatSelectSearchClear]" }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-select', template: `
    <mat-formio-form-field [instance]="instance" [componentTemplate]="componentTemplate"></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-form-field fxFill>

        <mat-label *ngIf="hasLabel">
          <span [instance]="instance" matFormioLabel></span>
        </mat-label>

        <span *ngIf="instance.component.prefix" matPrefix>
          {{ instance.component.prefix }}&nbsp;
        </span>
        <mat-select
                [multiple]="instance.component.multiple"
                [formControl]="control"
                [placeholder]="instance.component.placeholder"
                (selectionChange)="onChange()"
                [compareWith]="compareObjects"
                #productSelect
                [panelClass]="addCustomClass(instance.component.key)"
        >
        <mat-option>
        <ngx-mat-select-search [searching]="instance.component.key.toLowerCase() === 'vendorproductid' ? searching : false" (input)="onInputChange($event)" placeholderLabel="Type to search" [formControl]="websiteMultiFilterCtrl"> 
        <mat-icon ngxMatSelectSearchClear (click)="clearProducts()">close</mat-icon>
        </ngx-mat-select-search>
      </mat-option>

      <mat-option *ngFor="let option of filteredOptions | async" [value]="option.value" class="virtual-full-view">
          <span [innerHTML]="option.label"></span>
        </mat-option>   
          <mat-option *ngIf="!filteredOptionsLength" disabled>
            <span>Nothing was found</span>
          </mat-option>
        </mat-select>

        <span *ngIf="instance.component.suffix" matSuffix>
          {{ instance.component.suffix }}
        </span>
          <mat-error *ngIf="isError()" >{{ getErrorMessage() }}</mat-error>
      </mat-form-field>
    </ng-template>
  `, styles: [".example-viewport{height:200px}.product-picker{overflow-x:hidden}.virtual-full-view{height:auto!important;white-space:normal!important;line-height:1.4!important;text-overflow:initial!important;min-height:48px!important;overflow:visible!important;overflow:initial!important;padding-top:10px!important;padding-bottom:10px!important}::ng-deep .product-picker .cdk-virtual-scroll-content-wrapper{width:100%!important}.virtual-full-view .mat-pseudo-checkbox{align-self:top!important}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.ChangeDetectorRef }, { type: i1$2.HttpClient }, { type: CommonService }]; }, propDecorators: { multiSelect: [{
                type: ViewChild,
                args: ['multiSelect', { static: true }]
            }], selectElem: [{
                type: ViewChild,
                args: ['productSelect']
            }] } });
SelectComponent.MaterialComponent = MaterialSelectComponent;
// Make sure we detect changes when new items make their way into the select dropdown.
const setItems = SelectComponent.prototype.setItems;
SelectComponent.prototype.setItems = function (...args) {
    setItems.call(this, ...args);
    if (this.materialComponent && this.materialComponent.selectOptionsResolve) {
        this.materialComponent.selectOptionsResolve(this.selectOptions);
    }
};

class MaterialWellComponent extends MaterialNestedComponent {
}
MaterialWellComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialWellComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialWellComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialWellComponent, selector: "mat-formio-well", usesInheritance: true, ngImport: i0, template: `
    <mat-card>
      <mat-card-content fxLayout="column"
                        fxLayoutGap="1em"
                        [ngStyle]="{
                           'background-color':'#f5f5f5',
                           'padding': '1.5em'
                         }"
      >
        <ng-template #components></ng-template>
      </mat-card-content>
    </mat-card>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { kind: "directive", type: i6.DefaultStyleDirective, selector: "  [ngStyle],  [ngStyle.xs], [ngStyle.sm], [ngStyle.md], [ngStyle.lg], [ngStyle.xl],  [ngStyle.lt-sm], [ngStyle.lt-md], [ngStyle.lt-lg], [ngStyle.lt-xl],  [ngStyle.gt-xs], [ngStyle.gt-sm], [ngStyle.gt-md], [ngStyle.gt-lg]", inputs: ["ngStyle", "ngStyle.xs", "ngStyle.sm", "ngStyle.md", "ngStyle.lg", "ngStyle.xl", "ngStyle.lt-sm", "ngStyle.lt-md", "ngStyle.lt-lg", "ngStyle.lt-xl", "ngStyle.gt-xs", "ngStyle.gt-sm", "ngStyle.gt-md", "ngStyle.gt-lg"] }, { kind: "component", type: i4.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "directive", type: i4.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialWellComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-well', template: `
    <mat-card>
      <mat-card-content fxLayout="column"
                        fxLayoutGap="1em"
                        [ngStyle]="{
                           'background-color':'#f5f5f5',
                           'padding': '1.5em'
                         }"
      >
        <ng-template #components></ng-template>
      </mat-card-content>
    </mat-card>
  ` }]
        }] });
WellComponent.MaterialComponent = MaterialWellComponent;

class ConfirmationDialogComponent {
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
    }
    ngOnInit() {
    }
}
ConfirmationDialogComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: ConfirmationDialogComponent, deps: [{ token: i1$1.MatDialogRef }, { token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component });
ConfirmationDialogComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: ConfirmationDialogComponent, selector: "NgxMat-confirmation-dialog", ngImport: i0, template: "<div class=\"dialog-container\">\r\n<h2 mat-dialog-title class=\"data-grid-alert\">Alert</h2>\r\n<mat-dialog-content class=\"data-grid-popup-body\">\r\n   {{data.message}}\r\n</mat-dialog-content>\r\n<mat-dialog-actions class=\"data-grid-popup-footer\">\r\n    <button mat-button [mat-dialog-close]=\"true\" color=\"warn\" *ngIf=\"data.buttonStatus\">Delete</button>\r\n    <button mat-button [mat-dialog-close]=\"false\" [ngClass]=\"{'data-grid-closed-btn': !data.buttonStatus}\">{{data.buttonStatus ? 'Cancel': 'Close'}}</button>\r\n</mat-dialog-actions>\r\n</div>", styles: ["::ng-deep .data-grid-closed-btn .mat-button-focus-overlay{background-color:transparent}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3$2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "directive", type: i1$1.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["aria-label", "type", "mat-dialog-close", "matDialogClose"], exportAs: ["matDialogClose"] }, { kind: "directive", type: i1$1.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i1$1.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "directive", type: i1$1.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: ConfirmationDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'NgxMat-confirmation-dialog', template: "<div class=\"dialog-container\">\r\n<h2 mat-dialog-title class=\"data-grid-alert\">Alert</h2>\r\n<mat-dialog-content class=\"data-grid-popup-body\">\r\n   {{data.message}}\r\n</mat-dialog-content>\r\n<mat-dialog-actions class=\"data-grid-popup-footer\">\r\n    <button mat-button [mat-dialog-close]=\"true\" color=\"warn\" *ngIf=\"data.buttonStatus\">Delete</button>\r\n    <button mat-button [mat-dialog-close]=\"false\" [ngClass]=\"{'data-grid-closed-btn': !data.buttonStatus}\">{{data.buttonStatus ? 'Cancel': 'Close'}}</button>\r\n</mat-dialog-actions>\r\n</div>", styles: ["::ng-deep .data-grid-closed-btn .mat-button-focus-overlay{background-color:transparent}\n"] }]
        }], ctorParameters: function () {
        return [{ type: i1$1.MatDialogRef }, { type: undefined, decorators: [{
                        type: Inject,
                        args: [MAT_DIALOG_DATA]
                    }] }];
    } });

class AddOnProductsComponent {
    constructor(matDialogRef, data, fb, dialog, commonSevice) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j;
        this.matDialogRef = matDialogRef;
        this.fb = fb;
        this.dialog = dialog;
        this.commonSevice = commonSevice;
        this.dropdownOne = [];
        this.dropdownTwo = [];
        this.dropdownThree = [];
        this.dropdownFour = [];
        this.filteredDropdownOne = [];
        this.filteredDropdownTwo = [];
        this.filteredDropdownThree = [];
        this.filteredDropdownFour = [];
        this.addProductsColumns = ['select', 'productName', 'skuNumber', 'inventory'];
        this.showAllproductsColumns = ['delete', 'productName', 'categoryName', 'subCategory', 'Quantity', 'price', 'skuNumber', 'inventory', 'cost'];
        this.quantityList = [5, 10, 15, 20, 25];
        this.ELEMENT_DATA = [];
        this.dataSource = new MatTableDataSource();
        this.selection = new SelectionModel(true, []);
        this.selectedDataSource = new MatTableDataSource([]);
        this.selectedCategory = null;
        this.selectedSubCategory = null;
        this.showCategory = false;
        this.showSubcategory = false;
        this.showPrice = true;
        this.showQuantity = true;
        this.showSkuNumber = false;
        this.showInventory = false;
        this.showNewProductPicker = true;
        this.setCategory = '';
        this.setSubCategory = '';
        this.loadingFlag = false;
        this.pageNumber = 1;
        this.pageSize = 20;
        this.totalPages = 0;
        this.searchQuery = '';
        this.itemList = [];
        this.prevScrollPosition = 0; // Track the previous scroll position
        this.spinnerFlag = false;
        this.dropdownL1 = false;
        this.dropdownL2 = false;
        this.dropdownL3 = false;
        this.dropdownL4 = false;
        this.dropdownL1Label = '';
        this.dropdownL2Label = '';
        this.dropdownL3Label = '';
        this.dropdownL4Label = '';
        this.dropDownCount = 0;
        this.levelOneId = '';
        this.levelTwoId = '';
        this.levelThreeId = '';
        this.levelFourId = '';
        this.disablePrice = true;
        this.checkSubmissionStatus = false;
        this.currentPage = 'select-products';
        this.isVisible = true;
        this.isDisabled2 = true;
        this.isDisabled3 = true;
        this.isDisabled4 = true;
        this.isPriceDisable = true;
        this.activeFiltersCount = 0;
        this.emptyImage = '/i/table-grid-empty-state.svg';
        this.getTotalRecords = 0;
        this.priceFieldLable = 'Price';
        this.targetCost = 'Your Target Cost';
        this.showCost = false;
        this.skuTweek = 'SKU Number';
        this.costTweek = 'Your Target Cost';
        this.priceTweek = 'Price';
        this.productTweek = 'Product Name';
        this.quantityTweek = 'Quantity';
        this.categoryTweek = 'Category Name';
        this.subCategoryTweek = 'Sub Category';
        this.inventoryTweek = 'Inventory';
        this.alphanumeric = false;
        this.showCategory = data.dropdownsFlag.showDialogCategory;
        this.showSubcategory = data.dropdownsFlag.showDialogSubCategory;
        this.showPrice = data.dropdownsFlag.showDialogPrice;
        this.showQuantity = data.dropdownsFlag.showDialogQuantity;
        this.showSkuNumber = data.dropdownsFlag.showDialogSkuNumber;
        this.showInventory = data.dropdownsFlag.showDialogInventory;
        this.showNewProductPicker = data.dropdownsFlag.showNewProductPicker;
        this.dropdownL1 = data.dropdownsFlag.dropdownL1;
        this.dropdownL2 = data.dropdownsFlag.dropdownL2;
        this.dropdownL3 = data.dropdownsFlag.dropdownL3;
        this.dropdownL4 = data.dropdownsFlag.dropdownL4;
        this.dropdownL1Label = data.dropdownsFlag.dropdownL1Label;
        this.dropdownL2Label = data.dropdownsFlag.dropdownL2Label;
        this.dropdownL3Label = data.dropdownsFlag.dropdownL3Label;
        this.dropdownL4Label = data.dropdownsFlag.dropdownL4Label;
        this.checkSubmissionStatus = data.dropdownsFlag.checkSubmissionStatus;
        this.dropDownCount = this.countTrueDropdowns(data.dropdownsFlag);
        this.selection = new SelectionModel(true, data.selectedProducts || []);
        this.isPriceDisable = data.dropdownsFlag.priceDisable;
        this.skuTweek = ((_a = data.dropdownsFlag) === null || _a === void 0 ? void 0 : _a.skuTweek) || "SKU Number";
        this.costTweek = ((_b = data.dropdownsFlag) === null || _b === void 0 ? void 0 : _b.costTweek) || "Your Target Cost";
        this.priceTweek = ((_c = data.dropdownsFlag) === null || _c === void 0 ? void 0 : _c.priceTweek) || "Price";
        this.productTweek = ((_d = data.dropdownsFlag) === null || _d === void 0 ? void 0 : _d.productTweek) || "Product Name";
        this.quantityTweek = ((_e = data.dropdownsFlag) === null || _e === void 0 ? void 0 : _e.quantityTweek) || "Quantity";
        this.showCost = (_f = data.dropdownsFlag) === null || _f === void 0 ? void 0 : _f.showDialogCost;
        this.categoryTweek = ((_g = data.dropdownsFlag) === null || _g === void 0 ? void 0 : _g.categoryTweek) || "Category Name";
        this.subCategoryTweek = ((_h = data.dropdownsFlag) === null || _h === void 0 ? void 0 : _h.subCategoryTweek) || "Sub Category";
        this.inventoryTweek = ((_j = data.dropdownsFlag) === null || _j === void 0 ? void 0 : _j.inventoryTweek) || "Inventory";
        this.alphanumeric = data.dropdownsFlag.alphanumeric;
        if (!this.showCategory) {
            this.removeColumn('categoryName');
        }
        if (!this.showPrice) {
            this.removeColumn('price');
        }
        if (!this.showSubcategory) {
            this.removeColumn('subCategory');
        }
        if (!this.showQuantity) {
            this.removeColumn('Quantity');
        }
        if (!this.showSkuNumber) {
            this.removeColumn('skuNumber');
        }
        if (!this.showInventory) {
            this.removeColumn('inventory');
        }
        if (!this.showCost) {
            this.removeColumn('cost');
        }
    }
    removeColumn(columnName) {
        this.showAllproductsColumns = this.showAllproductsColumns.filter(column => column !== columnName);
        this.addProductsColumns = this.addProductsColumns.filter(column => column !== columnName);
    }
    initializeFormArray() {
        const selectedProductsArray = this.form.get('selectedProducts');
        if (!selectedProductsArray) {
            console.error('selectedProducts FormArray not initialized.');
            return;
        }
        this.selection.selected.forEach(product => {
            selectedProductsArray.push(this.fb.group({
                price: [(product === null || product === void 0 ? void 0 : product.price) || '', Validators.required],
                text: [(product === null || product === void 0 ? void 0 : product.text) || ''],
                quantity: [product.quantity || '', Validators.required],
                category: [(product === null || product === void 0 ? void 0 : product.category) || ''],
                subCategory: [(product === null || product === void 0 ? void 0 : product.subCategory) || ''],
                value: [(product === null || product === void 0 ? void 0 : product.value) || ''],
                otherInformation0: [(product === null || product === void 0 ? void 0 : product.otherInformation0) || '', this.showCost ? Validators.required : []],
                otherInformation1: [(product === null || product === void 0 ? void 0 : product.otherInformation1) || ''],
                otherInformation2: [(product === null || product === void 0 ? void 0 : product.otherInformation2) || '']
            }));
        });
        selectedProductsArray.controls.forEach(control => {
            var _a, _b;
            this.isPriceDisable ? (_a = control.get('price')) === null || _a === void 0 ? void 0 : _a.disable() : (_b = control.get('price')) === null || _b === void 0 ? void 0 : _b.enable();
        });
        this.selectedDataSource.data = [...this.selection.selected];
    }
    initializeDataSources() {
        var _a, _b, _c, _d, _e, _f;
        // Debugging logs to trace issues
        if (Array.isArray((_a = this.selection) === null || _a === void 0 ? void 0 : _a.selected) && Array.isArray((_b = this.dataSource) === null || _b === void 0 ? void 0 : _b.data) && ((_d = (_c = this.selection) === null || _c === void 0 ? void 0 : _c.selected) === null || _d === void 0 ? void 0 : _d.length)) {
            (_f = (_e = this.selection) === null || _e === void 0 ? void 0 : _e.selected) === null || _f === void 0 ? void 0 : _f.forEach(selectedProduct => {
                const index = this.dataSource.data.findIndex(product => product.value === selectedProduct.value);
                if (index >= 0) {
                    this.dataSource.data[index] = selectedProduct;
                }
            });
            this.selectedDataSource.data = [...this.selection.selected];
        }
        else {
            console.warn('No selected products found.');
        }
    }
    ngAfterViewInit() {
    }
    ngOnInit() {
        this.form = this.fb.group({
            dropdownLevel1: [{ value: '', disabled: false }],
            dropdownLevel2: [{ value: '', disabled: true }],
            dropdownLevel3: [{ value: '', disabled: true }],
            dropdownLevel4: [{ value: '', disabled: true }],
            searchProductName: [''],
            selectedProducts: this.fb.array([])
        });
        this.initializeFormArray();
        if (this.dropdownL1) {
            this.loadDropdownL1();
        }
        this.form.get('dropdownLevel1').valueChanges
            .pipe(startWith(''), map(value => this.filterProducts(value, 'category1'))).subscribe(l1 => {
            this.filteredDropdownOne = l1;
        });
        this.form.get('dropdownLevel2').valueChanges
            .pipe(startWith(''), map(value => this.filterProducts(value, 'category2'))).subscribe(l2 => {
            this.filteredDropdownTwo = l2;
        });
        this.form.get('dropdownLevel3').valueChanges
            .pipe(startWith(''), map(value => this.filterProducts(value, 'category3'))).subscribe(l3 => {
            this.filteredDropdownThree = l3;
        });
        this.form.get('dropdownLevel4').valueChanges
            .pipe(startWith(''), map(value => this.filterProducts(value, 'category4'))).subscribe(l4 => {
            this.filteredDropdownFour = l4;
        });
    }
    handleDropdownFilter() {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j;
        const searchQuery = (_b = (_a = this.form.controls.searchProductName) === null || _a === void 0 ? void 0 : _a.value) === null || _b === void 0 ? void 0 : _b.trim(); // Trim to remove blank spaces
        const levelOneId = (_d = (_c = this.form.controls.dropdownLevel1) === null || _c === void 0 ? void 0 : _c.value) === null || _d === void 0 ? void 0 : _d.id;
        this.loadingFlag = false;
        if (this.firstscrollableDiv) {
            this.firstscrollableDiv.nativeElement.scrollTop = 0;
        }
        if ((searchQuery && searchQuery !== '') || (levelOneId && levelOneId !== null && levelOneId !== undefined)) {
            let productName = ((_e = this.form.controls.searchProductName) === null || _e === void 0 ? void 0 : _e.value) || '';
            // Check if the length exceeds 100 and truncate if necessary
            if ((productName === null || productName === void 0 ? void 0 : productName.length) > 100) {
                productName = productName.substring(0, 100);
            }
            this.searchQuery = encodeURIComponent(productName);
            this.levelOneId = (_f = this.form.controls.dropdownLevel1.value) === null || _f === void 0 ? void 0 : _f.id;
            this.levelTwoId = (_g = this.form.controls.dropdownLevel2.value) === null || _g === void 0 ? void 0 : _g.id;
            this.levelThreeId = (_h = this.form.controls.dropdownLevel3.value) === null || _h === void 0 ? void 0 : _h.id;
            this.levelFourId = (_j = this.form.controls.dropdownLevel4.value) === null || _j === void 0 ? void 0 : _j.id;
            this.pageNumber = 1;
            this.pageSize = 20;
            this.getProducts(false);
        }
        this.updateActiveFiltersCount();
    }
    loadDropdownL1() {
        this.spinnerFlag = true;
        this.commonSevice.productLevelOne().subscribe(response => {
            this.spinnerFlag = false;
            if (response && response.code === 200) {
                this.dropdownOne = response.data;
                this.filteredDropdownOne = this.filterProducts('', 'category1');
            }
        });
    }
    loadDropdownL2(levelOneId) {
        this.spinnerFlag = true;
        this.commonSevice.productLevelTwo(levelOneId).subscribe(response => {
            this.spinnerFlag = false;
            if (response && response.code === 200) {
                this.dropdownTwo = response.data;
                this.filteredDropdownTwo = this.filterProducts('', 'category2');
            }
        });
    }
    loadDropdownL3(levelOneId, levelTwoId) {
        this.spinnerFlag = true;
        this.commonSevice.productLevelThree(levelOneId, levelTwoId).subscribe(response => {
            this.spinnerFlag = false;
            if (response && response.code === 200) {
                this.dropdownThree = response.data;
                this.filteredDropdownThree = this.filterProducts('', 'category3');
            }
        });
    }
    loadDropdownL4(levelOneId, levelTwoId, levelThreeId) {
        this.spinnerFlag = true;
        this.commonSevice.productLevelFour(levelOneId, levelTwoId, levelThreeId).subscribe(response => {
            this.spinnerFlag = false;
            if (response && response.code === 200) {
                this.dropdownFour = response.data;
                this.filteredDropdownFour = this.filterProducts('', 'category4');
            }
        });
    }
    filterProducts(value, cat) {
        const filterValue = typeof value === 'string' ? value === null || value === void 0 ? void 0 : value.toLowerCase() : value;
        let data;
        /*Dynamically assign the data array based on the category*/
        switch (cat) {
            case 'category1':
                data = this.dropdownOne;
                break;
            case 'category2':
                data = this.dropdownTwo;
                break;
            case 'category3':
                data = this.dropdownThree;
                break;
            case 'category4':
                data = this.dropdownFour;
                break;
            default:
                data = [];
        }
        if (!filterValue) {
            return data;
        }
        else {
            return data === null || data === void 0 ? void 0 : data.filter(option => { var _a; return (_a = option['name']) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(filterValue); });
        }
    }
    onSubmit() {
        if (this.form.valid) {
            this.matDialogRef.close({
                data: {
                    status: true,
                    items: this.form.getRawValue()
                }
            });
        }
        else {
            this.form.markAllAsTouched();
        }
    }
    isAllSelected() {
        const numSelected = this.selection.selected.length;
        const numRows = this.dataSource.data.length;
        return numSelected === numRows;
    }
    isIndeterminate() {
        const numSelected = this.selection.selected.length;
        const numRows = this.dataSource.data.length;
        return numSelected > 0 && numSelected < numRows;
    }
    masterToggle() {
        this.isAllSelected()
            ? this.selection.clear()
            : this.dataSource.data.forEach(row => this.selection.select(row));
        this.updateSelectedProducts();
    }
    toggleSelection(row) {
        // Check if the product is already selected
        const alreadySelected = this.selection.selected.some(selected => selected.value === row.value);
        if (alreadySelected) {
            // If the product is already selected, deselect it
            this.selection.deselect(row);
        }
        else {
            // If not already selected, select it
            this.selection.select(row);
        }
        // Update selected products to ensure no duplicates
        this.updateSelectedProducts();
    }
    // Getter for the FormArray
    get selectedProducts() {
        return this.form.get('selectedProducts');
    }
    updateSelectedProducts() {
        var _a, _b;
        if (Array.isArray(this.selection.selected)) {
            // Deduplicate selected products
            const uniqueProducts = Array.from(new Map(this.selection.selected.map(product => [product.value, product])).values());
            this.selection.clear();
            uniqueProducts.forEach(product => this.selection.select(product));
            this.selectedDataSource.data = [...this.selection.selected];
            const selectedProductsArray = this.selectedProducts;
            selectedProductsArray.clear();
            (_b = (_a = this.selection) === null || _a === void 0 ? void 0 : _a.selected) === null || _b === void 0 ? void 0 : _b.forEach((product, index) => {
                var _a, _b, _c;
                if (!(product === null || product === void 0 ? void 0 : product.value)) {
                    console.error('Product value (SKU) is missing at index:', index, product);
                    return;
                }
                const productFormGroup = this.fb.group({
                    price: [(_a = product === null || product === void 0 ? void 0 : product.price) !== null && _a !== void 0 ? _a : '', this.showPrice ? Validators.required : []],
                    text: [(product === null || product === void 0 ? void 0 : product.text) || ''],
                    quantity: [(_b = product === null || product === void 0 ? void 0 : product.quantity) !== null && _b !== void 0 ? _b : '', this.showQuantity ? Validators.required : []],
                    category: [(product === null || product === void 0 ? void 0 : product.category) || ''],
                    subCategory: [(product === null || product === void 0 ? void 0 : product.subCategory) || ''],
                    value: [(product === null || product === void 0 ? void 0 : product.value) || ''],
                    otherInformation0: [(product === null || product === void 0 ? void 0 : product.otherInformation0) || '', this.showCost ? Validators.required : []],
                    otherInformation1: [(product === null || product === void 0 ? void 0 : product.otherInformation1) || ''],
                    otherInformation2: [(_c = product === null || product === void 0 ? void 0 : product.otherInformation2) !== null && _c !== void 0 ? _c : '']
                });
                if (productFormGroup) {
                    selectedProductsArray.push(productFormGroup);
                }
                else {
                    console.error(`Failed to create FormGroup for product at index ${index}.`);
                }
            });
            selectedProductsArray.controls.forEach((control, index) => {
                if (control instanceof FormGroup) {
                    const priceControl = control.get('price');
                    if (priceControl) {
                        this.isPriceDisable ? priceControl.disable() : priceControl.enable();
                    }
                    else {
                        console.error(`Price control is missing in FormGroup at index ${index}.`);
                    }
                }
                else {
                    console.error(`Unexpected control type at index ${index}:`, control);
                }
            });
        }
        else {
            console.error('Selection.selected is not an array:', this.selection.selected);
        }
    }
    getTotalRows() {
        return this.dataSource.data.length;
    }
    getSelectedRowsCount() {
        return this.selection.selected.length;
    }
    onOptionSelected(event, category) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m;
        let selectedValue;
        if (event && event.option && event.option.value !== undefined) {
            selectedValue = event.option.value.id;
        }
        else {
            selectedValue = event;
        }
        if (category === 'category1') {
            this.levelOneId = selectedValue;
            this.form.get('dropdownLevel2').setValue(null);
            this.form.get('dropdownLevel3').setValue(null);
            this.form.get('dropdownLevel4').setValue(null);
            this.filteredDropdownTwo = [];
            this.filteredDropdownThree = [];
            this.filteredDropdownFour = [];
            if (this.dropdownL2 && this.levelOneId) {
                (_a = this.form.get('dropdownLevel2')) === null || _a === void 0 ? void 0 : _a.enable();
                (_b = this.form.get('dropdownLevel3')) === null || _b === void 0 ? void 0 : _b.disable();
                (_c = this.form.get('dropdownLevel4')) === null || _c === void 0 ? void 0 : _c.disable();
                this.isDisabled2 = false;
                this.loadDropdownL2(this.levelOneId);
            }
            else {
                (_d = this.form.get('dropdownLevel2')) === null || _d === void 0 ? void 0 : _d.disable();
                (_e = this.form.get('dropdownLevel3')) === null || _e === void 0 ? void 0 : _e.disable();
                (_f = this.form.get('dropdownLevel4')) === null || _f === void 0 ? void 0 : _f.disable();
                this.form.get('dropdownLevel2').setValue(null);
                this.form.get('dropdownLevel3').setValue(null);
                this.form.get('dropdownLevel4').setValue(null);
                //this.levelOneId = null;
                this.levelTwoId = null;
                this.levelThreeId = null;
                this.levelFourId = null;
                this.isDisabled2 = true;
                this.isDisabled3 = true;
                this.isDisabled4 = true;
            }
            this.pageNumber = 1;
            this.pageSize = 20;
            this.getProducts(false);
        }
        if (category === 'category2') {
            this.levelTwoId = selectedValue;
            this.form.get('dropdownLevel3').setValue(null);
            this.form.get('dropdownLevel4').setValue(null);
            this.filteredDropdownThree = [];
            if (this.dropdownL3 && this.levelOneId && this.levelTwoId) {
                (_g = this.form.get('dropdownLevel3')) === null || _g === void 0 ? void 0 : _g.enable();
                (_h = this.form.get('dropdownLevel4')) === null || _h === void 0 ? void 0 : _h.disable();
                this.isDisabled3 = false;
                this.loadDropdownL3(this.levelOneId, this.levelTwoId);
            }
            else {
                (_j = this.form.get('dropdownLevel3')) === null || _j === void 0 ? void 0 : _j.disable();
                (_k = this.form.get('dropdownLevel4')) === null || _k === void 0 ? void 0 : _k.disable();
                this.form.get('dropdownLevel3').setValue(null);
                this.form.get('dropdownLevel4').setValue(null);
                //this.levelTwoId = null;
                this.levelThreeId = null;
                this.levelFourId = null;
                this.isDisabled3 = true;
                this.isDisabled4 = true;
            }
            this.pageNumber = 1;
            this.pageSize = 20;
            this.getProducts(false);
        }
        if (category === 'category3') {
            this.levelThreeId = selectedValue;
            this.form.get('dropdownLevel4').setValue(null);
            this.filteredDropdownFour = [];
            if (this.dropdownL4 && this.levelOneId && this.levelTwoId && this.levelThreeId) {
                (_l = this.form.get('dropdownLevel4')) === null || _l === void 0 ? void 0 : _l.enable();
                this.isDisabled4 = false;
                this.loadDropdownL4(this.levelOneId, this.levelTwoId, this.levelThreeId);
            }
            else {
                (_m = this.form.get('dropdownLevel4')) === null || _m === void 0 ? void 0 : _m.disable();
                this.form.get('dropdownLevel4').setValue(null);
                //this.levelThreeId = null;
                this.levelFourId = null;
                this.isDisabled4 = true;
            }
            this.pageNumber = 1;
            this.pageSize = 20;
            this.getProducts(false);
        }
        if (category === 'category4') {
            this.levelFourId = selectedValue;
            this.pageNumber = 1;
            this.pageSize = 20;
            this.getProducts(false);
        }
        this.updateActiveFiltersCount();
    }
    getProducts(flag) {
        this.spinnerFlag = true;
        const search = this.searchQuery;
        const levelOneId = this.levelOneId ? this.levelOneId : 0;
        const levelTwoId = this.levelTwoId ? this.levelTwoId : 0;
        const levelThreeId = this.levelThreeId ? this.levelThreeId : 0;
        const levelFourId = this.levelFourId ? this.levelFourId : 0;
        if (this.shouldResetTable(search, levelOneId, levelTwoId, levelThreeId, levelFourId)) {
            this.resetTable();
            return;
        }
        this.commonSevice.loadProducts(this.pageNumber, this.pageSize, search, true, false, levelOneId, levelTwoId, levelThreeId, levelFourId).subscribe(response => {
            var _a;
            this.spinnerFlag = false;
            if (response && response.code === 200) {
                this.totalPages = (_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? void 0 : _a.totalPages;
                const data = response.data.dataSource;
                this.getTotalRecords = response.data.totalRecords;
                // Sync selection state with new data
                data.forEach(product => {
                    const existingProduct = this.selection.selected.find(p => p.value === product.value);
                    if (existingProduct) {
                        Object.assign(product, existingProduct); // Replace product with existing reference
                        this.selection.select(product); // Mark as selected
                        this.updateSelectedProducts();
                    }
                });
                // Avoid duplicates in the dataSource
                const existingProductValues = new Set(this.dataSource.data.map(product => product.value));
                const uniqueNewData = data.filter(product => !existingProductValues.has(product.value));
                if (this.dataSource.data.length > 0 && flag) {
                    // data.forEach(item => this.dataSource.data.push(item));
                    this.dataSource.data = [...this.dataSource.data, ...uniqueNewData];
                }
                else {
                    this.dataSource.data = data;
                }
                this.loadingFlag = true;
                setTimeout(() => {
                    const middlePosition = this.trackHeight / 2 - 50;
                    if (this.firstscrollableDiv && this.firstscrollableDiv.nativeElement && flag) {
                        this.firstscrollableDiv.nativeElement.scrollTo({ top: middlePosition, behavior: 'auto' });
                    }
                }, 250);
                this.initializeDataSources();
            }
        });
    }
    removeRow(event, element) {
        event.stopPropagation();
        event.preventDefault();
        let message = 'Are you sure you want to delete this product?';
        let showButton = true;
        const index = this.selectedDataSource.data.indexOf(element);
        if (index >= 0) {
            if (this.selectedDataSource.data.length === 1 && !this.checkSubmissionStatus) {
                message = 'Please select at least one product.';
                showButton = false;
            }
            const dialogRef = this.dialog.open(ConfirmationDialogComponent, {
                disableClose: true,
                width: '90%',
                maxWidth: '400px',
                data: { message: message, buttonStatus: showButton }
            });
            dialogRef.afterClosed().subscribe(result => {
                if (result) {
                    this.selectedDataSource.data.splice(index, 1);
                    this.selectedDataSource._updateChangeSubscription();
                    this.selection.deselect(element);
                    const selectedProductsArray = this.form.get('selectedProducts');
                    const productIndex = selectedProductsArray.controls.findIndex(control => control.value.value === element.value);
                    if (productIndex >= 0) {
                        selectedProductsArray.removeAt(productIndex);
                    }
                }
            });
        }
    }
    onScroll(event) {
        this.trackHeight = event.target.scrollHeight - event.target.offsetHeight;
        if (this.loadingFlag && (Math.floor(event.target.scrollTop / this.trackHeight * 100) > 50)) {
            this.loadingFlag = false;
            if (this.pageNumber < this.totalPages) {
                this.pageNumber = this.pageNumber + 1;
                this.getProducts(true);
            }
            else {
                this.loadingFlag = true;
            }
        }
        this.prevScrollPosition = event.target.scrollTop;
    }
    countTrueDropdowns(obj) {
        // Dynamically find all keys that start with 'dropdownL' and are boolean (true/false)
        return Object.keys(obj)
            .filter(key => key.startsWith('dropdownL') && typeof obj[key] === 'boolean' && obj[key] === true)
            .length;
    }
    /* Use the property that should display in the input field */
    displayFn(option) {
        return option ? option.name : '';
    }
    onQuantityChange(event, index) {
        const value = event.target.value;
        const quantityControl = this.selectedProducts.at(index).get('quantity');
        if (!quantityControl)
            return;
        // Clear any previous errors
        quantityControl.setErrors(null);
        // If the value is empty, set 'required' error
        if (value === '' || value === null) {
            quantityControl.setErrors({ 'required': true });
        }
        // If the value is less than 1, set 'min' error
        else if (Number(value) < 1) {
            quantityControl.setErrors({ 'min': true });
        }
        // If the value is not an integer, set 'pattern' error
        else if (!/^\d+$/.test(value)) {
            quantityControl.setErrors({ 'pattern': true });
        }
    }
    goToNextPage() {
        this.currentPage = 'edit-save';
    }
    goToPreviousPage() {
        this.currentPage = 'select-products';
    }
    toggleSection() {
        this.isVisible = !this.isVisible;
    }
    clearField(field, category, event) {
        var _a;
        event === null || event === void 0 ? void 0 : event.stopPropagation(); // Stop event propagation to prevent dropdown reopen
        (_a = this.form.get(field)) === null || _a === void 0 ? void 0 : _a.setValue(null);
        if (category === 'category1') {
            this.onOptionSelected(null, 'category1');
        }
        else if (category === 'category2') {
            this.onOptionSelected(null, 'category2');
        }
        else if (category === 'category3') {
            this.onOptionSelected(null, 'category3');
        }
        else if (category === 'category4') {
            this.levelFourId = null;
            this.onOptionSelected(null, 'category4');
        }
        this.updateActiveFiltersCount();
    }
    onInputChange(event, category) {
        const inputValue = event.target.value;
        if (!inputValue) {
            // Handle case where input is cleared
            this.clearField(`dropdownLevel${this.getDropdownLevel(category)}`, category, null);
        }
    }
    getDropdownLevel(category) {
        switch (category) {
            case 'category1': return 1;
            case 'category2': return 2;
            case 'category3': return 3;
            case 'category4': return 4;
            default: return 0;
        }
    }
    updateActiveFiltersCount() {
        this.activeFiltersCount = 0;
        if (this.searchQuery !== '')
            this.activeFiltersCount++;
        if (this.form.get('dropdownLevel1').value)
            this.activeFiltersCount++;
        if (this.form.get('dropdownLevel2').value)
            this.activeFiltersCount++;
        if (this.form.get('dropdownLevel3').value)
            this.activeFiltersCount++;
        if (this.form.get('dropdownLevel4').value)
            this.activeFiltersCount++;
    }
    clearIfEmpty(event) {
        if (!event.target.value) {
            this.form.controls['searchProductName'].setValue('');
            this.searchQuery = '';
            const search = this.searchQuery;
            const levelOneId = this.levelOneId ? this.levelOneId : 0;
            const levelTwoId = this.levelTwoId ? this.levelTwoId : 0;
            const levelThreeId = this.levelThreeId ? this.levelThreeId : 0;
            const levelFourId = this.levelFourId ? this.levelFourId : 0;
            if (this.shouldResetTable(search, levelOneId, levelTwoId, levelThreeId, levelFourId)) {
                this.resetTable();
                return;
            }
        }
    }
    resetTable() {
        var _a, _b, _c;
        this.form.get('dropdownLevel1').setValue(null);
        this.form.get('dropdownLevel2').setValue(null);
        this.form.get('dropdownLevel3').setValue(null);
        this.form.get('dropdownLevel4').setValue(null);
        (_a = this.form.get('dropdownLevel2')) === null || _a === void 0 ? void 0 : _a.disable();
        (_b = this.form.get('dropdownLevel3')) === null || _b === void 0 ? void 0 : _b.disable();
        (_c = this.form.get('dropdownLevel4')) === null || _c === void 0 ? void 0 : _c.disable();
        this.levelOneId = 0;
        this.levelTwoId = 0;
        this.levelThreeId = 0;
        this.levelFourId = 0;
        this.pageNumber = 1;
        this.pageSize = 20;
        this.form.controls['searchProductName'].setValue('');
        this.searchQuery = '';
        this.dataSource.data = [];
        this.spinnerFlag = false;
        this.updateActiveFiltersCount();
    }
    shouldResetTable(search, levelOneId, levelTwoId, levelThreeId, levelFourId) {
        return search === '' && levelOneId === 0 && levelTwoId === 0 && levelThreeId === 0 && levelFourId === 0;
    }
    /* This function will manage price and cost validation */
    applyValidationRule(event, index, controlName) {
        const value = event.target.value.trim();
        const control = this.selectedProducts.at(index).get(controlName);
        if (!control)
            return;
        // Clear any previous errors
        control.setErrors(null);
        // If the value is empty, set 'required' error
        if (value === '' || value === null) {
            control.setErrors({ 'required': true });
            return;
        }
        if (controlName === 'otherInformation0' && this.alphanumeric) {
            // Allow all characters — no restrictions
            return;
        }
        else {
            // Check if value contains only numbers and decimals (but no alphabets or special characters)
            if (!/^\d*\.?\d*$/.test(value)) {
                event.target.value = value.replace(/[^0-9.]/g, '');
                control.setErrors({ 'invalidFormat': true });
            }
        }
    }
    restrictInput(event, controlName) {
        const key = event.key;
        const inputElement = event.target;
        const inputValue = inputElement.value;
        if (controlName === 'otherInformation0' && this.alphanumeric) {
            // Allow all characters — no restrictions
            return;
        }
        else {
            // Allow numbers and one decimal, but prevent everything else
            if (!/[\d.]/.test(key) || (key === '.' && inputValue.includes('.'))) {
                event.preventDefault();
            }
        }
    }
    handlePaste(event, controlName) {
        var _a;
        const pasteData = ((_a = event.clipboardData) === null || _a === void 0 ? void 0 : _a.getData('text')) || '';
        if (controlName === 'otherInformation0' && this.alphanumeric) {
            //  Allow all characters — no restrictions
            return;
        }
        else {
            // If pasted value is not a valid number, prevent pasting
            if (!/^\d*\.?\d*$/.test(pasteData)) {
                event.preventDefault();
            }
        }
    }
}
AddOnProductsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: AddOnProductsComponent, deps: [{ token: i1$1.MatDialogRef }, { token: MAT_DIALOG_DATA }, { token: i2.FormBuilder }, { token: i1$1.MatDialog }, { token: CommonService }], target: i0.ɵɵFactoryTarget.Component });
AddOnProductsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: AddOnProductsComponent, selector: "ngx-mat-add-on-products", viewQueries: [{ propertyName: "firstscrollableDiv", first: true, predicate: ["firstscrollableDiv"], descendants: true }], ngImport: i0, template: "<div *ngIf=\"spinnerFlag\" class=\"OverlayDiv\">\r\n    <div class=\"OverlayDivContent\">\r\n        <mat-spinner></mat-spinner>\r\n    </div>\r\n</div>\r\n<div class=\"mat-dialog-heading\">\r\n    <h1 mat-dialog-title>Add Products</h1>\r\n</div>\r\n\r\n<mat-dialog-content [ngClass]=\"dataSource?.data?.length > 0 ? 'products-scroll-visible': ''\">\r\n    <div class=\"mat-dialog-content\">\r\n        <!--Search Start-->\r\n        <div class=\"basic-search\" [hidden]=\"currentPage !== 'select-products'\">\r\n            <div class=\"basic-search-wrp\">\r\n                <div class=\"search-icon\">\r\n                    <svg width=\"80\" height=\"80\" viewBox=\"0 0 24 25\" xmlns=\"http://www.w3.org/2000/svg\"\r\n                        transform=\"rotate(0 0 0)\">\r\n                        <path fill-rule=\"evenodd\" clip-rule=\"evenodd\"\r\n                            d=\"M11.25 2.75C6.14154 2.75 2 6.89029 2 11.998C2 17.1056 6.14154 21.2459 11.25 21.2459C13.5335 21.2459 15.6238 20.4187 17.2373 19.0475L20.7182 22.5287C21.011 22.8216 21.4859 22.8217 21.7788 22.5288C22.0717 22.2359 22.0718 21.761 21.7789 21.4681L18.2983 17.9872C19.6714 16.3736 20.5 14.2826 20.5 11.998C20.5 6.89029 16.3585 2.75 11.25 2.75ZM3.5 11.998C3.5 7.71905 6.96962 4.25 11.25 4.25C15.5304 4.25 19 7.71905 19 11.998C19 16.2769 15.5304 19.7459 11.25 19.7459C6.96962 19.7459 3.5 16.2769 3.5 11.998Z\" />\r\n                    </svg>\r\n                </div>\r\n                <form [formGroup]=\"form\">\r\n                    <div class=\"input-search\">\r\n                        <input (keydown.enter)=\"handleDropdownFilter(); $event.stopPropagation()\" type=\"text\" matInput\r\n                            placeholder=\"Search Product\" formControlName=\"searchProductName\"\r\n                            (input)=\"clearIfEmpty($event)\">\r\n                    </div>\r\n                </form>\r\n                <!-- <div class=\"advfilter\">\r\n                    <button class=\"adv\" (click)=\"toggleSection();$event.stopPropagation();\">\r\n                        <mat-icon class=\"material-icons-round\" aria-hidden=\"false\"\r\n                            aria-label=\"tune\">tune\r\n                        </mat-icon>\r\n                        <span *ngIf=\"activeFiltersCount > 0\" class=\"custom-badge\">{{ activeFiltersCount }}</span>\r\n                    </button>\r\n                </div> -->\r\n            </div>\r\n            <div class=\"search-btn\">\r\n                <button mat-raised-button color=\"primary\"\r\n                    (click)=\"handleDropdownFilter();$event.stopPropagation();\">Search</button>\r\n            </div>\r\n        </div>\r\n        <!--Search End-->\r\n        <div class=\"product-selector\">\r\n            <div [hidden]=\"currentPage !== 'select-products'\">\r\n                <form [formGroup]=\"form\">\r\n                    <div class=\"product-selection-container\" *ngIf=\"isVisible && dropdownL1\">\r\n                        <div class=\"dropdown-selection\" *ngIf=\"dropdownL1\">\r\n                            <div [ngClass]=\"dropDownCount === 1 ? 'no-child': 'child'\">\r\n                                <div class=\"title-adv\">\r\n                                    <h5>Advanced Filters</h5>\r\n                                    <button class=\"clr-all-picker\" type=\"button\" (click)=\"resetTable()\"\r\n                                        *ngIf=\"activeFiltersCount > 0\">Clear All</button>\r\n                                </div>\r\n                                <div class=\"row\">\r\n                                    <div class=\"col-lg-6\">\r\n                                        <div class=\"example-full-width\">\r\n                                            <mat-form-field *ngIf=\"dropdownL1\" class=\"example-full-width\">\r\n                                                <mat-label>{{dropdownL1Label}}</mat-label>\r\n                                                <input type=\"text\" matInput formControlName=\"dropdownLevel1\"\r\n                                                    [matAutocomplete]=\"auto3\"\r\n                                                    (input)=\"onInputChange($event, 'category1')\">\r\n                                                <mat-autocomplete [displayWith]=\"displayFn\" #auto3=\"matAutocomplete\"\r\n                                                    (optionSelected)=\"onOptionSelected($event, 'category1')\">\r\n                                                    <mat-option *ngFor=\"let option of filteredDropdownOne\"\r\n                                                        [value]=\"option\">{{option.name}}</mat-option>\r\n                                                </mat-autocomplete>\r\n                                                <mat-icon matSuffix *ngIf=\"form.get('dropdownLevel1').value\"\r\n                                                    (click)=\"clearField('dropdownLevel1', 'category1', $event)\"\r\n                                                    class=\"iconclose\">close</mat-icon>\r\n                                                <mat-icon class=\"icondropdown\" matSuffix>arrow_drop_down</mat-icon>\r\n                                            </mat-form-field>\r\n                                        </div>\r\n                                    </div>\r\n                                    <div class=\"col-lg-6\">\r\n                                        <div class=\"example-full-width\">\r\n                                            <mat-form-field *ngIf=\"dropdownL2\" class=\"example-full-width\">\r\n                                                <mat-label>{{dropdownL2Label}}</mat-label>\r\n                                                <input type=\"text\" matInput formControlName=\"dropdownLevel2\"\r\n                                                    [matAutocomplete]=\"auto4\"\r\n                                                    (input)=\"onInputChange($event, 'category2')\">\r\n                                                <mat-autocomplete [displayWith]=\"displayFn\" #auto4=\"matAutocomplete\"\r\n                                                    (optionSelected)=\"onOptionSelected($event, 'category2')\">\r\n                                                    <mat-option *ngFor=\"let option of filteredDropdownTwo\"\r\n                                                        [value]=\"option\">{{option.name}}</mat-option>\r\n                                                </mat-autocomplete>\r\n                                                <mat-icon matSuffix *ngIf=\"form.get('dropdownLevel2').value\"\r\n                                                    (click)=\"clearField('dropdownLevel2', 'category2', $event)\"\r\n                                                    class=\"iconclose\">close</mat-icon>\r\n                                                <mat-icon class=\"icondropdown\" matSuffix\r\n                                                    [ngClass]=\"{'disabled-icon': isDisabled2}\">arrow_drop_down</mat-icon>\r\n                                            </mat-form-field>\r\n                                        </div>\r\n                                    </div>\r\n\r\n                                    <div class=\"col-lg-6\">\r\n                                        <div class=\"example-full-width\">\r\n                                            <mat-form-field *ngIf=\"dropdownL3\" class=\"example-full-width\">\r\n                                                <mat-label>{{dropdownL3Label}}</mat-label>\r\n                                                <input type=\"text\" matInput formControlName=\"dropdownLevel3\"\r\n                                                    [matAutocomplete]=\"auto5\"\r\n                                                    (input)=\"onInputChange($event, 'category3')\">\r\n                                                <mat-autocomplete [displayWith]=\"displayFn\" #auto5=\"matAutocomplete\"\r\n                                                    (optionSelected)=\"onOptionSelected($event, 'category3')\">\r\n                                                    <mat-option *ngFor=\"let option of filteredDropdownThree\"\r\n                                                        [value]=\"option\">{{option.name}}</mat-option>\r\n                                                </mat-autocomplete>\r\n                                                <mat-icon matSuffix *ngIf=\"form.get('dropdownLevel3').value\"\r\n                                                    (click)=\"clearField('dropdownLevel3', 'category3', $event)\"\r\n                                                    class=\"iconclose\">close</mat-icon>\r\n                                                <mat-icon class=\"icondropdown\" matSuffix\r\n                                                    [ngClass]=\"{'disable-icon': isDisabled3}\">arrow_drop_down</mat-icon>\r\n                                            </mat-form-field>\r\n                                        </div>\r\n                                    </div>\r\n                                    <div class=\"col-lg-6\">\r\n                                        <div class=\"example-full-width\">\r\n                                            <mat-form-field *ngIf=\"dropdownL4\" class=\"example-full-width\">\r\n                                                <mat-label>{{dropdownL4Label}}</mat-label>\r\n                                                <input type=\"text\" matInput formControlName=\"dropdownLevel4\"\r\n                                                    [matAutocomplete]=\"auto6\"\r\n                                                    (input)=\"onInputChange($event, 'category4')\">\r\n                                                <mat-autocomplete [displayWith]=\"displayFn\" #auto6=\"matAutocomplete\"\r\n                                                    (optionSelected)=\"onOptionSelected($event, 'category4')\">\r\n                                                    <mat-option *ngFor=\"let option of filteredDropdownFour\"\r\n                                                        [value]=\"option\">{{option.name}}</mat-option>\r\n                                                </mat-autocomplete>\r\n                                                <mat-icon matSuffix *ngIf=\"form.get('dropdownLevel4').value\"\r\n                                                    (click)=\"clearField('dropdownLevel4', 'category4', $event)\"\r\n                                                    class=\"iconclose\">close</mat-icon>\r\n                                                <mat-icon class=\"icondropdown\" matSuffix\r\n                                                    [ngClass]=\"{'disable-icon': isDisabled4}\">arrow_drop_down</mat-icon>\r\n                                            </mat-form-field>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                    <div #firstscrollableDiv id=\"firstscrollableDiv\" class=\"new-class first-div\"\r\n                        (scroll)=\"onScroll($event)\" [ngClass]=\"dataSource?.data?.length > 0 ? 'tbl-record-found': ''\">\r\n                        <table mat-table [dataSource]=\"dataSource\" class=\"mat-table abc\"\r\n                            *ngIf=\"dataSource && dataSource?.data?.length > 0; else noData\">\r\n                            <ng-container matColumnDef=\"select\">\r\n                                <th mat-header-cell *matHeaderCellDef>\r\n                                </th>\r\n                                <td mat-cell *matCellDef=\"let row\" class=\"checkbox-picker-pointer\">\r\n                                    <mat-checkbox color=\"primary\" (click)=\"$event.stopPropagation()\"\r\n                                        (change)=\"$event ? toggleSelection(row) : null\"\r\n                                        [checked]=\"selection.isSelected(row)\"></mat-checkbox>\r\n                                </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"productName\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{productTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element?.text}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"skuNumber\" *ngIf=\"showSkuNumber\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{skuTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element?.otherInformation0}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"inventory\" *ngIf=\"showInventory\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{inventoryTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element?.otherInformation1}} </td>\r\n                            </ng-container>\r\n                            <tr mat-header-row *matHeaderRowDef=\"addProductsColumns\"></tr>\r\n                            <tr mat-row *matRowDef=\"let row; columns: addProductsColumns;\"\r\n                                [class.selected]=\"selection.isSelected(row)\"></tr>\r\n                        </table>\r\n                        <ng-template #noData>\r\n                            <div class=\"no-data-message\">\r\n                                <!--No data found.-->\r\n                                <div class=\"pp-empty-state\">\r\n                                    <div class=\"img-empty-state\">\r\n                                        <img [src]=\"emptyImage\" alt=\"\">\r\n                                    </div>\r\n                                    <h3>No records to show at the moment</h3>\r\n                                    <p>Please modify your search criteria to find the desired result</p>\r\n                                </div>\r\n\r\n                            </div>\r\n                        </ng-template>\r\n                    </div>\r\n                    <div class=\"row-summary\" *ngIf=\"dataSource && dataSource?.data?.length > 0\">\r\n                        <div>Selected: <strong>{{ getSelectedRowsCount() }}</strong> </div>\r\n                        <div>Total Records: <strong>{{ getTotalRecords }}</strong></div>\r\n                    </div>\r\n                </form>\r\n            </div>\r\n\r\n            <div [hidden]=\"currentPage !== 'edit-save'\">\r\n                <form [formGroup]=\"form\">\r\n                    <div class=\"new-class\"\r\n                        [ngClass]=\"selectedDataSource && selectedDataSource.data.length > 0 ? 'added-products': ''\">\r\n                        <table mat-table [dataSource]=\"selectedDataSource\"\r\n                            *ngIf=\"selectedDataSource && selectedDataSource.data.length > 0; else showBlank\">\r\n                            <ng-container matColumnDef=\"delete\">\r\n                                <th mat-header-cell *matHeaderCellDef></th>\r\n                                <td mat-cell *matCellDef=\"let element\">\r\n                                    <button class=\"delete-btn-picker\" mat-button\r\n                                        (click)=\"$event.stopPropagation();removeRow($event, element)\">\r\n                                        <mat-icon aria-hidden=\"false\" aria-label=\"Remove row\">delete</mat-icon>\r\n                                    </button>\r\n                                </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"productName\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{productTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element.text}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"categoryName\" *ngIf=\"showCategory\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{categoryTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element.category}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"subCategory\" *ngIf=\"showSubcategory\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{subCategoryTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element.subCategory}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"price\" *ngIf=\"showPrice\">\r\n                                <th mat-header-cell *matHeaderCellDef>{{priceTweek}}</th>\r\n                                <td mat-cell *matCellDef=\"let element; let i = index\">\r\n                                    <mat-form-field class=\"example-full-width select-price\">\r\n                                        <mat-label>{{priceTweek}}</mat-label>\r\n                                        <input matInput [formControl]=\"selectedProducts.at(i).get('price')\"\r\n                                            (input)=\"applyValidationRule($event, i, 'price')\"\r\n                                            (keypress)=\"restrictInput($event, '')\" (paste)=\"handlePaste($event, '')\">\r\n                                        <mat-error *ngIf=\"selectedProducts.at(i).get('price').hasError('required')\">\r\n                                            This field is required\r\n                                        </mat-error>\r\n                                    </mat-form-field>\r\n                                </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"Quantity\" *ngIf=\"showQuantity\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{quantityTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element; let i = index\">\r\n                                    <mat-form-field class=\"example-full-width\">\r\n                                        <mat-label>{{quantityTweek}}</mat-label>\r\n                                        <input matInput [formControl]=\"selectedProducts.at(i).get('quantity')\"\r\n                                            type=\"number\" min=\"1\" step=\"1\" (input)=\"onQuantityChange($event, i)\">\r\n                                        <mat-error *ngIf=\"selectedProducts.at(i).get('quantity').hasError('required')\">\r\n                                            This field is required\r\n                                        </mat-error>\r\n                                        <mat-error *ngIf=\"selectedProducts.at(i).get('quantity').hasError('min')\">\r\n                                            Quantity can not be less than 1\r\n                                        </mat-error>\r\n                                        <mat-error *ngIf=\"selectedProducts.at(i).get('quantity').hasError('pattern')\">\r\n                                            Decimals not allowed\r\n                                        </mat-error>\r\n                                    </mat-form-field>\r\n                                </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"skuNumber\" *ngIf=\"showSkuNumber\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{skuTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\">{{element?.otherInformation0}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"inventory\" *ngIf=\"showInventory\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{inventoryTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\">{{element?.otherInformation1}} </td>\r\n                            </ng-container>\r\n\r\n                            <ng-container matColumnDef=\"cost\" *ngIf=\"showCost\">\r\n                                <th mat-header-cell *matHeaderCellDef>{{costTweek}}</th>\r\n                                <td mat-cell *matCellDef=\"let element; let i = index\">\r\n                                    <mat-form-field class=\"example-full-width select-cost\">\r\n                                        <mat-label>{{costTweek}}</mat-label>\r\n                                        <input matInput [formControl]=\"selectedProducts.at(i).get('otherInformation0')\"\r\n                                            (input)=\"applyValidationRule($event, i, 'otherInformation0')\"\r\n                                            (keypress)=\"restrictInput($event, 'otherInformation0')\" (paste)=\"handlePaste($event, 'otherInformation0')\">\r\n                                        <mat-error\r\n                                            *ngIf=\"selectedProducts.at(i).get('otherInformation0').hasError('required')\">\r\n                                            This field is required\r\n                                        </mat-error>\r\n                                    </mat-form-field>\r\n                                </td>\r\n                            </ng-container>\r\n                            <tr mat-header-row *matHeaderRowDef=\"showAllproductsColumns\"></tr>\r\n                            <tr mat-row *matRowDef=\"let row; columns: showAllproductsColumns;\"></tr>\r\n                        </table>\r\n                        <!-- <ng-template #showBlank>\r\n                            <div class=\"no-data-message\">\r\n                                No data found.\r\n                            </div>\r\n                        </ng-template> -->\r\n                        <ng-template #showBlank>\r\n                            <div class=\"no-data-message\">\r\n                                <div class=\"pp-empty-state\">\r\n                                    <div class=\"img-empty-state\">\r\n                                        <img [src]=\"emptyImage\" alt=\"\">\r\n                                    </div>\r\n                                    <h3>No Product added</h3>\r\n                                    <p>Please go back and start adding products</p>\r\n                                </div>\r\n                            </div>\r\n                        </ng-template>\r\n                    </div>\r\n                </form>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</mat-dialog-content>\r\n\r\n<mat-dialog-actions>\r\n    <div class=\"tabs-action-step-one\" *ngIf=\"currentPage === 'select-products'\">\r\n        <div>\r\n            <button mat-button (click)=\"goToNextPage()\" [disabled]=\"selection.selected.length ? false : true\"\r\n                color=\"primary\" mat-raised-button>Edit Selected Products</button>\r\n        </div>\r\n        <div>\r\n            <button mat-button (click)=\"goToNextPage()\" [disabled]=\"selection.selected.length ? false : true\"\r\n                color=\"primary\" mat-raised-button>Next</button>\r\n            <button mat-button [mat-dialog-close]=\"false\">Cancel</button>\r\n        </div>\r\n    </div>\r\n    <div class=\"tabs-action\" *ngIf=\"currentPage === 'edit-save'\">\r\n        <div class=\"tab-action-wrp\">\r\n            <button mat-button (click)=\"goToPreviousPage()\">Back</button>\r\n            <button mat-button type=\"submit\" color=\"primary\" mat-raised-button (click)=\"onSubmit()\">Add/Update</button>\r\n        </div>\r\n    </div>\r\n</mat-dialog-actions>", styles: [".mat-dialog-heading{margin:0 0 20px;position:relative;display:flex;align-items:center}:host ::ng-deep .mat-dialog-title{width:100%;padding:0 40px;margin:0;font-family:Inter,sans-serif;font-size:20px;color:#000;letter-spacing:normal;text-align:center}.mat-dialog-close mat-icon{color:#000}.example-full-width{width:100%}.mat-dialog-content p{margin-bottom:15px;font-family:Inter,sans-serif}.mat-dialog-content a{color:#2196f3}.mat-dialog-content a:hover{text-decoration:none}:host ::ng-deep .mat-dialog-actions{justify-content:flex-end}.mat-stroked-button.mat-primary{color:#0078d6}.OverlayDiv{position:fixed;display:block;width:100%;height:100%;top:0;left:0;right:0;bottom:0;background-color:#00000080;z-index:500;cursor:pointer}.OverlayDivContent{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);-ms-transform:translate(-50%,-50%)}.basic-search{display:flex;align-items:center;width:100%;margin-bottom:20px}.basic-search-wrp{border:1px solid #DADCE0;border-radius:5px;padding-left:15px;height:46px;display:flex;align-items:center;flex:1;margin-right:20px}.basic-search-wrp mat-icon{color:#0006}.basic-search-wrp form{width:100%}.search-icon{margin:0;display:flex}.search-icon mat-icon{color:#0006}.search-icon svg{width:24px;height:24px}.search-icon svg path{fill:#999}.input-search{margin:0;border:0;width:100%;padding:0 18px 0 10px}.input-search input{border:0;width:100%;font-size:15px;line-height:1}.input-search input:focus{border:0;outline:0 none}.advfilter{display:flex;margin-left:auto}.advfilter button{border:0;background-color:transparent;margin:0;padding:0;display:flex;position:relative}.advfilter button mat-icon{color:#0006}.advfilter button span{font-weight:600;font-size:10px;display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;justify-content:center;width:20px;height:20px;color:#fff!important;border-radius:50%;background-color:#f44336!important;position:absolute;top:-5px;right:-10px}.search-btn{margin-left:auto;min-width:137px}.search-btn button{box-shadow:none;height:46px;width:100%}.product-selection-container{border:1px solid #DADCE0;padding:20px;margin-bottom:20px;border-radius:5px}.product-selection-container h5{margin:0;color:#202020!important;font-size:16px!important}.pp-empty-state{max-width:420px;margin:0 auto;padding:50px 0;text-align:center}.img-empty-state{width:100%;margin-bottom:20px}.img-empty-state img{width:100%}.pp-empty-state h3{font-size:20px!important;margin:0 0 5px;padding:0;font-weight:400;color:#202020!important}.pp-empty-state p{font-size:15px!important;margin:0 0 20px!important;padding:0;color:#656667!important}.mat-dialog-content{max-height:none!important;overflow:hidden!important}.tbl-record-found{border-left:1px solid #0000001f;border-right:1px solid #0000001f;border-top:1px solid #0000001f;border-radius:5px 5px 0 0;min-height:104px;max-height:296px;overflow-y:auto;height:100%}.tbl-record-found table{border-collapse:separate}.tbl-record-found tr:last-child td{border-bottom:none}.tbl-record-found thead,.tbl-record-found th{position:-webkit-sticky;position:sticky;top:0;z-index:100;background-color:#fff}.tbl-record-found th.mat-header-cell:first-of-type,.tbl-record-found td.mat-cell:first-of-type,.tbl-record-found td.mat-footer-cell:first-of-type{width:70px}.row-summary{padding:15px 25px;border-left:1px solid #0000001f;border-top:1px solid #0000001f;display:flex;justify-content:space-between;border-right:1px solid #0000001f;border-bottom:1px solid #0000001f;border-radius:0 0 5px 5px}.row-summary div{margin-right:30px}button.delete-btn-picker{background:transparent!important;padding:0!important;min-width:auto!important}button.delete-btn-picker:hover{background:transparent!important}button.delete-btn-picker:hover .mat-button-focus-overlay{opacity:0!important}button.delete-btn-picker mat-icon{color:#f44336!important}mat-icon.icondropdown{line-height:1.6!important}mat-icon.iconclose{line-height:2!important;font-size:120%!important}.added-products{border:1px solid #0000001f;border-bottom:none;border-radius:5px;min-height:133px;max-height:444px;overflow-y:auto;height:100%}.added-products table{border-collapse:separate}.added-products thead,.added-products th{position:-webkit-sticky;position:sticky;top:0;z-index:100;background-color:#fff}.added-products th.mat-header-cell:first-of-type,.added-products td.mat-cell:first-of-type,.added-products td.mat-footer-cell:first-of-type{width:70px}.mat-header-cell{font-weight:500!important;color:#0000008a!important}.clr-all-picker{display:inline-block;border:0;outline:0 none;padding:0;background-color:transparent;color:#2196f3;margin-left:20px}.title-adv{display:flex;align-items:center;margin-bottom:15px}.tabs-action-step-one{display:flex;justify-content:space-between;width:100%}.tbl-record-found td.checkbox-picker-pointer{cursor:pointer!important}.tbl-record-found td{cursor:text!important}.basic-search form{margin:0}@media only screen and (max-width:1545px){.pp-empty-state h3{font-size:18px}.pp-empty-state p{font-size:14px}.pp-empty-state{padding:20px 0;max-width:392px}.product-selection-container h5{font-size:14px;margin-bottom:5px}.product-selection-container{padding:15px 20px}.basic-search{margin-bottom:20px}.mat-dialog-heading{margin-bottom:10px}.mat-dialog-title{font-size:18px}.mat-dialog-content{max-height:60vh!important;overflow:auto!important}}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i3.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i4$2.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i3$2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4$5.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "component", type: i5$1.MatOption, selector: "mat-option", exportAs: ["matOption"] }, { kind: "component", type: i10$1.MatTable, selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i10$1.MatHeaderCellDef, selector: "[matHeaderCellDef]" }, { kind: "directive", type: i10$1.MatHeaderRowDef, selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i10$1.MatColumnDef, selector: "[matColumnDef]", inputs: ["sticky", "matColumnDef"] }, { kind: "directive", type: i10$1.MatCellDef, selector: "[matCellDef]" }, { kind: "directive", type: i10$1.MatRowDef, selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i10$1.MatHeaderCell, selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i10$1.MatCell, selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i10$1.MatHeaderRow, selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i10$1.MatRow, selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }, { kind: "component", type: i11.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }, { kind: "directive", type: i1$1.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["aria-label", "type", "mat-dialog-close", "matDialogClose"], exportAs: ["matDialogClose"] }, { kind: "directive", type: i1$1.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i1$1.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "directive", type: i1$1.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "component", type: i14.MatAutocomplete, selector: "mat-autocomplete", inputs: ["disableRipple"], exportAs: ["matAutocomplete"] }, { kind: "directive", type: i14.MatAutocompleteTrigger, selector: "input[matAutocomplete], textarea[matAutocomplete]", exportAs: ["matAutocompleteTrigger"] }], animations: [
        trigger('slideDown', [
            state('hidden', style({ height: '0px', opacity: 0, overflow: 'hidden' })),
            state('visible', style({ height: '*', opacity: 1 })),
            transition('hidden => visible', [
                animate('300ms ease-out')
            ]),
            transition('visible => hidden', [
                animate('300ms ease-in')
            ])
        ])
    ] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: AddOnProductsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ngx-mat-add-on-products', animations: [
                        trigger('slideDown', [
                            state('hidden', style({ height: '0px', opacity: 0, overflow: 'hidden' })),
                            state('visible', style({ height: '*', opacity: 1 })),
                            transition('hidden => visible', [
                                animate('300ms ease-out')
                            ]),
                            transition('visible => hidden', [
                                animate('300ms ease-in')
                            ])
                        ])
                    ], template: "<div *ngIf=\"spinnerFlag\" class=\"OverlayDiv\">\r\n    <div class=\"OverlayDivContent\">\r\n        <mat-spinner></mat-spinner>\r\n    </div>\r\n</div>\r\n<div class=\"mat-dialog-heading\">\r\n    <h1 mat-dialog-title>Add Products</h1>\r\n</div>\r\n\r\n<mat-dialog-content [ngClass]=\"dataSource?.data?.length > 0 ? 'products-scroll-visible': ''\">\r\n    <div class=\"mat-dialog-content\">\r\n        <!--Search Start-->\r\n        <div class=\"basic-search\" [hidden]=\"currentPage !== 'select-products'\">\r\n            <div class=\"basic-search-wrp\">\r\n                <div class=\"search-icon\">\r\n                    <svg width=\"80\" height=\"80\" viewBox=\"0 0 24 25\" xmlns=\"http://www.w3.org/2000/svg\"\r\n                        transform=\"rotate(0 0 0)\">\r\n                        <path fill-rule=\"evenodd\" clip-rule=\"evenodd\"\r\n                            d=\"M11.25 2.75C6.14154 2.75 2 6.89029 2 11.998C2 17.1056 6.14154 21.2459 11.25 21.2459C13.5335 21.2459 15.6238 20.4187 17.2373 19.0475L20.7182 22.5287C21.011 22.8216 21.4859 22.8217 21.7788 22.5288C22.0717 22.2359 22.0718 21.761 21.7789 21.4681L18.2983 17.9872C19.6714 16.3736 20.5 14.2826 20.5 11.998C20.5 6.89029 16.3585 2.75 11.25 2.75ZM3.5 11.998C3.5 7.71905 6.96962 4.25 11.25 4.25C15.5304 4.25 19 7.71905 19 11.998C19 16.2769 15.5304 19.7459 11.25 19.7459C6.96962 19.7459 3.5 16.2769 3.5 11.998Z\" />\r\n                    </svg>\r\n                </div>\r\n                <form [formGroup]=\"form\">\r\n                    <div class=\"input-search\">\r\n                        <input (keydown.enter)=\"handleDropdownFilter(); $event.stopPropagation()\" type=\"text\" matInput\r\n                            placeholder=\"Search Product\" formControlName=\"searchProductName\"\r\n                            (input)=\"clearIfEmpty($event)\">\r\n                    </div>\r\n                </form>\r\n                <!-- <div class=\"advfilter\">\r\n                    <button class=\"adv\" (click)=\"toggleSection();$event.stopPropagation();\">\r\n                        <mat-icon class=\"material-icons-round\" aria-hidden=\"false\"\r\n                            aria-label=\"tune\">tune\r\n                        </mat-icon>\r\n                        <span *ngIf=\"activeFiltersCount > 0\" class=\"custom-badge\">{{ activeFiltersCount }}</span>\r\n                    </button>\r\n                </div> -->\r\n            </div>\r\n            <div class=\"search-btn\">\r\n                <button mat-raised-button color=\"primary\"\r\n                    (click)=\"handleDropdownFilter();$event.stopPropagation();\">Search</button>\r\n            </div>\r\n        </div>\r\n        <!--Search End-->\r\n        <div class=\"product-selector\">\r\n            <div [hidden]=\"currentPage !== 'select-products'\">\r\n                <form [formGroup]=\"form\">\r\n                    <div class=\"product-selection-container\" *ngIf=\"isVisible && dropdownL1\">\r\n                        <div class=\"dropdown-selection\" *ngIf=\"dropdownL1\">\r\n                            <div [ngClass]=\"dropDownCount === 1 ? 'no-child': 'child'\">\r\n                                <div class=\"title-adv\">\r\n                                    <h5>Advanced Filters</h5>\r\n                                    <button class=\"clr-all-picker\" type=\"button\" (click)=\"resetTable()\"\r\n                                        *ngIf=\"activeFiltersCount > 0\">Clear All</button>\r\n                                </div>\r\n                                <div class=\"row\">\r\n                                    <div class=\"col-lg-6\">\r\n                                        <div class=\"example-full-width\">\r\n                                            <mat-form-field *ngIf=\"dropdownL1\" class=\"example-full-width\">\r\n                                                <mat-label>{{dropdownL1Label}}</mat-label>\r\n                                                <input type=\"text\" matInput formControlName=\"dropdownLevel1\"\r\n                                                    [matAutocomplete]=\"auto3\"\r\n                                                    (input)=\"onInputChange($event, 'category1')\">\r\n                                                <mat-autocomplete [displayWith]=\"displayFn\" #auto3=\"matAutocomplete\"\r\n                                                    (optionSelected)=\"onOptionSelected($event, 'category1')\">\r\n                                                    <mat-option *ngFor=\"let option of filteredDropdownOne\"\r\n                                                        [value]=\"option\">{{option.name}}</mat-option>\r\n                                                </mat-autocomplete>\r\n                                                <mat-icon matSuffix *ngIf=\"form.get('dropdownLevel1').value\"\r\n                                                    (click)=\"clearField('dropdownLevel1', 'category1', $event)\"\r\n                                                    class=\"iconclose\">close</mat-icon>\r\n                                                <mat-icon class=\"icondropdown\" matSuffix>arrow_drop_down</mat-icon>\r\n                                            </mat-form-field>\r\n                                        </div>\r\n                                    </div>\r\n                                    <div class=\"col-lg-6\">\r\n                                        <div class=\"example-full-width\">\r\n                                            <mat-form-field *ngIf=\"dropdownL2\" class=\"example-full-width\">\r\n                                                <mat-label>{{dropdownL2Label}}</mat-label>\r\n                                                <input type=\"text\" matInput formControlName=\"dropdownLevel2\"\r\n                                                    [matAutocomplete]=\"auto4\"\r\n                                                    (input)=\"onInputChange($event, 'category2')\">\r\n                                                <mat-autocomplete [displayWith]=\"displayFn\" #auto4=\"matAutocomplete\"\r\n                                                    (optionSelected)=\"onOptionSelected($event, 'category2')\">\r\n                                                    <mat-option *ngFor=\"let option of filteredDropdownTwo\"\r\n                                                        [value]=\"option\">{{option.name}}</mat-option>\r\n                                                </mat-autocomplete>\r\n                                                <mat-icon matSuffix *ngIf=\"form.get('dropdownLevel2').value\"\r\n                                                    (click)=\"clearField('dropdownLevel2', 'category2', $event)\"\r\n                                                    class=\"iconclose\">close</mat-icon>\r\n                                                <mat-icon class=\"icondropdown\" matSuffix\r\n                                                    [ngClass]=\"{'disabled-icon': isDisabled2}\">arrow_drop_down</mat-icon>\r\n                                            </mat-form-field>\r\n                                        </div>\r\n                                    </div>\r\n\r\n                                    <div class=\"col-lg-6\">\r\n                                        <div class=\"example-full-width\">\r\n                                            <mat-form-field *ngIf=\"dropdownL3\" class=\"example-full-width\">\r\n                                                <mat-label>{{dropdownL3Label}}</mat-label>\r\n                                                <input type=\"text\" matInput formControlName=\"dropdownLevel3\"\r\n                                                    [matAutocomplete]=\"auto5\"\r\n                                                    (input)=\"onInputChange($event, 'category3')\">\r\n                                                <mat-autocomplete [displayWith]=\"displayFn\" #auto5=\"matAutocomplete\"\r\n                                                    (optionSelected)=\"onOptionSelected($event, 'category3')\">\r\n                                                    <mat-option *ngFor=\"let option of filteredDropdownThree\"\r\n                                                        [value]=\"option\">{{option.name}}</mat-option>\r\n                                                </mat-autocomplete>\r\n                                                <mat-icon matSuffix *ngIf=\"form.get('dropdownLevel3').value\"\r\n                                                    (click)=\"clearField('dropdownLevel3', 'category3', $event)\"\r\n                                                    class=\"iconclose\">close</mat-icon>\r\n                                                <mat-icon class=\"icondropdown\" matSuffix\r\n                                                    [ngClass]=\"{'disable-icon': isDisabled3}\">arrow_drop_down</mat-icon>\r\n                                            </mat-form-field>\r\n                                        </div>\r\n                                    </div>\r\n                                    <div class=\"col-lg-6\">\r\n                                        <div class=\"example-full-width\">\r\n                                            <mat-form-field *ngIf=\"dropdownL4\" class=\"example-full-width\">\r\n                                                <mat-label>{{dropdownL4Label}}</mat-label>\r\n                                                <input type=\"text\" matInput formControlName=\"dropdownLevel4\"\r\n                                                    [matAutocomplete]=\"auto6\"\r\n                                                    (input)=\"onInputChange($event, 'category4')\">\r\n                                                <mat-autocomplete [displayWith]=\"displayFn\" #auto6=\"matAutocomplete\"\r\n                                                    (optionSelected)=\"onOptionSelected($event, 'category4')\">\r\n                                                    <mat-option *ngFor=\"let option of filteredDropdownFour\"\r\n                                                        [value]=\"option\">{{option.name}}</mat-option>\r\n                                                </mat-autocomplete>\r\n                                                <mat-icon matSuffix *ngIf=\"form.get('dropdownLevel4').value\"\r\n                                                    (click)=\"clearField('dropdownLevel4', 'category4', $event)\"\r\n                                                    class=\"iconclose\">close</mat-icon>\r\n                                                <mat-icon class=\"icondropdown\" matSuffix\r\n                                                    [ngClass]=\"{'disable-icon': isDisabled4}\">arrow_drop_down</mat-icon>\r\n                                            </mat-form-field>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                    <div #firstscrollableDiv id=\"firstscrollableDiv\" class=\"new-class first-div\"\r\n                        (scroll)=\"onScroll($event)\" [ngClass]=\"dataSource?.data?.length > 0 ? 'tbl-record-found': ''\">\r\n                        <table mat-table [dataSource]=\"dataSource\" class=\"mat-table abc\"\r\n                            *ngIf=\"dataSource && dataSource?.data?.length > 0; else noData\">\r\n                            <ng-container matColumnDef=\"select\">\r\n                                <th mat-header-cell *matHeaderCellDef>\r\n                                </th>\r\n                                <td mat-cell *matCellDef=\"let row\" class=\"checkbox-picker-pointer\">\r\n                                    <mat-checkbox color=\"primary\" (click)=\"$event.stopPropagation()\"\r\n                                        (change)=\"$event ? toggleSelection(row) : null\"\r\n                                        [checked]=\"selection.isSelected(row)\"></mat-checkbox>\r\n                                </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"productName\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{productTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element?.text}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"skuNumber\" *ngIf=\"showSkuNumber\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{skuTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element?.otherInformation0}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"inventory\" *ngIf=\"showInventory\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{inventoryTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element?.otherInformation1}} </td>\r\n                            </ng-container>\r\n                            <tr mat-header-row *matHeaderRowDef=\"addProductsColumns\"></tr>\r\n                            <tr mat-row *matRowDef=\"let row; columns: addProductsColumns;\"\r\n                                [class.selected]=\"selection.isSelected(row)\"></tr>\r\n                        </table>\r\n                        <ng-template #noData>\r\n                            <div class=\"no-data-message\">\r\n                                <!--No data found.-->\r\n                                <div class=\"pp-empty-state\">\r\n                                    <div class=\"img-empty-state\">\r\n                                        <img [src]=\"emptyImage\" alt=\"\">\r\n                                    </div>\r\n                                    <h3>No records to show at the moment</h3>\r\n                                    <p>Please modify your search criteria to find the desired result</p>\r\n                                </div>\r\n\r\n                            </div>\r\n                        </ng-template>\r\n                    </div>\r\n                    <div class=\"row-summary\" *ngIf=\"dataSource && dataSource?.data?.length > 0\">\r\n                        <div>Selected: <strong>{{ getSelectedRowsCount() }}</strong> </div>\r\n                        <div>Total Records: <strong>{{ getTotalRecords }}</strong></div>\r\n                    </div>\r\n                </form>\r\n            </div>\r\n\r\n            <div [hidden]=\"currentPage !== 'edit-save'\">\r\n                <form [formGroup]=\"form\">\r\n                    <div class=\"new-class\"\r\n                        [ngClass]=\"selectedDataSource && selectedDataSource.data.length > 0 ? 'added-products': ''\">\r\n                        <table mat-table [dataSource]=\"selectedDataSource\"\r\n                            *ngIf=\"selectedDataSource && selectedDataSource.data.length > 0; else showBlank\">\r\n                            <ng-container matColumnDef=\"delete\">\r\n                                <th mat-header-cell *matHeaderCellDef></th>\r\n                                <td mat-cell *matCellDef=\"let element\">\r\n                                    <button class=\"delete-btn-picker\" mat-button\r\n                                        (click)=\"$event.stopPropagation();removeRow($event, element)\">\r\n                                        <mat-icon aria-hidden=\"false\" aria-label=\"Remove row\">delete</mat-icon>\r\n                                    </button>\r\n                                </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"productName\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{productTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element.text}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"categoryName\" *ngIf=\"showCategory\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{categoryTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element.category}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"subCategory\" *ngIf=\"showSubcategory\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{subCategoryTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\"> {{element.subCategory}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"price\" *ngIf=\"showPrice\">\r\n                                <th mat-header-cell *matHeaderCellDef>{{priceTweek}}</th>\r\n                                <td mat-cell *matCellDef=\"let element; let i = index\">\r\n                                    <mat-form-field class=\"example-full-width select-price\">\r\n                                        <mat-label>{{priceTweek}}</mat-label>\r\n                                        <input matInput [formControl]=\"selectedProducts.at(i).get('price')\"\r\n                                            (input)=\"applyValidationRule($event, i, 'price')\"\r\n                                            (keypress)=\"restrictInput($event, '')\" (paste)=\"handlePaste($event, '')\">\r\n                                        <mat-error *ngIf=\"selectedProducts.at(i).get('price').hasError('required')\">\r\n                                            This field is required\r\n                                        </mat-error>\r\n                                    </mat-form-field>\r\n                                </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"Quantity\" *ngIf=\"showQuantity\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{quantityTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element; let i = index\">\r\n                                    <mat-form-field class=\"example-full-width\">\r\n                                        <mat-label>{{quantityTweek}}</mat-label>\r\n                                        <input matInput [formControl]=\"selectedProducts.at(i).get('quantity')\"\r\n                                            type=\"number\" min=\"1\" step=\"1\" (input)=\"onQuantityChange($event, i)\">\r\n                                        <mat-error *ngIf=\"selectedProducts.at(i).get('quantity').hasError('required')\">\r\n                                            This field is required\r\n                                        </mat-error>\r\n                                        <mat-error *ngIf=\"selectedProducts.at(i).get('quantity').hasError('min')\">\r\n                                            Quantity can not be less than 1\r\n                                        </mat-error>\r\n                                        <mat-error *ngIf=\"selectedProducts.at(i).get('quantity').hasError('pattern')\">\r\n                                            Decimals not allowed\r\n                                        </mat-error>\r\n                                    </mat-form-field>\r\n                                </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"skuNumber\" *ngIf=\"showSkuNumber\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{skuTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\">{{element?.otherInformation0}} </td>\r\n                            </ng-container>\r\n                            <ng-container matColumnDef=\"inventory\" *ngIf=\"showInventory\">\r\n                                <th mat-header-cell *matHeaderCellDef> {{inventoryTweek}} </th>\r\n                                <td mat-cell *matCellDef=\"let element\">{{element?.otherInformation1}} </td>\r\n                            </ng-container>\r\n\r\n                            <ng-container matColumnDef=\"cost\" *ngIf=\"showCost\">\r\n                                <th mat-header-cell *matHeaderCellDef>{{costTweek}}</th>\r\n                                <td mat-cell *matCellDef=\"let element; let i = index\">\r\n                                    <mat-form-field class=\"example-full-width select-cost\">\r\n                                        <mat-label>{{costTweek}}</mat-label>\r\n                                        <input matInput [formControl]=\"selectedProducts.at(i).get('otherInformation0')\"\r\n                                            (input)=\"applyValidationRule($event, i, 'otherInformation0')\"\r\n                                            (keypress)=\"restrictInput($event, 'otherInformation0')\" (paste)=\"handlePaste($event, 'otherInformation0')\">\r\n                                        <mat-error\r\n                                            *ngIf=\"selectedProducts.at(i).get('otherInformation0').hasError('required')\">\r\n                                            This field is required\r\n                                        </mat-error>\r\n                                    </mat-form-field>\r\n                                </td>\r\n                            </ng-container>\r\n                            <tr mat-header-row *matHeaderRowDef=\"showAllproductsColumns\"></tr>\r\n                            <tr mat-row *matRowDef=\"let row; columns: showAllproductsColumns;\"></tr>\r\n                        </table>\r\n                        <!-- <ng-template #showBlank>\r\n                            <div class=\"no-data-message\">\r\n                                No data found.\r\n                            </div>\r\n                        </ng-template> -->\r\n                        <ng-template #showBlank>\r\n                            <div class=\"no-data-message\">\r\n                                <div class=\"pp-empty-state\">\r\n                                    <div class=\"img-empty-state\">\r\n                                        <img [src]=\"emptyImage\" alt=\"\">\r\n                                    </div>\r\n                                    <h3>No Product added</h3>\r\n                                    <p>Please go back and start adding products</p>\r\n                                </div>\r\n                            </div>\r\n                        </ng-template>\r\n                    </div>\r\n                </form>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</mat-dialog-content>\r\n\r\n<mat-dialog-actions>\r\n    <div class=\"tabs-action-step-one\" *ngIf=\"currentPage === 'select-products'\">\r\n        <div>\r\n            <button mat-button (click)=\"goToNextPage()\" [disabled]=\"selection.selected.length ? false : true\"\r\n                color=\"primary\" mat-raised-button>Edit Selected Products</button>\r\n        </div>\r\n        <div>\r\n            <button mat-button (click)=\"goToNextPage()\" [disabled]=\"selection.selected.length ? false : true\"\r\n                color=\"primary\" mat-raised-button>Next</button>\r\n            <button mat-button [mat-dialog-close]=\"false\">Cancel</button>\r\n        </div>\r\n    </div>\r\n    <div class=\"tabs-action\" *ngIf=\"currentPage === 'edit-save'\">\r\n        <div class=\"tab-action-wrp\">\r\n            <button mat-button (click)=\"goToPreviousPage()\">Back</button>\r\n            <button mat-button type=\"submit\" color=\"primary\" mat-raised-button (click)=\"onSubmit()\">Add/Update</button>\r\n        </div>\r\n    </div>\r\n</mat-dialog-actions>", styles: [".mat-dialog-heading{margin:0 0 20px;position:relative;display:flex;align-items:center}:host ::ng-deep .mat-dialog-title{width:100%;padding:0 40px;margin:0;font-family:Inter,sans-serif;font-size:20px;color:#000;letter-spacing:normal;text-align:center}.mat-dialog-close mat-icon{color:#000}.example-full-width{width:100%}.mat-dialog-content p{margin-bottom:15px;font-family:Inter,sans-serif}.mat-dialog-content a{color:#2196f3}.mat-dialog-content a:hover{text-decoration:none}:host ::ng-deep .mat-dialog-actions{justify-content:flex-end}.mat-stroked-button.mat-primary{color:#0078d6}.OverlayDiv{position:fixed;display:block;width:100%;height:100%;top:0;left:0;right:0;bottom:0;background-color:#00000080;z-index:500;cursor:pointer}.OverlayDivContent{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);-ms-transform:translate(-50%,-50%)}.basic-search{display:flex;align-items:center;width:100%;margin-bottom:20px}.basic-search-wrp{border:1px solid #DADCE0;border-radius:5px;padding-left:15px;height:46px;display:flex;align-items:center;flex:1;margin-right:20px}.basic-search-wrp mat-icon{color:#0006}.basic-search-wrp form{width:100%}.search-icon{margin:0;display:flex}.search-icon mat-icon{color:#0006}.search-icon svg{width:24px;height:24px}.search-icon svg path{fill:#999}.input-search{margin:0;border:0;width:100%;padding:0 18px 0 10px}.input-search input{border:0;width:100%;font-size:15px;line-height:1}.input-search input:focus{border:0;outline:0 none}.advfilter{display:flex;margin-left:auto}.advfilter button{border:0;background-color:transparent;margin:0;padding:0;display:flex;position:relative}.advfilter button mat-icon{color:#0006}.advfilter button span{font-weight:600;font-size:10px;display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;justify-content:center;width:20px;height:20px;color:#fff!important;border-radius:50%;background-color:#f44336!important;position:absolute;top:-5px;right:-10px}.search-btn{margin-left:auto;min-width:137px}.search-btn button{box-shadow:none;height:46px;width:100%}.product-selection-container{border:1px solid #DADCE0;padding:20px;margin-bottom:20px;border-radius:5px}.product-selection-container h5{margin:0;color:#202020!important;font-size:16px!important}.pp-empty-state{max-width:420px;margin:0 auto;padding:50px 0;text-align:center}.img-empty-state{width:100%;margin-bottom:20px}.img-empty-state img{width:100%}.pp-empty-state h3{font-size:20px!important;margin:0 0 5px;padding:0;font-weight:400;color:#202020!important}.pp-empty-state p{font-size:15px!important;margin:0 0 20px!important;padding:0;color:#656667!important}.mat-dialog-content{max-height:none!important;overflow:hidden!important}.tbl-record-found{border-left:1px solid #0000001f;border-right:1px solid #0000001f;border-top:1px solid #0000001f;border-radius:5px 5px 0 0;min-height:104px;max-height:296px;overflow-y:auto;height:100%}.tbl-record-found table{border-collapse:separate}.tbl-record-found tr:last-child td{border-bottom:none}.tbl-record-found thead,.tbl-record-found th{position:-webkit-sticky;position:sticky;top:0;z-index:100;background-color:#fff}.tbl-record-found th.mat-header-cell:first-of-type,.tbl-record-found td.mat-cell:first-of-type,.tbl-record-found td.mat-footer-cell:first-of-type{width:70px}.row-summary{padding:15px 25px;border-left:1px solid #0000001f;border-top:1px solid #0000001f;display:flex;justify-content:space-between;border-right:1px solid #0000001f;border-bottom:1px solid #0000001f;border-radius:0 0 5px 5px}.row-summary div{margin-right:30px}button.delete-btn-picker{background:transparent!important;padding:0!important;min-width:auto!important}button.delete-btn-picker:hover{background:transparent!important}button.delete-btn-picker:hover .mat-button-focus-overlay{opacity:0!important}button.delete-btn-picker mat-icon{color:#f44336!important}mat-icon.icondropdown{line-height:1.6!important}mat-icon.iconclose{line-height:2!important;font-size:120%!important}.added-products{border:1px solid #0000001f;border-bottom:none;border-radius:5px;min-height:133px;max-height:444px;overflow-y:auto;height:100%}.added-products table{border-collapse:separate}.added-products thead,.added-products th{position:-webkit-sticky;position:sticky;top:0;z-index:100;background-color:#fff}.added-products th.mat-header-cell:first-of-type,.added-products td.mat-cell:first-of-type,.added-products td.mat-footer-cell:first-of-type{width:70px}.mat-header-cell{font-weight:500!important;color:#0000008a!important}.clr-all-picker{display:inline-block;border:0;outline:0 none;padding:0;background-color:transparent;color:#2196f3;margin-left:20px}.title-adv{display:flex;align-items:center;margin-bottom:15px}.tabs-action-step-one{display:flex;justify-content:space-between;width:100%}.tbl-record-found td.checkbox-picker-pointer{cursor:pointer!important}.tbl-record-found td{cursor:text!important}.basic-search form{margin:0}@media only screen and (max-width:1545px){.pp-empty-state h3{font-size:18px}.pp-empty-state p{font-size:14px}.pp-empty-state{padding:20px 0;max-width:392px}.product-selection-container h5{font-size:14px;margin-bottom:5px}.product-selection-container{padding:15px 20px}.basic-search{margin-bottom:20px}.mat-dialog-heading{margin-bottom:10px}.mat-dialog-title{font-size:18px}.mat-dialog-content{max-height:60vh!important;overflow:auto!important}}\n"] }]
        }], ctorParameters: function () {
        return [{ type: i1$1.MatDialogRef }, { type: undefined, decorators: [{
                        type: Inject,
                        args: [MAT_DIALOG_DATA]
                    }] }, { type: i2.FormBuilder }, { type: i1$1.MatDialog }, { type: CommonService }];
    }, propDecorators: { firstscrollableDiv: [{
                type: ViewChild,
                args: ['firstscrollableDiv']
            }] } });

const ELEMENT_DATA = [];
class MaterialDataGridComponent extends MaterialNestedComponent {
    constructor(element, ref, dialog, commonService) {
        super(element, ref);
        this.element = element;
        this.ref = ref;
        this.dialog = dialog;
        this.commonService = commonService;
        this.dataSource = new MatTableDataSource();
        this.dataSourceNew = ELEMENT_DATA;
        this.displayedColumnsNew = ['productName', 'category', 'subCategory', 'quantity', 'price', 'skuNumber', 'inventory', 'cost'];
        this.showNewProductPicker = false;
        this.showCategory = false;
        this.showSubcategory = false;
        this.showPrice = true;
        this.showQuantity = true;
        this.showSkuNumber = false;
        this.showInventory = false;
        this.hasInitialized = false;
        this.checkSubmissionStatus = false;
        this.showDataGrid = true;
        this.hasValueAndEditMode = false;
        this.dropdownL1 = false;
        this.dropdownL2 = false;
        this.dropdownL3 = false;
        this.dropdownL4 = false;
        this.showDialogQuantity = false;
        this.showDialogPrice = false;
        this.showDialogCategory = false;
        this.showDialogSkuNumber = false;
        this.showDialogInventory = false;
        this.showDialogSubCategory = false;
        this.dropdownL1Label = '';
        this.dropdownL2Label = '';
        this.dropdownL3Label = '';
        this.dropdownL4Label = '';
        this.isCustomerCountryFiltered = false;
        this.emptyArray = false;
        this.isPriceDisable = true;
        this.priceTweek = 'Price';
        this.skuTweek = 'SKU Number';
        this.costTweek = 'Your Target Cost';
        this.showCost = false;
        this.showDialogCost = false;
        this.quantityTweek = 'Quantity';
        this.productTweek = 'Product Name';
        this.categoryTweek = 'Category Name';
        this.subCategoryTweek = 'Sub Category';
        this.inventoryTweek = 'Inventory';
        this.alphanumeric = false;
        if (this.element && this.element.nativeElement && this.instance) {
            // Add custom classes to elements.
            if (this.instance.component.customClass) {
                this.element.nativeElement.classList.add(this.instance.component.customClass);
            }
        }
    }
    getColumnLabel(column) {
        return column.label || column.key;
    }
    getLabelName(newProductPickerFlag, attributeName) {
        if (newProductPickerFlag && Object.keys(newProductPickerFlag).some(key => key.toLocaleLowerCase() === attributeName.toLowerCase())) {
            // Find the key that matches attributeName case-insensitively
            const matchingKey = Object.keys(newProductPickerFlag).find(key => key.toLocaleLowerCase() === attributeName.toLowerCase());
            // Return the value of the matching key
            return newProductPickerFlag[matchingKey];
        }
        return '';
    }
    // ngOnInit(): void {
    // }
    setInstance(instance) {
        var _a, _b;
        const checkAttribute = (_a = instance === null || instance === void 0 ? void 0 : instance.component) === null || _a === void 0 ? void 0 : _a.attributes;
        this.showNewProductPicker = this.commonService.checkIsAttributeTrue(checkAttribute, "newproductpicker");
        this.showCategory = this.commonService.checkIsAttributeTrue(checkAttribute, "showCategory");
        this.showSubcategory = this.commonService.checkIsAttributeTrue(checkAttribute, "showSubcategory");
        this.showPrice = this.commonService.checkIsAttributeTrue(checkAttribute, "showPrice");
        this.showQuantity = this.commonService.checkIsAttributeTrue(checkAttribute, "showQuantity");
        this.showSkuNumber = this.commonService.checkIsAttributeTrue(checkAttribute, "showSkuNumber");
        this.showInventory = this.commonService.checkIsAttributeTrue(checkAttribute, "showInventory");
        this.showDialogQuantity = this.commonService.checkIsAttributeTrue(checkAttribute, "showDialogQuantity");
        this.showDialogPrice = this.commonService.checkIsAttributeTrue(checkAttribute, "showDialogPrice");
        this.showDialogCategory = this.commonService.checkIsAttributeTrue(checkAttribute, "showDialogCategory");
        this.showDialogSkuNumber = this.commonService.checkIsAttributeTrue(checkAttribute, "showDialogSkuNumber");
        this.showDialogInventory = this.commonService.checkIsAttributeTrue(checkAttribute, "showDialogInventory");
        this.showDialogSubCategory = this.commonService.checkIsAttributeTrue(checkAttribute, "showDialogSubCategory");
        this.isCustomerCountryFiltered = this.commonService.checkIsAttributeTrue(checkAttribute, "filterProductBasedOnCustomerCountry");
        this.isPriceDisable = this.commonService.checkIsAttributeTrue(checkAttribute, "isPriceDisable");
        this.showCost = this.commonService.checkIsAttributeTrue(checkAttribute, "showCost");
        this.showDialogCost = this.commonService.checkIsAttributeTrue(checkAttribute, "showDialogCost");
        this.alphanumeric = this.commonService.checkIsAttributeTrue(checkAttribute, "Alphanumeric");
        const l1 = this.getLabelName(checkAttribute, "dropdownL1");
        const l2 = this.getLabelName(checkAttribute, "dropdownL2");
        const l3 = this.getLabelName(checkAttribute, "dropdownL3");
        const l4 = this.getLabelName(checkAttribute, "dropdownL4");
        const price = this.getLabelName(checkAttribute, "priceLabel");
        const sku = this.getLabelName(checkAttribute, "skuLabel");
        const cost = this.getLabelName(checkAttribute, "costLabel");
        const quantity = this.getLabelName(checkAttribute, "quantityLabel");
        const product = this.getLabelName(checkAttribute, "productLabel");
        const category = this.getLabelName(checkAttribute, "categoryLabel");
        const subCategory = this.getLabelName(checkAttribute, "subCategoryLabel");
        const inventory = this.getLabelName(checkAttribute, "inventoryLabel");
        this.dropdownL1 = l1 !== null && l1 !== undefined && (typeof l1 === 'string' ? l1.trim() !== "" : l1 !== "") ? true : false;
        this.dropdownL2 = l2 !== null && l2 !== undefined && (typeof l2 === 'string' ? l2.trim() !== "" : l2 !== "") ? true : false;
        this.dropdownL3 = l3 !== null && l3 !== undefined && (typeof l3 === 'string' ? l3.trim() !== "" : l3 !== "") ? true : false;
        this.dropdownL4 = l4 !== null && l4 !== undefined && (typeof l4 === 'string' ? l4.trim() !== "" : l4 !== "") ? true : false;
        const priceTweek = price !== null && price !== undefined && (typeof price === 'string' ? price.trim() !== "" : price !== "") ? true : false;
        const skuTweek = sku !== null && sku !== undefined && (typeof sku === 'string' ? sku.trim() !== "" : sku !== "") ? true : false;
        const costTweek = cost !== null && cost !== undefined && (typeof cost === 'string' ? cost.trim() !== "" : cost !== "") ? true : false;
        const quantityTweek = quantity !== null && quantity !== undefined && (typeof quantity === 'string' ? quantity.trim() !== "" : quantity !== "") ? true : false;
        const productTweek = product !== null && product !== undefined && (typeof product === 'string' ? product.trim() !== "" : product !== "") ? true : false;
        const categoryTweek = category !== null && category !== undefined && (typeof category === 'string' ? category.trim() !== "" : category !== "") ? true : false;
        const subCategoryTweek = subCategory !== null && subCategory !== undefined && (typeof subCategory === 'string' ? subCategory.trim() !== "" : subCategory !== "") ? true : false;
        const inventoryTweek = inventory !== null && inventory !== undefined && (typeof inventory === 'string' ? inventory.trim() !== "" : inventory !== "") ? true : false;
        if (this.dropdownL1) {
            this.dropdownL1Label = l1;
        }
        if (this.dropdownL2) {
            this.dropdownL2Label = l2;
        }
        if (this.dropdownL3) {
            this.dropdownL3Label = l3;
        }
        if (this.dropdownL4) {
            this.dropdownL4Label = l4;
        }
        if (priceTweek) {
            this.priceTweek = price;
        }
        if (skuTweek) {
            this.skuTweek = sku;
        }
        if (costTweek) {
            this.costTweek = cost;
        }
        if (quantityTweek) {
            this.quantityTweek = quantity;
        }
        if (productTweek) {
            this.productTweek = product;
        }
        if (categoryTweek) {
            this.categoryTweek = category;
        }
        if (subCategoryTweek) {
            this.subCategoryTweek = subCategory;
        }
        if (inventoryTweek) {
            this.inventoryTweek = inventory;
        }
        this.checkSubmissionStatus = this.commonService.checkIsAttributeTrue(checkAttribute, 'isProductOptional');
        this.hasValueAndEditMode = ((checkAttribute === null || checkAttribute === void 0 ? void 0 : checkAttribute.hasValue) === 'yes') && ((checkAttribute === null || checkAttribute === void 0 ? void 0 : checkAttribute.editMode) === 'true');
        const retrievedObject = JSON.parse(localStorage.getItem('storageObject'));
        this.emptyArray = ((_b = retrievedObject === null || retrievedObject === void 0 ? void 0 : retrievedObject.dataSource) === null || _b === void 0 ? void 0 : _b.length) < 1 ? true : false;
        super.setInstance(instance);
        if (this.showNewProductPicker && !this.hasInitialized) {
            if (!this.showCategory) {
                this.removeColumn('category');
            }
            if (!this.showQuantity) {
                this.removeColumn('quantity');
            }
            if (!this.showPrice) {
                this.removeColumn('price');
            }
            if (!this.showSubcategory) {
                this.removeColumn('subCategory');
            }
            if (!this.showSkuNumber) {
                this.removeColumn('skuNumber');
            }
            if (!this.showInventory) {
                this.removeColumn('inventory');
            }
            if (!this.showCost) {
                this.removeColumn('cost');
            }
            this.dealId = this.getLabelName(checkAttribute, "dealId");
            localStorage.setItem("currentDealId", this.dealId);
            const storedData = localStorage.getItem(`showGridPickerProducts-${this.dealId}`) || '';
            const parsedData = JSON.parse(storedData || 'null');
            this.dataSourceNew = Array.isArray(parsedData) ? parsedData : [];
            // Set flag to true to prevent further execution
            this.hasInitialized = true;
        }
        else {
            this.dataSource.data = instance.dataValue;
        }
        //this.checkSubmissionStatus && 
        if (this.checkSubmissionStatus && !this.hasValueAndEditMode) {
            this.showDataGrid = false;
            this.dataSource.data = [];
        }
        else {
            this.showDataGrid = true;
            this.dataSource.data = instance.dataValue;
        }
        this.columns = {};
        this.displayedColumns = [];
        this.formColumns = [];
        instance.getColumns().map((column) => {
            this.formColumns.push(column.key);
            this.displayedColumns.push(column.key);
            this.columns[column.key] = column;
        });
        this.displayedColumns.push('__removeRow');
        if (this.instance.component.reorder) {
            this.displayedColumns.push('position');
        }
        instance.viewContainer = (component) => {
            let viewContainer;
            if (this.instance.component.disabled) {
                component.component.disabled = true;
            }
            this.viewContainers.forEach((container) => {
                const td = container.element.nativeElement.parentNode;
                if (component.rowIndex === parseInt(td.getAttribute('rowIndex'), 10) &&
                    component.component.key === td.getAttribute('component')) {
                    viewContainer = container;
                }
            });
            return viewContainer ? viewContainer : null;
        };
        if (this.element && this.element.nativeElement && this.instance) {
            // Add custom classes to elements.
            if (this.instance.component.customClass) {
                this.element.nativeElement.classList.add(this.instance.component.customClass);
            }
        }
    }
    removeColumn(columnName) {
        this.displayedColumnsNew = this.displayedColumnsNew.filter(column => column !== columnName);
    }
    addAnotherOld() {
        this.showDataGrid = true;
        this.checkRowsNumber();
        this.instance.addRow();
        if (this.dataSource.data.length < this.instance.rows.length) {
            this.dataSource.data.push({});
        }
        this.dataSource.data = [...this.dataSource.data];
    }
    addAnother() {
        this.showDataGrid = true;
        if (this.showNewProductPicker) {
            localStorage.setItem('currentDealId', this.dealId);
            const diologeRef = this.dialog.open(AddOnProductsComponent, {
                disableClose: true,
                width: '90%',
                maxWidth: '1000px',
                autoFocus: false,
                data: { dropdownsFlag: { showDialogInventory: this.showDialogInventory, showInventory: this.showInventory, inventoryTweek: this.inventoryTweek, quantityTweek: this.quantityTweek, subCategoryTweek: this.subCategoryTweek, categoryTweek: this.categoryTweek, productTweek: this.productTweek, costTweek: this.costTweek, skuTweek: this.skuTweek, priceTweek: this.priceTweek, showDialogCost: this.showDialogCost, showNewProductPicker: this.showNewProductPicker, showDialogSubCategory: this.showDialogSubCategory, showDialogSkuNumber: this.showDialogSkuNumber, showDialogCategory: this.showDialogCategory, showDialogPrice: this.showDialogPrice, showDialogQuantity: this.showDialogQuantity, dropdownL1: this.dropdownL1, dropdownL2: this.dropdownL2, dropdownL3: this.dropdownL3, dropdownL4: this.dropdownL4, dropdownL1Label: this.dropdownL1Label, dropdownL2Label: this.dropdownL2Label, dropdownL3Label: this.dropdownL3Label, dropdownL4Label: this.dropdownL4Label, checkSubmissionStatus: this.checkSubmissionStatus, priceDisable: this.isPriceDisable, alphanumeric: this.alphanumeric }, selectedProducts: this.dataSourceNew }
            })
                .afterClosed().subscribe(response => {
                var _a;
                this.instance.addRow();
                if ((_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? void 0 : _a.status) {
                    this.instance.addRow();
                    if (!this.showCategory) {
                        this.removeColumn('category');
                    }
                    if (!this.showQuantity) {
                        this.removeColumn('quantity');
                    }
                    if (!this.showPrice) {
                        this.removeColumn('price');
                    }
                    if (!this.showSubcategory) {
                        this.removeColumn('subCategory');
                    }
                    if (!this.showInventory) {
                        this.removeColumn('inventory');
                    }
                    const selectedProductsCopy = JSON.parse(JSON.stringify(response.data.items.selectedProducts));
                    localStorage.setItem(`selectedProducts-${this.dealId}`, JSON.stringify(this.addPriceProperty(selectedProductsCopy)));
                    this.dataSourceNew = response.data.items.selectedProducts;
                    this.showDataGrid = true;
                    this.instance.component.defaultValue = response.data.items.selectedProducts;
                }
            });
        }
        else {
            this.checkRowsNumber();
            this.instance.addRow();
            if (this.dataSource.data.length < this.instance.rows.length) {
                this.dataSource.data.push({});
            }
            this.dataSource.data = [...this.dataSource.data];
        }
    }
    addPriceProperty(selectedProducts) {
        return selectedProducts.map(products => {
            return Object.assign(Object.assign({}, products), { priceDisable: this.isPriceDisable ? true : false });
        });
    }
    checkRowsNumber() {
        while (this.instance.rows.length < this.dataSource.data.length) {
            this.instance.addRow();
        }
    }
    removeRow(index) {
        var _a, _b;
        let message = 'Are you sure you want to delete this product?';
        let showButton = true;
        if (((_b = (_a = this.dataSource) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.length) === 1 && !this.checkSubmissionStatus) {
            message = 'Please select at least one product.';
            showButton = false;
        }
        const dialogRef = this.dialog.open(ConfirmationDialogComponent, {
            disableClose: true,
            width: '90%',
            maxWidth: '400px',
            data: { message: message, buttonStatus: showButton }
        });
        dialogRef.afterClosed().subscribe(result => {
            var _a, _b;
            if (result) {
                if (((_b = (_a = this.dataSource) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.length) === 1 && this.checkSubmissionStatus) {
                    this.showDataGrid = false;
                }
                // User confirmed, proceed with deletion
                this.instance.removeRow(index);
                this.dataSource.data.splice(index, 1);
                this.dataSource.data = [...this.dataSource.data];
            }
        });
    }
    dropTable(event) {
        const prevIndex = this.dataSource.data.findIndex((d) => d === event.item.data);
        moveItemInArray(this.control.value, prevIndex, event.currentIndex);
        this.renderComponents();
    }
    renderComponents() {
        this.instance.getRows();
        this.instance.setValue(this.control.value || []);
    }
    setValue(value) {
        const gridLength = value ? value.length : 0;
        while (this.instance.rows.length < gridLength) {
            this.addAnother();
            this.instance.dataValue = value;
            this.instance.setValue(value);
        }
        if (!value && this.instance.component.clearOnHide) {
            this.dataSource = new MatTableDataSource(this.instance.defaultValue);
        }
        super.setValue(value);
    }
}
MaterialDataGridComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialDataGridComponent, deps: [{ token: i0.ElementRef }, { token: i0.ChangeDetectorRef }, { token: i1$1.MatDialog }, { token: CommonService }], target: i0.ɵɵFactoryTarget.Component });
MaterialDataGridComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialDataGridComponent, selector: "mat-formio-datagrid", usesInheritance: true, ngImport: i0, template: `
    <mat-formio-form-field [instance]="instance"
                           [componentTemplate]="componentTemplate"
                           [labelTemplate]="labelTemplate"
    ></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-card fxFill>
        <ng-container *ngIf="hasLabel">
          <ng-container *ngTemplateOutlet="labelTemplate"></ng-container>
        </ng-container>
        <mat-card-content>

  <!-- Message when no products are found -->
  <div class="no-data-message" *ngIf="!showDataGrid || (dataSource?.data?.length === 0 && !showNewProductPicker)">
    No products found. Please add some products.
  </div>

  <ng-container *ngIf="showDataGrid">
          <mat-card-actions
                  *ngIf="instance.hasAddButton() && (instance.component.addAnotherPosition === 'both' || instance.component.addAnotherPosition === 'top')">
            <button mat-raised-button color="primary" (click)="addAnother()">
              <mat-icon>add</mat-icon>
              {{instance.component.addAnother || 'Add Another'}}
            </button>
          </mat-card-actions>
<ng-container *ngIf="!showNewProductPicker">
<div class="mat-elevation-z8">
          <table
                  mat-table
                  [dataSource]="dataSource"
                  class="mat-elevation-z8"
                  fxFill
                  cdkDropList
                  [cdkDropListData]="dataSource"
                  (cdkDropListDropped)="dropTable($event)" *ngIf="!isCustomerCountryFiltered || !emptyArray; else noDataMessage">
                  
            
            <ng-container *ngFor="let column of formColumns" [matColumnDef]="column">
              <th mat-header-cell *matHeaderCellDef>{{ getColumnLabel(columns[column]) }}</th>
              <td mat-cell *matCellDef="let i = index;" [attr.rowIndex]="i" [attr.component]="column">
                <ng-template #components></ng-template>
              </td>
            </ng-container>
            <ng-container matColumnDef="__removeRow">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let i = index;">
                <button mat-button *ngIf="instance.hasRemoveButtons()" (click)="removeRow(i)">
                  <mat-icon aria-hidden="false" aria-label="Remove row">delete</mat-icon>
                </button>
              </td>
            </ng-container>
            <ng-container matColumnDef="position" *ngIf="instance.component.reorder">
              <th mat-header-cell *matHeaderCellDef> No.</th>
              <td mat-cell *matCellDef="let element">
                <mat-icon cdkDragHandle>reorder</mat-icon>
              </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <div *ngIf="instance?.component?.reorder">
              <tr class="datagrid-row" mat-row *matRowDef="let row; columns: displayedColumns;" cdkDrag
                  [cdkDragData]="row"></tr>
            </div>
            <div *ngIf="!instance?.component?.reorder">
              <tr class="datagrid-row" mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </div>
          </table>
          </div>
</ng-container>

<!-- Default Message -->
<ng-template #noDataMessage>
  <div class="no-data-message" *ngIf="isCustomerCountryFiltered && emptyArray && !showNewProductPicker">
    <span>
      No Product found with the selected Customer country.
    </span>
  </div>
</ng-template>

    <table mat-table [dataSource]="dataSourceNew" class="mat-table" *ngIf="dataSourceNew.length > 0 && showNewProductPicker; else noData" >
    <!-- Product Name Column -->
    <ng-container matColumnDef="productName">
      <th mat-header-cell *matHeaderCellDef> {{productTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element.text}} </td>
    </ng-container>

    <!-- Quantity Column -->
    <ng-container matColumnDef="quantity" *ngIf="showQuantity">
      <th mat-header-cell *matHeaderCellDef> {{ quantityTweek }} </th>
      <td mat-cell *matCellDef="let element"> {{element.quantity}} </td>
    </ng-container>

    <!-- Price Column -->
    <ng-container matColumnDef="price" *ngIf="showPrice">
      <th mat-header-cell *matHeaderCellDef> {{priceTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element.price}} </td>
    </ng-container>

     <!-- Category Column -->
    <ng-container matColumnDef="category" *ngIf="showCategory">
      <th mat-header-cell *matHeaderCellDef> {{categoryTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element.category}} </td>
    </ng-container>

        <!-- Category Column -->
    <ng-container matColumnDef="subCategory" *ngIf="showSubcategory">
      <th mat-header-cell *matHeaderCellDef> {{subCategoryTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element.subCategory}} </td>
    </ng-container>

        <!-- SKU Column -->
    <ng-container matColumnDef="skuNumber" *ngIf="showSkuNumber">
      <th mat-header-cell *matHeaderCellDef> {{skuTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element?.otherInformation0}} </td>
    </ng-container>

    <!-- Inventory Column -->
    <ng-container matColumnDef="inventory" *ngIf="showInventory">
      <th mat-header-cell *matHeaderCellDef> {{inventoryTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element?.otherInformation1}} </td>
    </ng-container>

    <!-- Your Target Cost -->
    <ng-container matColumnDef="cost" *ngIf="showCost">
      <th mat-header-cell *matHeaderCellDef> {{costTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element?.otherInformation0 || element?.otherInformation2}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumnsNew"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumnsNew;"></tr>
  </table>
  <ng-template #noData>
  <div class="no-data-message" *ngIf="showNewProductPicker">
   <ng-container *ngIf="showNewProductPicker && !isCustomerCountryFiltered">
      No products found. Please add some products.
    </ng-container>
     <ng-container *ngIf="showNewProductPicker && isCustomerCountryFiltered">
      No products found. Please add some products.
    </ng-container>
    </div>
  </ng-template>

</ng-container>

        </mat-card-content>
        <mat-card-actions *ngIf="instance.hasAddButton() && instance.component.addAnotherPosition !== 'top'">
          <button class = "picker2new-btn" mat-raised-button color="primary" (click)="addAnother()" *ngIf="!(isCustomerCountryFiltered && emptyArray && !showNewProductPicker)">
            <mat-icon>add</mat-icon>
            {{instance.component.addAnother || 'Add Another'}}
          </button>
        </mat-card-actions>
      </mat-card>
    </ng-template>

    <ng-template #labelTemplate>
      <mat-card-title>
        <span [instance]="instance" matFormioLabel></span>
      </mat-card-title>
    </ng-template>
  `, isInline: true, styles: [".datagrid-row{height:auto}.mat-table{width:100%}.mat-header-cell,.mat-cell{padding:8px}.no-data-message{display:flex;justify-content:center;align-items:center;text-align:center;padding:20px;margin:0 20px;font-size:18px;color:#888}::ng-deep .picker2new-btn.cdk-program-focused .mat-button-focus-overlay{opacity:0}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i3$2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i10$1.MatTable, selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i10$1.MatHeaderCellDef, selector: "[matHeaderCellDef]" }, { kind: "directive", type: i10$1.MatHeaderRowDef, selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i10$1.MatColumnDef, selector: "[matColumnDef]", inputs: ["sticky", "matColumnDef"] }, { kind: "directive", type: i10$1.MatCellDef, selector: "[matCellDef]" }, { kind: "directive", type: i10$1.MatRowDef, selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i10$1.MatHeaderCell, selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i10$1.MatCell, selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i10$1.MatHeaderRow, selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i10$1.MatRow, selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i5.FlexFillDirective, selector: "[fxFill], [fxFlexFill]" }, { kind: "component", type: i4.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "directive", type: i4.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { kind: "directive", type: i4.MatCardTitle, selector: "mat-card-title, [mat-card-title], [matCardTitle]" }, { kind: "directive", type: i4.MatCardActions, selector: "mat-card-actions", inputs: ["align"], exportAs: ["matCardActions"] }, { kind: "directive", type: i9.CdkDropList, selector: "[cdkDropList], cdk-drop-list", inputs: ["cdkDropListConnectedTo", "cdkDropListData", "cdkDropListOrientation", "id", "cdkDropListLockAxis", "cdkDropListDisabled", "cdkDropListSortingDisabled", "cdkDropListEnterPredicate", "cdkDropListSortPredicate", "cdkDropListAutoScrollDisabled", "cdkDropListAutoScrollStep"], outputs: ["cdkDropListDropped", "cdkDropListEntered", "cdkDropListExited", "cdkDropListSorted"], exportAs: ["cdkDropList"] }, { kind: "directive", type: i9.CdkDrag, selector: "[cdkDrag]", inputs: ["cdkDragData", "cdkDragLockAxis", "cdkDragRootElement", "cdkDragBoundary", "cdkDragStartDelay", "cdkDragFreeDragPosition", "cdkDragDisabled", "cdkDragConstrainPosition", "cdkDragPreviewClass", "cdkDragPreviewContainer"], outputs: ["cdkDragStarted", "cdkDragReleased", "cdkDragEnded", "cdkDragEntered", "cdkDragExited", "cdkDragDropped", "cdkDragMoved"], exportAs: ["cdkDrag"] }, { kind: "directive", type: i9.CdkDragHandle, selector: "[cdkDragHandle]", inputs: ["cdkDragHandleDisabled"] }, { kind: "component", type: FormioFormFieldComponent, selector: "mat-formio-form-field", inputs: ["labelTemplate", "renderTopLabel", "showDescription", "renderElementOnly", "instance", "componentTemplate"] }, { kind: "component", type: LabelComponent, selector: "span[matFormioLabel]", inputs: ["instance"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialDataGridComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-datagrid', template: `
    <mat-formio-form-field [instance]="instance"
                           [componentTemplate]="componentTemplate"
                           [labelTemplate]="labelTemplate"
    ></mat-formio-form-field>
    <ng-template #componentTemplate let-hasLabel>
      <mat-card fxFill>
        <ng-container *ngIf="hasLabel">
          <ng-container *ngTemplateOutlet="labelTemplate"></ng-container>
        </ng-container>
        <mat-card-content>

  <!-- Message when no products are found -->
  <div class="no-data-message" *ngIf="!showDataGrid || (dataSource?.data?.length === 0 && !showNewProductPicker)">
    No products found. Please add some products.
  </div>

  <ng-container *ngIf="showDataGrid">
          <mat-card-actions
                  *ngIf="instance.hasAddButton() && (instance.component.addAnotherPosition === 'both' || instance.component.addAnotherPosition === 'top')">
            <button mat-raised-button color="primary" (click)="addAnother()">
              <mat-icon>add</mat-icon>
              {{instance.component.addAnother || 'Add Another'}}
            </button>
          </mat-card-actions>
<ng-container *ngIf="!showNewProductPicker">
<div class="mat-elevation-z8">
          <table
                  mat-table
                  [dataSource]="dataSource"
                  class="mat-elevation-z8"
                  fxFill
                  cdkDropList
                  [cdkDropListData]="dataSource"
                  (cdkDropListDropped)="dropTable($event)" *ngIf="!isCustomerCountryFiltered || !emptyArray; else noDataMessage">
                  
            
            <ng-container *ngFor="let column of formColumns" [matColumnDef]="column">
              <th mat-header-cell *matHeaderCellDef>{{ getColumnLabel(columns[column]) }}</th>
              <td mat-cell *matCellDef="let i = index;" [attr.rowIndex]="i" [attr.component]="column">
                <ng-template #components></ng-template>
              </td>
            </ng-container>
            <ng-container matColumnDef="__removeRow">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let i = index;">
                <button mat-button *ngIf="instance.hasRemoveButtons()" (click)="removeRow(i)">
                  <mat-icon aria-hidden="false" aria-label="Remove row">delete</mat-icon>
                </button>
              </td>
            </ng-container>
            <ng-container matColumnDef="position" *ngIf="instance.component.reorder">
              <th mat-header-cell *matHeaderCellDef> No.</th>
              <td mat-cell *matCellDef="let element">
                <mat-icon cdkDragHandle>reorder</mat-icon>
              </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <div *ngIf="instance?.component?.reorder">
              <tr class="datagrid-row" mat-row *matRowDef="let row; columns: displayedColumns;" cdkDrag
                  [cdkDragData]="row"></tr>
            </div>
            <div *ngIf="!instance?.component?.reorder">
              <tr class="datagrid-row" mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </div>
          </table>
          </div>
</ng-container>

<!-- Default Message -->
<ng-template #noDataMessage>
  <div class="no-data-message" *ngIf="isCustomerCountryFiltered && emptyArray && !showNewProductPicker">
    <span>
      No Product found with the selected Customer country.
    </span>
  </div>
</ng-template>

    <table mat-table [dataSource]="dataSourceNew" class="mat-table" *ngIf="dataSourceNew.length > 0 && showNewProductPicker; else noData" >
    <!-- Product Name Column -->
    <ng-container matColumnDef="productName">
      <th mat-header-cell *matHeaderCellDef> {{productTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element.text}} </td>
    </ng-container>

    <!-- Quantity Column -->
    <ng-container matColumnDef="quantity" *ngIf="showQuantity">
      <th mat-header-cell *matHeaderCellDef> {{ quantityTweek }} </th>
      <td mat-cell *matCellDef="let element"> {{element.quantity}} </td>
    </ng-container>

    <!-- Price Column -->
    <ng-container matColumnDef="price" *ngIf="showPrice">
      <th mat-header-cell *matHeaderCellDef> {{priceTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element.price}} </td>
    </ng-container>

     <!-- Category Column -->
    <ng-container matColumnDef="category" *ngIf="showCategory">
      <th mat-header-cell *matHeaderCellDef> {{categoryTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element.category}} </td>
    </ng-container>

        <!-- Category Column -->
    <ng-container matColumnDef="subCategory" *ngIf="showSubcategory">
      <th mat-header-cell *matHeaderCellDef> {{subCategoryTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element.subCategory}} </td>
    </ng-container>

        <!-- SKU Column -->
    <ng-container matColumnDef="skuNumber" *ngIf="showSkuNumber">
      <th mat-header-cell *matHeaderCellDef> {{skuTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element?.otherInformation0}} </td>
    </ng-container>

    <!-- Inventory Column -->
    <ng-container matColumnDef="inventory" *ngIf="showInventory">
      <th mat-header-cell *matHeaderCellDef> {{inventoryTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element?.otherInformation1}} </td>
    </ng-container>

    <!-- Your Target Cost -->
    <ng-container matColumnDef="cost" *ngIf="showCost">
      <th mat-header-cell *matHeaderCellDef> {{costTweek}} </th>
      <td mat-cell *matCellDef="let element"> {{element?.otherInformation0 || element?.otherInformation2}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumnsNew"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumnsNew;"></tr>
  </table>
  <ng-template #noData>
  <div class="no-data-message" *ngIf="showNewProductPicker">
   <ng-container *ngIf="showNewProductPicker && !isCustomerCountryFiltered">
      No products found. Please add some products.
    </ng-container>
     <ng-container *ngIf="showNewProductPicker && isCustomerCountryFiltered">
      No products found. Please add some products.
    </ng-container>
    </div>
  </ng-template>

</ng-container>

        </mat-card-content>
        <mat-card-actions *ngIf="instance.hasAddButton() && instance.component.addAnotherPosition !== 'top'">
          <button class = "picker2new-btn" mat-raised-button color="primary" (click)="addAnother()" *ngIf="!(isCustomerCountryFiltered && emptyArray && !showNewProductPicker)">
            <mat-icon>add</mat-icon>
            {{instance.component.addAnother || 'Add Another'}}
          </button>
        </mat-card-actions>
      </mat-card>
    </ng-template>

    <ng-template #labelTemplate>
      <mat-card-title>
        <span [instance]="instance" matFormioLabel></span>
      </mat-card-title>
    </ng-template>
  `, styles: [".datagrid-row{height:auto}.mat-table{width:100%}.mat-header-cell,.mat-cell{padding:8px}.no-data-message{display:flex;justify-content:center;align-items:center;text-align:center;padding:20px;margin:0 20px;font-size:18px;color:#888}::ng-deep .picker2new-btn.cdk-program-focused .mat-button-focus-overlay{opacity:0}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.ChangeDetectorRef }, { type: i1$1.MatDialog }, { type: CommonService }]; } });
DataGridComponent.MaterialComponent = MaterialDataGridComponent;

var EditRowState;
(function (EditRowState) {
    EditRowState["NEW"] = "new";
    EditRowState["EDITING"] = "editing";
    EditRowState["SAVED"] = "saved";
    EditRowState["REMOVED"] = "removed";
    EditRowState["DRAFT"] = "draft";
})(EditRowState || (EditRowState = {}));
;
/* tslint:disable no-bitwise only-arrow-functions */
const hashCode = function (str) {
    let hash = 0;
    let i = 0;
    let chr;
    str = str.replace(/\s/g, '');
    if (str.length === 0) {
        return hash;
    }
    for (i = 0; i < str.length; i++) {
        chr = str.charCodeAt(i);
        hash = ((hash << 5) - hash) + chr;
        hash |= 0; // Convert to 32bit integer
    }
    return hash;
};
/* tslint:enable no-bitwise only-arrow-functions */
// Do nothing to createRowComponents, let mat-formio handle it.
/* tslint:disable only-arrow-functions */
EditGridComponent.prototype.createRowComponents = function () {
    return [];
};
const checkRow = EditGridComponent.prototype.checkRow;
EditGridComponent.prototype.checkRow = function (data, editRow, flags = {}) {
    if (flags.checkRow) {
        return checkRow.call(this, data, editRow, flags);
    }
    else {
        return true;
    }
};
/* tslint:enable only-arrow-functions */
const DEFAULT_HEADER_TEMPLATES = [
    hashCode(EditGridComponent.defaultHeaderTemplate),
    hashCode(`
  <div class="row">
    {% (components || []).forEach(function(component) { %}
      <div class="col-sm-2">{{ component.label }}</div>
    {% }) %}
  </div>`)
];
const DEFAULT_ROW_TEMPLATES = [
    hashCode(EditGridComponent.defaultRowTemplate),
    hashCode(`<div class="row">
  {% util.eachComponent(components, function(component) { %}
    <div class="col-sm-2">
      {{ getView(component, row[component.key]) }}
    </div>
  {% }) %}
  {% if (!instance.options.readOnly) { %}
    <div class="col-sm-2">
      <div class="btn-group pull-right">
        <button class="btn btn-default btn-sm editRow">Edit</button>
        <button class="btn btn-danger btn-sm removeRow">Delete</button>
      </div>
    </div>
  {% } %}
</div>`)
];
class MaterialEditGridComponent extends MaterialNestedComponent {
    constructor() {
        super(...arguments);
        this.columns = {};
        this.colWidth = 0;
        this.valid = true;
        this.RowStates = EditRowState;
    }
    getRowTemplate(content) {
        return `<mat-list style="display: flex;">
      {% (components || []).forEach(function(component) { %}
        {% if (!component.hasOwnProperty('tableView') || component.tableView) { %}
          <mat-list-item style="width: {{ colWidth }}%; margin: 0 0.8rem">${content}</mat-list-item>
        {% } %}
      {% }) %}
    </mat-list>`;
    }
    validate(index) {
        if (!this.forms) {
            return;
        }
        const forms = this.forms.toArray();
        if (!forms[index]) {
            return;
        }
        const formioComponent = forms[index];
        const { data } = formioComponent.formio.submission;
        const isInvalid = Object.keys(data).some(value => isString(data[value]) && data[value].length === 0);
        if (isInvalid) {
            this.valid = false;
        }
        else {
            this.valid = true;
        }
    }
    setInstance(instance) {
        if (instance.component.templates.header &&
            (DEFAULT_HEADER_TEMPLATES.indexOf(hashCode(instance.component.templates.header)) !== -1)) {
            instance.component.templates.header = this.getRowTemplate('{{ component.label }}');
        }
        if (instance.component.templates.row &&
            (DEFAULT_ROW_TEMPLATES.indexOf(hashCode(instance.component.templates.row)) !== -1)) {
            instance.component.templates.row = this.getRowTemplate('{{ getView(component, row[component.key]) }}');
        }
        this.displayedColumns = instance.component.components.map((comp) => {
            if (comp.hasOwnProperty('tableView') && !comp.tableView) {
                return false;
            }
            this.columns[comp.key] = comp;
            return comp.key;
        }).filter(name => !!name);
        const dataValue = instance.dataValue || [];
        this.colWidth = instance.component.components.length ? Math.floor(100 / instance.component.components.length) : 100;
        if (instance.component.templates && instance.component.templates.header) {
            this.header = instance.renderString(instance.component.templates.header, {
                components: instance.component.components,
                value: dataValue,
                colWidth: this.colWidth
            });
        }
        if (instance.component.templates && instance.component.templates.footer) {
            this.footer = instance.renderString(instance.component.templates.footer, {
                components: instance.component.components,
                value: dataValue,
                colWidth: this.colWidth
            });
        }
        setTimeout(() => {
            this.renderTemplate(this.headerElement, this.header);
            this.renderTemplate(this.footerElement, this.footer);
        }, 0);
        super.setInstance(instance);
    }
    addAnother() {
        const row = this.instance.addRow();
    }
    editRow(row, index) {
        const { state } = row;
        const { NEW, REMOVED } = this.RowStates;
        if (state === NEW || state === REMOVED) {
            return;
        }
        this.instance.editRow(index);
        const forms = this.forms.toArray();
        if (forms[index]) {
            forms[index].formio.submission = { data: JSON.parse(JSON.stringify(row.data)) };
        }
    }
    /**
     * Updates the row template.
     *
     * @param row
     * @param index
     */
    updateRowTemplate(rowElement, index, comps) {
        const self = this;
        const editRow = Object.assign({}, this.instance.editRows[index]);
        if (editRow.state !== this.RowStates.NEW) {
            this.renderTemplate(rowElement, this.instance.renderString(this.instance.component.templates.row, {
                row: this.instance.dataValue[index] || {},
                data: this.instance.data,
                rowIndex: index,
                colWidth: this.colWidth,
                components: this.instance.component.components,
                getView: function getView(component, data) {
                    if (!comps[component.type]) {
                        comps[component.type] = Components$2.create(component, {}, {}, true);
                    }
                    return comps[component.type] ? comps[component.type].getView(data) : '';
                }
            }));
        }
    }
    /**
     * Saves a row.
     *
     * @param row - The edit grid row.
     * @param index - The index for this row.
     */
    saveRow(row, index) {
        const forms = this.forms.toArray();
        if (forms[index]) {
            const formioComponent = forms[index];
            row.data = JSON.parse(JSON.stringify(formioComponent.formio.submission.data));
            this.instance.saveRow(index);
            const rows = this.rowElements.toArray();
            if (rows && rows[index]) {
                this.updateRowTemplate(rows[index], index, {});
            }
        }
    }
    cancelRow(index) {
        this.instance.cancelRow(index);
        this.valid = true;
    }
    renderTemplate(element, template) {
        if (!element || !element.nativeElement) {
            return;
        }
        element.nativeElement.innerHTML = template;
    }
    ngAfterViewInit() {
        this.rowElements.changes.subscribe((rows) => {
            const rowCache = {};
            rows.forEach((row, index) => this.updateRowTemplate(row, index, rowCache));
        });
    }
}
MaterialEditGridComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialEditGridComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialEditGridComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialEditGridComponent, selector: "mat-formio-editgrid", viewQueries: [{ propertyName: "headerElement", first: true, predicate: ["header"], descendants: true }, { propertyName: "footerElement", first: true, predicate: ["footer"], descendants: true }, { propertyName: "rowElements", predicate: ["rows"], descendants: true }, { propertyName: "forms", predicate: ["forms"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<!-- <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\" [labelTemplate]=\"labelTemplate\">\r\n</mat-formio-form-field>\r\n<ng-template #componentTemplate let-hasLabel>\r\n\r\n  <span fxLayout=\"column\" fxLayoutGap=\"1em\" fxFill>\r\n    <ng-container *ngIf=\"hasLabel\">\r\n      <ng-container *ngTemplateOutlet=\"labelTemplate\"></ng-container>\r\n    </ng-container>\r\n    <mat-accordion>\r\n      <mat-expansion-panel *ngIf=\"header\" disabled=\"true\">\r\n        <mat-expansion-panel-header>\r\n          <span #header fxFill></span>\r\n        </mat-expansion-panel-header>\r\n      </mat-expansion-panel>\r\n\r\n      <mat-expansion-panel *ngFor=\"let row of instance.editRows; index as i;\" [expanded]=\"instance.isOpen(row)\">\r\n        <mat-expansion-panel-header (click)=\"editRow(row, i)\">\r\n          <span *ngIf=\"row.state !== RowStates.NEW\" #rows fxFill></span>\r\n        </mat-expansion-panel-header>\r\n\r\n        <mat-formio [form]=\"instance.component\" #forms (change)=\"validate(i)\"></mat-formio>\r\n\r\n        <span fxLayout=\"row\" fxLayoutGap=\"1em\">\r\n          <button mat-raised-button color=\"primary\" [disabled]=\"!valid\" (click)=\"saveRow(row, i)\">Save</button>\r\n          <button mat-raised-button color=\"secondary\" (click)=\"cancelRow(i)\">Cancel</button>\r\n          <button mat-raised-button color=\"warn\" (click)=\"instance.removeRow(i)\" class=\"delete-button\">\r\n            <mat-icon>delete</mat-icon>\r\n          </button>\r\n        </span>\r\n      </mat-expansion-panel>\r\n\r\n      <mat-expansion-panel *ngIf=\"footer\" disabled=\"true\">\r\n        <mat-expansion-panel-header>\r\n          <span #footer></span>\r\n        </mat-expansion-panel-header>\r\n      </mat-expansion-panel>\r\n    </mat-accordion>\r\n\r\n    <span fxFill=\"none\" *ngIf=\"instance.hasAddButton()\">\r\n      <button mat-raised-button color=\"primary\" (click)=\"addAnother()\">\r\n        <mat-icon>add</mat-icon> Add Another\r\n      </button>\r\n    </span>\r\n  </span>\r\n</ng-template>\r\n\r\n<ng-template #labelTemplate>\r\n  <mat-card-title>\r\n    <span [instance]=\"instance\" matFormioLabel></span>\r\n  </mat-card-title>\r\n</ng-template> -->\r\n", styles: [":host .delete-button{margin-left:auto;order:2}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialEditGridComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-editgrid', template: "<!-- <mat-formio-form-field [instance]=\"instance\" [componentTemplate]=\"componentTemplate\" [labelTemplate]=\"labelTemplate\">\r\n</mat-formio-form-field>\r\n<ng-template #componentTemplate let-hasLabel>\r\n\r\n  <span fxLayout=\"column\" fxLayoutGap=\"1em\" fxFill>\r\n    <ng-container *ngIf=\"hasLabel\">\r\n      <ng-container *ngTemplateOutlet=\"labelTemplate\"></ng-container>\r\n    </ng-container>\r\n    <mat-accordion>\r\n      <mat-expansion-panel *ngIf=\"header\" disabled=\"true\">\r\n        <mat-expansion-panel-header>\r\n          <span #header fxFill></span>\r\n        </mat-expansion-panel-header>\r\n      </mat-expansion-panel>\r\n\r\n      <mat-expansion-panel *ngFor=\"let row of instance.editRows; index as i;\" [expanded]=\"instance.isOpen(row)\">\r\n        <mat-expansion-panel-header (click)=\"editRow(row, i)\">\r\n          <span *ngIf=\"row.state !== RowStates.NEW\" #rows fxFill></span>\r\n        </mat-expansion-panel-header>\r\n\r\n        <mat-formio [form]=\"instance.component\" #forms (change)=\"validate(i)\"></mat-formio>\r\n\r\n        <span fxLayout=\"row\" fxLayoutGap=\"1em\">\r\n          <button mat-raised-button color=\"primary\" [disabled]=\"!valid\" (click)=\"saveRow(row, i)\">Save</button>\r\n          <button mat-raised-button color=\"secondary\" (click)=\"cancelRow(i)\">Cancel</button>\r\n          <button mat-raised-button color=\"warn\" (click)=\"instance.removeRow(i)\" class=\"delete-button\">\r\n            <mat-icon>delete</mat-icon>\r\n          </button>\r\n        </span>\r\n      </mat-expansion-panel>\r\n\r\n      <mat-expansion-panel *ngIf=\"footer\" disabled=\"true\">\r\n        <mat-expansion-panel-header>\r\n          <span #footer></span>\r\n        </mat-expansion-panel-header>\r\n      </mat-expansion-panel>\r\n    </mat-accordion>\r\n\r\n    <span fxFill=\"none\" *ngIf=\"instance.hasAddButton()\">\r\n      <button mat-raised-button color=\"primary\" (click)=\"addAnother()\">\r\n        <mat-icon>add</mat-icon> Add Another\r\n      </button>\r\n    </span>\r\n  </span>\r\n</ng-template>\r\n\r\n<ng-template #labelTemplate>\r\n  <mat-card-title>\r\n    <span [instance]=\"instance\" matFormioLabel></span>\r\n  </mat-card-title>\r\n</ng-template> -->\r\n", styles: [":host .delete-button{margin-left:auto;order:2}\n"] }]
        }], propDecorators: { headerElement: [{
                type: ViewChild,
                args: ['header']
            }], footerElement: [{
                type: ViewChild,
                args: ['footer']
            }], rowElements: [{
                type: ViewChildren,
                args: ['rows']
            }], forms: [{
                type: ViewChildren,
                args: ['forms']
            }] } });
EditGridComponent.MaterialComponent = MaterialEditGridComponent;

class MaterialTableComponent extends MaterialNestedComponent {
    setInstance(instance) {
        super.setInstance(instance);
        instance.viewContainer = (component) => {
            return this.viewContainers ?
                this.viewContainers[(component.tableRow * this.instance.component.numCols) + component.tableColumn] :
                null;
        };
    }
    getTableColClasses() {
        if (!this.instance) {
            return;
        }
        const { condensed, cellAlignment } = this.instance.component;
        return Object.assign({ 'is-condensed': condensed }, (cellAlignment && { [cellAlignment]: true }));
    }
}
MaterialTableComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTableComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialTableComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialTableComponent, selector: "mat-formio-table", usesInheritance: true, ngImport: i0, template: `
      <table class="mat-table" style="width: 100%;" [ngClass]="{'is-bordered' : instance.component.bordered}">
        <thead>
        <tr class="mat-header-row">
          <th *ngFor="let header of instance.component.header"
              class="mat-header-cell"
          >
            {{ instance.t(header) }}
          </th>
        </tr>
        </thead>

        <tbody>
        <tr *ngFor="let row of instance.table; let i = index"
            role="row"
            class="mat-row"
            [ngClass]="{
                'is-hover': instance.component.hover,
                'is-striped': instance.component.striped && i % 2 === 0
              }"
        >
          <td *ngFor="let col of row"
              role="gridcell"
              class="mat-cell"
              [ngClass]="getTableColClasses()"
          >
            <ng-template #components></ng-template>
          </td>
        </tr>
        </tbody>
      </table>
  `, isInline: true, styles: [".mat-table.is-bordered{border:1px solid #ddd}.mat-row.is-hover:hover{background-color:#f5f5f5}.mat-cell{padding:8px}.mat-cell.is-condensed{padding:3px}.mat-row.is-striped{background-color:#eee}.mat-cell.center{text-align:center}.mat-cell.right{text-align:right}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i6.DefaultClassDirective, selector: "  [ngClass], [ngClass.xs], [ngClass.sm], [ngClass.md], [ngClass.lg], [ngClass.xl],  [ngClass.lt-sm], [ngClass.lt-md], [ngClass.lt-lg], [ngClass.lt-xl],  [ngClass.gt-xs], [ngClass.gt-sm], [ngClass.gt-md], [ngClass.gt-lg]", inputs: ["ngClass", "ngClass.xs", "ngClass.sm", "ngClass.md", "ngClass.lg", "ngClass.xl", "ngClass.lt-sm", "ngClass.lt-md", "ngClass.lt-lg", "ngClass.lt-xl", "ngClass.gt-xs", "ngClass.gt-sm", "ngClass.gt-md", "ngClass.gt-lg"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-table', template: `
      <table class="mat-table" style="width: 100%;" [ngClass]="{'is-bordered' : instance.component.bordered}">
        <thead>
        <tr class="mat-header-row">
          <th *ngFor="let header of instance.component.header"
              class="mat-header-cell"
          >
            {{ instance.t(header) }}
          </th>
        </tr>
        </thead>

        <tbody>
        <tr *ngFor="let row of instance.table; let i = index"
            role="row"
            class="mat-row"
            [ngClass]="{
                'is-hover': instance.component.hover,
                'is-striped': instance.component.striped && i % 2 === 0
              }"
        >
          <td *ngFor="let col of row"
              role="gridcell"
              class="mat-cell"
              [ngClass]="getTableColClasses()"
          >
            <ng-template #components></ng-template>
          </td>
        </tr>
        </tbody>
      </table>
  `, styles: [".mat-table.is-bordered{border:1px solid #ddd}.mat-row.is-hover:hover{background-color:#f5f5f5}.mat-cell{padding:8px}.mat-cell.is-condensed{padding:3px}.mat-row.is-striped{background-color:#eee}.mat-cell.center{text-align:center}.mat-cell.right{text-align:right}\n"] }]
        }] });
TableComponent.MaterialComponent = MaterialTableComponent;

class MaterialWizardComponent extends MaterialNestedComponent {
    constructor() {
        super(...arguments);
        this.isLinear = true;
        this.prevNumOfPages = 0;
    }
    setInstance(instance) {
        this.isLinear = (instance.options &&
            instance.options.breadcrumbSettings &&
            instance.options.breadcrumbSettings.clickable) ? false : true;
        this.updatePages(instance);
        instance.on('pagesChanged', () => this.updatePages());
        super.setInstance(instance);
    }
    updatePages(instance = this.instance) {
        if (this.prevNumOfPages !== instance.pages.length) {
            instance.pages.forEach((page, pageIndex) => {
                page.viewContainer = () => {
                    return this.viewContainers ? this.viewContainers[pageIndex] : null;
                };
            });
            this.prevNumOfPages = instance.pages.length;
        }
    }
    resetWizard() {
        this.instance.cancel();
        this.stepper.reset();
    }
    nextPage() {
        this.instance.nextPage().then(() => this.stepper.next());
    }
    prevPage() {
        this.instance.prevPage().then(() => this.stepper.previous());
    }
    submit() {
        this.instance.submit();
    }
    renderComponents() {
        if (this.instance.renderComponents && this.instance.pages) {
            this.instance.renderComponents(this.instance.pages.reduce((comps, page) => {
                return comps.concat(page.components);
            }, []));
        }
    }
}
MaterialWizardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialWizardComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
MaterialWizardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: MaterialWizardComponent, selector: "mat-formio-wizard", viewQueries: [{ propertyName: "stepper", first: true, predicate: ["stepper"], descendants: true, static: true }], usesInheritance: true, ngImport: i0, template: `
    <mat-horizontal-stepper [linear]="isLinear" #stepper>
      <mat-step *ngFor="let page of instance.pages" [label]="page.component.title">
        <ng-template #components></ng-template>
        <div class="navigation-button-row">
          <button *ngIf="instance.hasButton('cancel')" mat-raised-button (click)="resetWizard()">Cancel</button>
          <button *ngIf="instance.hasButton('previous')" mat-raised-button color="primary" (click)="prevPage()">Previous</button>
          <button *ngIf="instance.hasButton('next')" mat-raised-button color="primary" (click)="nextPage()">Next</button>
          <button *ngIf="instance.hasButton('submit')" mat-raised-button color="primary" (click)="submit()">Submit</button>
        </div>
      </mat-step>
    </mat-horizontal-stepper>`, isInline: true, styles: [":host .navigation-button-row{margin-top:8px}\n", ":host .navigation-button-row button{margin-right:8px}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3$2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i3$3.MatStep, selector: "mat-step", inputs: ["color"], exportAs: ["matStep"] }, { kind: "component", type: i3$3.MatStepper, selector: "mat-stepper, mat-vertical-stepper, mat-horizontal-stepper, [matStepper]", inputs: ["selectedIndex", "disableRipple", "color", "labelPosition", "headerPosition", "animationDuration"], outputs: ["animationDone"], exportAs: ["matStepper", "matVerticalStepper", "matHorizontalStepper"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: MaterialWizardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio-wizard', template: `
    <mat-horizontal-stepper [linear]="isLinear" #stepper>
      <mat-step *ngFor="let page of instance.pages" [label]="page.component.title">
        <ng-template #components></ng-template>
        <div class="navigation-button-row">
          <button *ngIf="instance.hasButton('cancel')" mat-raised-button (click)="resetWizard()">Cancel</button>
          <button *ngIf="instance.hasButton('previous')" mat-raised-button color="primary" (click)="prevPage()">Previous</button>
          <button *ngIf="instance.hasButton('next')" mat-raised-button color="primary" (click)="nextPage()">Next</button>
          <button *ngIf="instance.hasButton('submit')" mat-raised-button color="primary" (click)="submit()">Submit</button>
        </div>
      </mat-step>
    </mat-horizontal-stepper>`, styles: [":host .navigation-button-row{margin-top:8px}\n", ":host .navigation-button-row button{margin-right:8px}\n"] }]
        }], propDecorators: { stepper: [{
                type: ViewChild,
                args: ['stepper', { static: true }]
            }] } });
Wizard.MaterialComponent = MaterialWizardComponent;
Displays.addDisplay('wizard', Wizard);

const Components$1 = require('formiojs/components/Components').default;
// Set the components.
const components = {
    textfield: TextFieldComponent,
    password: PasswordComponent,
    url: UrlComponent,
    checkbox: CheckboxComponent,
    email: EmailComponent,
    phoneNumber: PhoneNumberComponent,
    number: NumberComponent,
    currency: CurrencyComponent,
    day: DayComponent,
    hidden: HiddenComponent,
    htmlelement: HtmlComponent,
    tags: TagsComponent,
    textarea: TextAreaComponent,
    button: ButtonComponent,
    datetime: DateTimeComponent,
    panel: PanelComponent,
    columns: ColumnsComponent,
    tabs: TabsComponent,
    table: TableComponent,
    well: WellComponent,
    fieldset: FieldsetComponent,
    content: ContentComponent,
    signature: SignatureComponent,
    survey: SurveyComponent,
    selectboxes: SelectBoxesComponent,
    radio: RadioComponent,
    select: SelectComponent,
    container: ContainerComponent,
    datagrid: DataGridComponent,
    editgrid: EditGridComponent,
    unknown: FormioComponent$1,
    time: TimeComponent,
    wizard: Wizard
};
function getComponents() {
    for (const type of Object.keys(components)) {
        const CompClass = components[type];
        CompClass.prototype.render = (function () {
            if (this.materialComponent) {
                return this.materialComponent.renderComponents();
            }
            const viewContainer = this.parent ? this.parent.viewContainer(this) : this.viewContainer(this);
            if (!viewContainer) {
                return;
            }
            const factory = this.options.viewResolver.resolveComponentFactory(CompClass.MaterialComponent);
            const componentRef = viewContainer.createComponent(factory);
            componentRef.instance.setInstance(this);
        });
        const setValue = CompClass.prototype.setValue;
        CompClass.prototype.setValue = (function (...args) {
            if (this.materialComponent) {
                this.materialComponent.setValue(args[0]);
            }
            return setValue.call(this, ...args);
        });
        components[type] = CompClass;
    }
    return components;
}
function registerComponent(name, CompClass) {
    class DummyComponent extends FormioComponent$2 {
    }
    ;
    const formIOComp = DummyComponent;
    formIOComp.MaterialComponent = CompClass;
    formIOComp.prototype.render = (function () {
        if (this.materialComponent) {
            return this.materialComponent;
        }
        const viewContainer = this.parent ? this.parent.viewContainer(this) : this.viewContainer(this);
        if (!viewContainer) {
            return;
        }
        const factory = this.options.viewResolver.resolveComponentFactory(formIOComp.MaterialComponent);
        const componentRef = viewContainer.createComponent(factory);
        componentRef.instance.setInstance(this);
    });
    const setValue = formIOComp.prototype.setValue;
    formIOComp.prototype.setValue = (function (...args) {
        if (this.materialComponent) {
            this.materialComponent.setValue(args[0]);
        }
        return setValue.call(this, ...args);
    });
    Components$1.addComponent(name, formIOComp);
}

const Components = require('formiojs/components/Components').default;
const Formio = require('formiojs/Formio').default;
const Form = require('formiojs/Form').default;
const Utils = require('formiojs/utils').default;
function initRenderer() {
    Components.setComponents(getComponents());
    Formio.Components = Components;
    Formio.Templates = {};
}

class FormioComponent extends FormioBaseComponent {
    constructor(resolver, cd, ngZone, config) {
        super(ngZone, config);
        this.resolver = resolver;
        this.cd = cd;
        this.ngZone = ngZone;
        this.config = config;
    }
    getRendererOptions() {
        const rendererOptions = super.getRendererOptions();
        return Object.assign(Object.assign({}, rendererOptions), { validateOnInit: get$1(rendererOptions, 'validateOnInit', true) });
    }
    createRenderer() {
        const options = this.getRendererOptions();
        const flags = {
            validateOnInit: options.validateOnInit
        };
        options.viewResolver = this.resolver;
        const form = new Form();
        form._form = this.form;
        form.options = options;
        form.options.events = form.events;
        form.instance = form.create(this.form.display);
        form.instance.viewContainer = () => this.formioViewContainer;
        if (this.submission && this.submission.data) {
            form.instance.data = this.submission.data;
        }
        this.ngZone.run(() => form.instance.setForm(this.form, flags)
            .then(() => form.readyResolve(form.instance))
            .catch(() => form.readyReject()));
        return form.instance;
    }
}
FormioComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: FormioComponent, deps: [{ token: i0.ComponentFactoryResolver }, { token: i0.ChangeDetectorRef }, { token: i0.NgZone }, { token: i1$3.FormioAppConfig, optional: true }], target: i0.ɵɵFactoryTarget.Component });
FormioComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.3", type: FormioComponent, selector: "mat-formio", viewQueries: [{ propertyName: "formioViewContainer", first: true, predicate: ["formio"], descendants: true, read: ViewContainerRef, static: true }], usesInheritance: true, ngImport: i0, template: `
    <mat-spinner *ngIf="isLoading"></mat-spinner>
    <div *ngIf="!this.options?.disableAlerts">
      <div *ngFor="let alert of alerts.alerts"
           class="alert alert-{{ alert.type }}"
           role="alert"
      >
        {{ alert.message }}
      </div>
    </div>
    <div fxLayout="column" fxLayoutGap="1em">
      <ng-template #formio></ng-template>
    </div>
  `, isInline: true, styles: [".alert-danger{color:#721c24;background-color:#f8d7da;border-color:#f5c6cb}.alert-success{color:#155724;background-color:#d4edda;border-color:#c3e6cb}.alert{position:relative;padding:.75rem 1.25rem;margin-bottom:.5rem;border:1px solid transparent;border-radius:.25rem}::ng-deep mat-card{box-sizing:border-box;-moz-box-sizing:border-box}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i11.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }, { kind: "directive", type: i5.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { kind: "directive", type: i5.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: FormioComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mat-formio', template: `
    <mat-spinner *ngIf="isLoading"></mat-spinner>
    <div *ngIf="!this.options?.disableAlerts">
      <div *ngFor="let alert of alerts.alerts"
           class="alert alert-{{ alert.type }}"
           role="alert"
      >
        {{ alert.message }}
      </div>
    </div>
    <div fxLayout="column" fxLayoutGap="1em">
      <ng-template #formio></ng-template>
    </div>
  `, styles: [".alert-danger{color:#721c24;background-color:#f8d7da;border-color:#f5c6cb}.alert-success{color:#155724;background-color:#d4edda;border-color:#c3e6cb}.alert{position:relative;padding:.75rem 1.25rem;margin-bottom:.5rem;border:1px solid transparent;border-radius:.25rem}::ng-deep mat-card{box-sizing:border-box;-moz-box-sizing:border-box}\n"] }]
        }], ctorParameters: function () {
        return [{ type: i0.ComponentFactoryResolver }, { type: i0.ChangeDetectorRef }, { type: i0.NgZone }, { type: i1$3.FormioAppConfig, decorators: [{
                        type: Optional
                    }] }];
    }, propDecorators: { formioViewContainer: [{
                type: ViewChild,
                args: ['formio', { static: true, read: ViewContainerRef }]
            }] } });

class NgxRenderMaterialFormsModule {
    constructor() {
        initRenderer();
    }
}
NgxRenderMaterialFormsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxRenderMaterialFormsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsModule, declarations: [NgxRenderMaterialFormsComponent,
        FormioComponent,
        MaterialButtonComponent,
        MaterialTextfieldComponent,
        MaterialPasswordComponent,
        MaterialUrlComponent,
        MaterialEmailComponent,
        MaterialPhoneNumberComponent,
        MaterialNumberComponent,
        MaterialCurrencyComponent,
        MaterialDayComponent,
        MaterialHiddenComponent,
        MaterialHtmlComponent,
        MaterialTagsComponent,
        MaterialTextareaComponent,
        MaterialColumnsComponent,
        MaterialContainerComponent,
        MaterialDataGridComponent,
        MaterialEditGridComponent,
        MaterialPanelComponent,
        MaterialCheckboxComponent,
        MaterialFieldsetComponent,
        MaterialContentComponent,
        MaterialSignatureComponent,
        MaterialSurveyComponent,
        MaterialSelectBoxesComponent,
        MaterialRadioComponent,
        MaterialSelectComponent,
        MaterialTabsComponent,
        MaterialTableComponent,
        MaterialDateComponent,
        MaterialWellComponent,
        MaterialWizardComponent,
        MaterialComponent,
        MaterialNestedComponent,
        MaterialTimeComponent,
        MaterialCalendarComponent,
        FormioFormFieldComponent,
        LabelComponent,
        MaskDirective,
        ConfirmationDialogComponent,
        AddOnProductsComponent], imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        MatInputModule,
        MatButtonModule,
        MatInputModule,
        MatFormFieldModule,
        MatCheckboxModule,
        MatRadioModule,
        MatSelectModule,
        MatListModule,
        MatChipsModule,
        MatExpansionModule,
        MatButtonModule,
        MatTabsModule,
        MatTableModule,
        MatNativeDateModule,
        MatDatepickerModule,
        MatProgressSpinnerModule,
        MatTooltipModule,
        MatIconModule,
        FlexLayoutModule,
        MatStepperModule,
        MatCardModule,
        DragDropModule,
        ScrollingModule,
        NgxMatSelectSearchModule,
        MatDialogModule,
        HttpClientModule,
        MatAutocompleteModule], exports: [MatAutocompleteModule,
        NgxRenderMaterialFormsComponent,
        FormioComponent,
        MatInputModule,
        MatFormFieldModule,
        MatCheckboxModule,
        MatRadioModule,
        MatSelectModule,
        MatListModule,
        MatChipsModule,
        MatExpansionModule,
        MatButtonModule,
        MatCardModule,
        MatTabsModule,
        MatTableModule,
        MatNativeDateModule,
        MatDatepickerModule,
        MatProgressSpinnerModule,
        MatTooltipModule,
        MatIconModule,
        DragDropModule,
        MatStepperModule,
        FlexLayoutModule,
        ScrollingModule,
        NgxMatSelectSearchModule,
        MatDialogModule,
        HttpClientModule] });
NgxRenderMaterialFormsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsModule, imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        MatInputModule,
        MatButtonModule,
        MatInputModule,
        MatFormFieldModule,
        MatCheckboxModule,
        MatRadioModule,
        MatSelectModule,
        MatListModule,
        MatChipsModule,
        MatExpansionModule,
        MatButtonModule,
        MatTabsModule,
        MatTableModule,
        MatNativeDateModule,
        MatDatepickerModule,
        MatProgressSpinnerModule,
        MatTooltipModule,
        MatIconModule,
        FlexLayoutModule,
        MatStepperModule,
        MatCardModule,
        DragDropModule,
        ScrollingModule,
        NgxMatSelectSearchModule,
        MatDialogModule,
        HttpClientModule,
        MatAutocompleteModule, MatAutocompleteModule,
        MatInputModule,
        MatFormFieldModule,
        MatCheckboxModule,
        MatRadioModule,
        MatSelectModule,
        MatListModule,
        MatChipsModule,
        MatExpansionModule,
        MatButtonModule,
        MatCardModule,
        MatTabsModule,
        MatTableModule,
        MatNativeDateModule,
        MatDatepickerModule,
        MatProgressSpinnerModule,
        MatTooltipModule,
        MatIconModule,
        DragDropModule,
        MatStepperModule,
        FlexLayoutModule,
        ScrollingModule,
        NgxMatSelectSearchModule,
        MatDialogModule,
        HttpClientModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.3", ngImport: i0, type: NgxRenderMaterialFormsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NgxRenderMaterialFormsComponent,
                        FormioComponent,
                        MaterialButtonComponent,
                        MaterialTextfieldComponent,
                        MaterialPasswordComponent,
                        MaterialUrlComponent,
                        MaterialEmailComponent,
                        MaterialPhoneNumberComponent,
                        MaterialNumberComponent,
                        MaterialCurrencyComponent,
                        MaterialDayComponent,
                        MaterialHiddenComponent,
                        MaterialHtmlComponent,
                        MaterialTagsComponent,
                        MaterialTextareaComponent,
                        MaterialColumnsComponent,
                        MaterialContainerComponent,
                        MaterialDataGridComponent,
                        MaterialEditGridComponent,
                        MaterialPanelComponent,
                        MaterialCheckboxComponent,
                        MaterialFieldsetComponent,
                        MaterialContentComponent,
                        MaterialSignatureComponent,
                        MaterialSurveyComponent,
                        MaterialSelectBoxesComponent,
                        MaterialRadioComponent,
                        MaterialSelectComponent,
                        MaterialTabsComponent,
                        MaterialTableComponent,
                        MaterialDateComponent,
                        MaterialWellComponent,
                        MaterialWizardComponent,
                        MaterialComponent,
                        MaterialNestedComponent,
                        MaterialTimeComponent,
                        MaterialCalendarComponent,
                        FormioFormFieldComponent,
                        LabelComponent,
                        MaskDirective,
                        ConfirmationDialogComponent,
                        AddOnProductsComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatInputModule,
                        MatButtonModule,
                        MatInputModule,
                        MatFormFieldModule,
                        MatCheckboxModule,
                        MatRadioModule,
                        MatSelectModule,
                        MatListModule,
                        MatChipsModule,
                        MatExpansionModule,
                        MatButtonModule,
                        MatTabsModule,
                        MatTableModule,
                        MatNativeDateModule,
                        MatDatepickerModule,
                        MatProgressSpinnerModule,
                        MatTooltipModule,
                        MatIconModule,
                        FlexLayoutModule,
                        MatStepperModule,
                        MatCardModule,
                        DragDropModule,
                        ScrollingModule,
                        NgxMatSelectSearchModule,
                        MatDialogModule,
                        HttpClientModule,
                        MatAutocompleteModule
                    ],
                    exports: [
                        MatAutocompleteModule,
                        NgxRenderMaterialFormsComponent,
                        FormioComponent,
                        MatInputModule,
                        MatFormFieldModule,
                        MatCheckboxModule,
                        MatRadioModule,
                        MatSelectModule,
                        MatListModule,
                        MatChipsModule,
                        MatExpansionModule,
                        MatButtonModule,
                        MatCardModule,
                        MatTabsModule,
                        MatTableModule,
                        MatNativeDateModule,
                        MatDatepickerModule,
                        MatProgressSpinnerModule,
                        MatTooltipModule,
                        MatIconModule,
                        DragDropModule,
                        MatStepperModule,
                        FlexLayoutModule,
                        ScrollingModule,
                        NgxMatSelectSearchModule,
                        MatDialogModule,
                        HttpClientModule
                    ],
                    entryComponents: [
                        MaterialButtonComponent,
                        MaterialTextfieldComponent,
                        MaterialPasswordComponent,
                        MaterialUrlComponent,
                        MaterialEmailComponent,
                        MaterialPhoneNumberComponent,
                        MaterialNumberComponent,
                        MaterialCurrencyComponent,
                        MaterialDayComponent,
                        MaterialHiddenComponent,
                        MaterialHtmlComponent,
                        MaterialTagsComponent,
                        MaterialTextareaComponent,
                        MaterialColumnsComponent,
                        MaterialContainerComponent,
                        MaterialDataGridComponent,
                        MaterialEditGridComponent,
                        MaterialPanelComponent,
                        MaterialCheckboxComponent,
                        MaterialFieldsetComponent,
                        MaterialContentComponent,
                        MaterialSignatureComponent,
                        MaterialSurveyComponent,
                        MaterialSelectBoxesComponent,
                        MaterialRadioComponent,
                        MaterialSelectComponent,
                        MaterialTabsComponent,
                        MaterialTableComponent,
                        MaterialDateComponent,
                        MaterialWellComponent,
                        MaterialComponent,
                        MaterialNestedComponent,
                        MaterialTimeComponent,
                        MaterialWizardComponent
                    ]
                }]
        }], ctorParameters: function () { return []; } });

/*
 * Public API Surface of ngx-render-material-forms
 */

/**
 * Generated bundle index. Do not edit.
 */

export { Components, Form, Formio, FormioComponent, MaterialButtonComponent, MaterialCheckboxComponent, MaterialColumnsComponent, MaterialComponent, MaterialContainerComponent, MaterialContentComponent, MaterialCurrencyComponent, MaterialDataGridComponent, MaterialDateComponent, MaterialDayComponent, MaterialEditGridComponent, MaterialEmailComponent, MaterialFieldsetComponent, MaterialHiddenComponent, MaterialHtmlComponent, MaterialNestedComponent, MaterialNumberComponent, MaterialPanelComponent, MaterialPasswordComponent, MaterialPhoneNumberComponent, MaterialRadioComponent, MaterialSelectBoxesComponent, MaterialSelectComponent, MaterialSignatureComponent, MaterialSurveyComponent, MaterialTableComponent, MaterialTabsComponent, MaterialTagsComponent, MaterialTextareaComponent, MaterialTextfieldComponent, MaterialTimeComponent, MaterialUrlComponent, MaterialWellComponent, NgxRenderMaterialFormsComponent, NgxRenderMaterialFormsModule, NgxRenderMaterialFormsService, Utils, initRenderer, registerComponent };
//# sourceMappingURL=ngx-render-material-forms.mjs.map
